linux-oem-osp1 (5.0.0-1025.28) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1025.28 -proposed tracker
    (LP: #1846095)

  * Fix non-working Realtek USB ethernet after system resume (LP: #1847063)
    - r8152: remove extra action copying ethernet address
    - r8152: Refresh MAC address during USBDEVFS_RESET
    - r8152: Set macpassthru in reset_resume callback

  * drm/i915: Fix the issue of "azx_get_response timeout" for hdmi audio on ICL
    platforms (LP: #1847192)
    - SAUCE: drm/i915: Fix audio power up sequence for gen10+ display
    - SAUCE: drm/i915: extend audio CDCLK>=2*BCLK constraint to more platforms

  * [CML-U] Comet lake platform need ISH driver support (LP: #1843775)
    - HID: intel-ish-hid: Add Comet Lake PCI device ID

  * [CML] New device IDs for CML-U (LP: #1843774)
    - spi-nor: intel-spi: Add support for Intel Comet Lake SPI serial flash

  * Add new pci-id's for CML-S, ICL (LP: #1845317)
    - drm/i915/icl: Add missing device ID
    - drm/i915/cml: Add Missing PCI IDs

  * Thunderbolt support for ICL (LP: #1844680)
    - thunderbolt: Drop duplicated get_switch_at_route()
    - thunderbolt: Move LC specific functionality into a separate file
    - thunderbolt: Cache adapter specific capability offset into struct port
    - thunderbolt: Rename tunnel_pci to tunnel
    - thunderbolt: Generalize tunnel creation functionality
    - thunderbolt: Add functions for allocating and releasing HopIDs
    - thunderbolt: Assign remote for both ports in case of dual link
    - thunderbolt: Add helper function to iterate from one port to another
    - thunderbolt: Extend tunnel creation to more than 2 adjacent switches
    - thunderbolt: Correct path indices for PCIe tunnel
    - thunderbolt: Move NVM upgrade support flag to struct icm
    - thunderbolt: Use 32-bit writes when writing ring producer/consumer
    - thunderbolt: Do not fail adding switch if some port is not implemented
    - thunderbolt: Hide switch attributes that are not set
    - thunderbolt: Expose active parts of NVM even if upgrade is not supported
    - thunderbolt: Add support for Intel Ice Lake
    - ACPI / property: Add two new Thunderbolt property GUIDs to the list

  * Intel 1650s/Wi-Fi 6 AX201 cannot connect to 802.11AX networks (LP: #1845138)
    - cfg80211: add and use strongly typed element iteration macros
    - mac80211: use element iteration macro in parsing
    - cfg80211: add various struct element finding helpers
    - nl80211: use for_each_element() in validate_ie_attr()
    - mac80211: pass bssids to elements parsing function
    - mac80211: move the bss update from elements to an helper
    - cfg80211: Parsing of Multiple BSSID information in scanning
    - cfg80211: use for_each_element() for multi-bssid parsing
    - cfg80211: Properly track transmitting and non-transmitting BSS
    - cfg80211: Move Multiple BSS info to struct cfg80211_bss to be visible
    - cfg80211: parse multi-bssid only if HW supports it
    - cfg80211: make BSSID generation function inline
    - cfg80211: save multi-bssid properties
    - mac80211: support multi-bssid
    - mac80211: indicate support for multiple BSSID
    - cfg80211: fix the IE inheritance of extension IEs
    - cfg80211: fix memory leak of new_ie
    - mac80211_hwsim: Declare support for Multi-BSSID
    - cfg80211: add missing kernel-doc for multi-BSSID fields
    - iwlwifi: mvm: support multiple BSSID
    - iwlwifi: mvm: support HE context cmd API change

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  [ Ubuntu: 5.0.0-32.34 ]

  * disco/linux: 5.0.0-32.34 -proposed tracker (LP: #1846097)
  * CVE-2019-14814 // CVE-2019-14815 // CVE-2019-14816
    - mwifiex: Fix three heap overflow at parsing element in cfg80211_ap_settings
  * CVE-2019-15505
    - media: technisat-usb2: break out of loop at end of buffer
  * CVE-2019-2181
    - binder: check for overflow when alloc for security context
  * Support Hi1620 zip hw accelerator (LP: #1845355)
    - [Config] Enable HiSilicon QM/ZIP as modules
    - crypto: hisilicon - add queue management driver for HiSilicon QM module
    - crypto: hisilicon - add hardware SGL support
    - crypto: hisilicon - add HiSilicon ZIP accelerator support
    - crypto: hisilicon - add SRIOV support for ZIP
    - Documentation: Add debugfs doc for hisi_zip
    - crypto: hisilicon - add debugfs for ZIP and QM
    - MAINTAINERS: add maintainer for HiSilicon QM and ZIP controller driver
    - crypto: hisilicon - fix kbuild warnings
    - crypto: hisilicon - add dependency for CRYPTO_DEV_HISI_ZIP
    - crypto: hisilicon - init curr_sgl_dma to fix compile warning
    - crypto: hisilicon - add missing single_release
    - crypto: hisilicon - fix error handle in hisi_zip_create_req_q
    - crypto: hisilicon - Fix warning on printing %p with dma_addr_t
    - crypto: hisilicon - Fix return value check in hisi_zip_acompress()
    - crypto: hisilicon - avoid unused function warning
  * xfrm interface: several kernel panic (LP: #1836261)
    - xfrm interface: fix memory leak on creation
    - xfrm interface: avoid corruption on changelink
    - xfrm interface: ifname may be wrong in logs
    - xfrm interface: fix list corruption for x-netns
    - xfrm interface: fix management of phydev
  * shiftfs: drop entries from cache on unlink (LP: #1841977)
    - SAUCE: shiftfs: fix buggy unlink logic
  * shiftfs: mark kmem_cache as reclaimable (LP: #1842059)
    - SAUCE: shiftfs: mark slab objects SLAB_RECLAIM_ACCOUNT
  *  Suspend to RAM(S3) does not wake up for latest megaraid and mpt3sas
    adapters(SAS3.5 onwards) (LP: #1838751)
    - PCI: Restore Resizable BAR size bits correctly for 1MB BARs
  * No sound inputs from the external microphone and headset on a Dell machine
    (LP: #1842265)
    - ALSA: hda - Expand pin_match function to match upcoming new tbls
    - ALSA: hda - Define a fallback_pin_fixup_tbl for alc269 family
  * Add -fcf-protection=none when using retpoline flags (LP: #1843291)
    - SAUCE: kbuild: add -fcf-protection=none when using retpoline flags
  * Disco update: upstream stable patchset 2019-09-25 (LP: #1845390)
    - bridge/mdb: remove wrong use of NLM_F_MULTI
    - cdc_ether: fix rndis support for Mediatek based smartphones
    - ipv6: Fix the link time qualifier of 'ping_v6_proc_exit_net()'
    - isdn/capi: check message length in capi_write()
    - ixgbe: Fix secpath usage for IPsec TX offload.
    - net: Fix null de-reference of device refcount
    - net: gso: Fix skb_segment splat when splitting gso_size mangled skb having
      linear-headed frag_list
    - net: phylink: Fix flow control resolution
    - net: sched: fix reordering issues
    - sch_hhf: ensure quantum and hhf_non_hh_weight are non-zero
    - sctp: Fix the link time qualifier of 'sctp_ctrlsock_exit()'
    - sctp: use transport pf_retrans in sctp_do_8_2_transport_strike
    - tcp: fix tcp_ecn_withdraw_cwr() to clear TCP_ECN_QUEUE_CWR
    - tipc: add NULL pointer check before calling kfree_rcu
    - tun: fix use-after-free when register netdev failed
    - gpiolib: acpi: Add gpiolib_acpi_run_edge_events_on_boot option and blacklist
    - gpio: fix line flag validation in linehandle_create
    - Btrfs: fix assertion failure during fsync and use of stale transaction
    - ixgbe: Prevent u8 wrapping of ITR value to something less than 10us
    - genirq: Prevent NULL pointer dereference in resend_irqs()
    - KVM: s390: kvm_s390_vm_start_migration: check dirty_bitmap before using it
      as target for memset()
    - KVM: s390: Do not leak kernel stack data in the KVM_S390_INTERRUPT ioctl
    - KVM: x86: work around leak of uninitialized stack contents
    - KVM: nVMX: handle page fault in vmread
    - x86/purgatory: Change compiler flags from -mcmodel=kernel to -mcmodel=large
      to fix kexec relocation errors
    - powerpc: Add barrier_nospec to raw_copy_in_user()
    - drm/meson: Add support for XBGR8888 & ABGR8888 formats
    - clk: rockchip: Don't yell about bad mmc phases when getting
    - mtd: rawnand: mtk: Fix wrongly assigned OOB buffer pointer issue
    - PCI: Always allow probing with driver_override
    - gpio: fix line flag validation in lineevent_create
    - ubifs: Correctly use tnc_next() in search_dh_cookie()
    - driver core: Fix use-after-free and double free on glue directory
    - crypto: talitos - check AES key size
    - crypto: talitos - fix CTR alg blocksize
    - crypto: talitos - check data blocksize in ablkcipher.
    - crypto: talitos - fix ECB algs ivsize
    - crypto: talitos - Do not modify req->cryptlen on decryption.
    - crypto: talitos - HMAC SNOOP NO AFEU mode requires SW icv checking.
    - firmware: ti_sci: Always request response from firmware
    - drm: panel-orientation-quirks: Add extra quirk table entry for GPD MicroPC
    - drm/mediatek: mtk_drm_drv.c: Add of_node_put() before goto
    - Revert "Bluetooth: btusb: driver to enable the usb-wakeup feature"
    - iio: adc: stm32-dfsdm: fix data type
    - modules: fix BUG when load module with rodata=n
    - modules: fix compile error if don't have strict module rwx
    - platform/x86: pmc_atom: Add CB4063 Beckhoff Automation board to
      critclk_systems DMI table
    - rsi: fix a double free bug in rsi_91x_deinit()
    - x86/build: Add -Wnoaddress-of-packed-member to REALMODE_CFLAGS, to silence
      GCC9 build warning
    - ixgbevf: Fix secpath usage for IPsec Tx offload
    - net: fixed_phy: Add forward declaration for struct gpio_desc;
    - net: sock_map, fix missing ulp check in sock hash case
    - Revert "mmc: bcm2835: Terminate timeout work synchronously"
    - mmc: tmio: Fixup runtime PM management during probe
    - mmc: tmio: Fixup runtime PM management during remove
    - drm/i915: Restore relaxed padding (OCL_OOB_SUPPRES_ENABLE) for skl+
    - ixgbe: fix double clean of Tx descriptors with xdp
    - mt76: mt76x0e: disable 5GHz band for MT7630E
    - x86/ima: check EFI SetupMode too
    - kvm: nVMX: Remove unnecessary sync_roots from handle_invept
    - KVM: SVM: Fix detection of AMD Errata 1096
  * Disco update: upstream stable patchset 2019-09-19 (LP: #1844722)
    - ALSA: hda - Fix potential endless loop at applying quirks
    - ALSA: hda/realtek - Fix overridden device-specific initialization
    - ALSA: hda/realtek - Add quirk for HP Pavilion 15
    - ALSA: hda/realtek - Enable internal speaker & headset mic of ASUS UX431FL
    - ALSA: hda/realtek - Fix the problem of two front mics on a ThinkCentre
    - sched/fair: Don't assign runtime for throttled cfs_rq
    - drm/vmwgfx: Fix double free in vmw_recv_msg()
    - vhost/test: fix build for vhost test
    - vhost/test: fix build for vhost test - again
    - batman-adv: fix uninit-value in batadv_netlink_get_ifindex()
    - batman-adv: Only read OGM tvlv_len after buffer len check
    - timekeeping: Use proper ktime_add when adding nsecs in coarse offset
    - selftests: fib_rule_tests: use pre-defined DEV_ADDR
    - powerpc/64: mark start_here_multiplatform as __ref
    - media: stm32-dcmi: fix irq = 0 case
    - scripts/decode_stacktrace: match basepath using shell prefix operator, not
      regex
    - nvme-fc: use separate work queue to avoid warning
    - modules: always page-align module section allocations
    - kernel/module: Fix mem leak in module_add_modinfo_attrs
    - drm/vblank: Allow dynamic per-crtc max_vblank_count
    - mfd: Kconfig: Fix I2C_DESIGNWARE_PLATFORM dependencies
    - tpm: Fix some name collisions with drivers/char/tpm.h
    - drm/nouveau: Don't WARN_ON VCPI allocation failures
    - drm: add __user attribute to ptr_to_compat()
    - drm/i915: Handle vm_mmap error during I915_GEM_MMAP ioctl with WC set
    - drm/i915: Sanity check mmap length against object size
    - arm64: dts: stratix10: add the sysmgr-syscon property from the gmac's
    - kvm: mmu: Fix overflow on kvm mmu page limit calculation
    - KVM: x86: Always use 32-bit SMRAM save state for 32-bit kernels
    - media: i2c: tda1997x: select V4L2_FWNODE
    - ext4: protect journal inode's blocks using block_validity
    - ARM: dts: qcom: ipq4019: Fix MSI IRQ type
    - dt-bindings: mmc: Add supports-cqe property
    - dt-bindings: mmc: Add disable-cqe-dcmd property.
    - dm mpath: fix missing call of path selector type->end_io
    - mmc: sdhci-pci: Add support for Intel CML
    - PCI: dwc: Use devm_pci_alloc_host_bridge() to simplify code
    - cifs: smbd: take an array of reqeusts when sending upper layer data
    - drm/amdkfd: Add missing Polaris10 ID
    - kvm: Check irqchip mode before assign irqfd
    - Btrfs: fix race between block group removal and block group allocation
    - cifs: add spinlock for the openFileList to cifsInodeInfo
    - ceph: use ceph_evict_inode to cleanup inode's resource
    - KVM: x86: optimize check for valid PAT value
    - KVM: VMX: Always signal #GP on WRMSR to MSR_IA32_CR_PAT with bad value
    - btrfs: correctly validate compression type
    - dm thin metadata: check if in fail_io mode when setting needs_check
    - bcache: only clear BTREE_NODE_dirty bit when it is set
    - bcache: add comments for mutex_lock(&b->write_lock)
    - bcache: fix race in btree_flush_write()
    - drm/i915: Make sure cdclk is high enough for DP audio on VLV/CHV
    - virtio/s390: fix race on airq_areas[]
    - ext4: don't perform block validity checks on the journal inode
    - ext4: fix block validity checks for journal inodes using indirect blocks
    - ext4: unsigned int compared against zero
    - PCI: Reset both NVIDIA GPU and HDA in ThinkPad P50 workaround
    - gpio: pca953x: correct type of reg_direction
    - gpio: pca953x: use pca953x_read_regs instead of regmap_bulk_read
    - drm/nouveau/sec2/gp102: add missing MODULE_FIRMWAREs
    - powerpc/64e: Drop stale call to smp_processor_id() which hangs SMP startup
    - drm/i915: Disable SAMPLER_STATE prefetching on all Gen11 steppings.
    - mmc: sdhci-sprd: Fix the incorrect soft reset operation when runtime
      resuming
    - usb: chipidea: imx: add imx7ulp support
    - usb: chipidea: imx: fix EPROBE_DEFER support during driver probe
  * Disco update: upstream stable patchset 2019-09-11 (LP: #1843622)
    - dmaengine: ste_dma40: fix unneeded variable warning
    - nvme-multipath: revalidate nvme_ns_head gendisk in nvme_validate_ns
    - afs: Fix the CB.ProbeUuid service handler to reply correctly
    - afs: Fix loop index mixup in afs_deliver_vl_get_entry_by_name_u()
    - fs: afs: Fix a possible null-pointer dereference in afs_put_read()
    - afs: Only update d_fsdata if different in afs_d_revalidate()
    - nvmet-loop: Flush nvme_delete_wq when removing the port
    - nvme: fix a possible deadlock when passthru commands sent to a multipath
      device
    - nvme-pci: Fix async probe remove race
    - soundwire: cadence_master: fix register definition for SLAVE_STATE
    - soundwire: cadence_master: fix definitions for INTSTAT0/1
    - auxdisplay: panel: need to delete scan_timer when misc_register fails in
      panel_attach
    - dmaengine: stm32-mdma: Fix a possible null-pointer dereference in
      stm32_mdma_irq_handler()
    - omap-dma/omap_vout_vrfb: fix off-by-one fi value
    - iommu/dma: Handle SG length overflow better
    - usb: gadget: composite: Clear "suspended" on reset/disconnect
    - usb: gadget: mass_storage: Fix races between fsg_disable and fsg_set_alt
    - xen/blkback: fix memory leaks
    - arm64: cpufeature: Don't treat granule sizes as strict
    - i2c: rcar: avoid race when unregistering slave client
    - i2c: emev2: avoid race when unregistering slave client
    - drm/ast: Fixed reboot test may cause system hanged
    - usb: host: fotg2: restart hcd after port reset
    - tools: hv: fixed Python pep8/flake8 warnings for lsvmbus
    - tools: hv: fix KVP and VSS daemons exit code
    - watchdog: bcm2835_wdt: Fix module autoload
    - drm/bridge: tfp410: fix memleak in get_modes()
    - scsi: ufs: Fix RX_TERMINATION_FORCE_ENABLE define value
    - drm/tilcdc: Register cpufreq notifier after we have initialized crtc
    - net/tls: swap sk_write_space on close
    - net: tls, fix sk_write_space NULL write when tx disabled
    - ipv6/addrconf: allow adding multicast addr if IFA_F_MCAUTOJOIN is set
    - ipv6: Default fib6_type to RTN_UNICAST when not set
    - net/smc: make sure EPOLLOUT is raised
    - tcp: make sure EPOLLOUT wont be missed
    - ipv4/icmp: fix rt dst dev null pointer dereference
    - mm/zsmalloc.c: fix build when CONFIG_COMPACTION=n
    - ALSA: usb-audio: Check mixer unit bitmap yet more strictly
    - ALSA: line6: Fix memory leak at line6_init_pcm() error path
    - ALSA: hda - Fixes inverted Conexant GPIO mic mute led
    - ALSA: seq: Fix potential concurrent access to the deleted pool
    - ALSA: usb-audio: Fix invalid NULL check in snd_emuusb_set_samplerate()
    - ALSA: usb-audio: Add implicit fb quirk for Behringer UFX1604
    - kvm: x86: skip populating logical dest map if apic is not sw enabled
    - KVM: x86: Don't update RIP or do single-step on faulting emulation
    - uprobes/x86: Fix detection of 32-bit user mode
    - x86/apic: Do not initialize LDR and DFR for bigsmp
    - ftrace: Fix NULL pointer dereference in t_probe_next()
    - ftrace: Check for successful allocation of hash
    - ftrace: Check for empty hash and comment the race with registering probes
    - usb-storage: Add new JMS567 revision to unusual_devs
    - USB: cdc-wdm: fix race between write and disconnect due to flag abuse
    - usb: hcd: use managed device resources
    - usb: chipidea: udc: don't do hardware access if gadget has stopped
    - usb: host: ohci: fix a race condition between shutdown and irq
    - usb: host: xhci: rcar: Fix typo in compatible string matching
    - USB: storage: ums-realtek: Update module parameter description for
      auto_delink_en
    - mei: me: add Tiger Lake point LP device ID
    - mmc: sdhci-of-at91: add quirk for broken HS200
    - mmc: core: Fix init of SD cards reporting an invalid VDD range
    - stm class: Fix a double free of stm_source_device
    - intel_th: pci: Add support for another Lewisburg PCH
    - intel_th: pci: Add Tiger Lake support
    - typec: tcpm: fix a typo in the comparison of pdo_max_voltage
    - fsi: scom: Don't abort operations for minor errors
    - lib: logic_pio: Fix RCU usage
    - lib: logic_pio: Avoid possible overlap for unregistering regions
    - lib: logic_pio: Add logic_pio_unregister_range()
    - drm/amdgpu: Add APTX quirk for Dell Latitude 5495
    - drm/i915: Don't deballoon unused ggtt drm_mm_node in linux guest
    - drm/i915: Call dma_set_max_seg_size() in i915_driver_hw_probe()
    - bus: hisi_lpc: Unregister logical PIO range to avoid potential use-after-
      free
    - bus: hisi_lpc: Add .remove method to avoid driver unbind crash
    - VMCI: Release resource if the work is already queued
    - crypto: ccp - Ignore unconfigured CCP device on suspend/resume
    - Revert "cfg80211: fix processing world regdomain when non modular"
    - mac80211: fix possible sta leak
    - mac80211: Don't memset RXCB prior to PAE intercept
    - mac80211: Correctly set noencrypt for PAE frames
    - KVM: PPC: Book3S HV: Avoid lockdep debugging in TCE realmode handlers
    - KVM: PPC: Book3S: Fix incorrect guest-to-user-translation error handling
    - KVM: arm/arm64: vgic: Fix potential deadlock when ap_list is long
    - KVM: arm/arm64: vgic-v2: Handle SGI bits in GICD_I{S,C}PENDR0 as WI
    - NFS: Clean up list moves of struct nfs_page
    - NFSv4/pnfs: Fix a page lock leak in nfs_pageio_resend()
    - NFS: Pass error information to the pgio error cleanup routine
    - NFS: Ensure O_DIRECT reports an error if the bytes read/written is 0
    - i2c: piix4: Fix port selection for AMD Family 16h Model 30h
    - x86/ptrace: fix up botched merge of spectrev1 fix
    - mt76: mt76x0u: do not reset radio on resume
    - Revert "ASoC: Fail card instantiation if DAI format setup fails"
    - nvmet: Fix use-after-free bug when a port is removed
    - nvmet-file: fix nvmet_file_flush() always returning an error
    - nvme-rdma: fix possible use-after-free in connect error flow
    - nvme: fix controller removal race with scan work
    - IB/mlx5: Fix implicit MR release flow
    - dma-direct: don't truncate dma_required_mask to bus addressing capabilities
    - riscv: fix flush_tlb_range() end address for flush_tlb_page()
    - drm/scheduler: use job count instead of peek
    - locking/rwsem: Add missing ACQUIRE to read_slowpath exit when queue is empty
    - lcoking/rwsem: Add missing ACQUIRE to read_slowpath sleep loop
    - selftests/bpf: install files test_xdp_vlan.sh
    - ALSA: hda/ca0132 - Add new SBZ quirk
    - KVM: x86: hyper-v: don't crash on KVM_GET_SUPPORTED_HV_CPUID when
      kvm_intel.nested is disabled
    - x86/mm/cpa: Prevent large page split when ftrace flips RW on kernel text
    - usbtmc: more sanity checking for packet size
    - mmc: sdhci-cadence: enable v4_mode to fix ADMA 64-bit addressing
    - mmc: sdhci-sprd: fixed incorrect clock divider
    - mmc: sdhci-sprd: add SDHCI_QUIRK2_PRESET_VALUE_BROKEN
    - mms: sdhci-sprd: add SDHCI_QUIRK_BROKEN_CARD_DETECTION
    - mmc: sdhci-sprd: clear the UHS-I modes read from registers
    - mmc: sdhci-sprd: Implement the get_max_timeout_count() interface
    - mmc: sdhci-sprd: add get_ro hook function
    - drm/i915/dp: Fix DSC enable code to use cpu_transcoder instead of
      encoder->type
    - hsr: implement dellink to clean up resources
    - hsr: fix a NULL pointer deref in hsr_dev_xmit()
    - hsr: switch ->dellink() to ->ndo_uninit()
    - Revert "Input: elantech - enable SMBus on new (2018+) systems"
    - mld: fix memory leak in mld_del_delrec()
    - net: fix skb use after free in netpoll
    - net: sched: act_sample: fix psample group handling on overwrite
    - net_sched: fix a NULL pointer deref in ipt action
    - net: stmmac: dwmac-rk: Don't fail if phy regulator is absent
    - tcp: inherit timestamp on mtu probe
    - tcp: remove empty skb from write queue in error cases
    - x86/boot: Preserve boot_params.secure_boot from sanitizing
    - spi: bcm2835aux: unifying code between polling and interrupt driven code
    - spi: bcm2835aux: remove dangerous uncontrolled read of fifo
    - spi: bcm2835aux: fix corruptions for longer spi transfers
    - net: tundra: tsi108: use spin_lock_irqsave instead of spin_lock_irq in IRQ
      context
    - netfilter: nf_tables: use-after-free in failing rule with bound set
    - tools: bpftool: fix error message (prog -> object)
    - hv_netvsc: Fix a warning of suspicious RCU usage
    - net: tc35815: Explicitly check NET_IP_ALIGN is not zero in tc35815_rx
    - Bluetooth: btqca: Add a short delay before downloading the NVM
    - ibmveth: Convert multicast list size for little-endian system
    - gpio: Fix build error of function redefinition
    - netfilter: nft_flow_offload: skip tcp rst and fin packets
    - drm/mediatek: use correct device to import PRIME buffers
    - drm/mediatek: set DMA max segment size
    - scsi: qla2xxx: Fix gnl.l memory leak on adapter init failure
    - scsi: target: tcmu: avoid use-after-free after command timeout
    - cxgb4: fix a memory leak bug
    - liquidio: add cleanup in octeon_setup_iq()
    - net: myri10ge: fix memory leaks
    - lan78xx: Fix memory leaks
    - vfs: fix page locking deadlocks when deduping files
    - cx82310_eth: fix a memory leak bug
    - net: kalmia: fix memory leaks
    - ibmvnic: Unmap DMA address of TX descriptor buffers after use
    - net: cavium: fix driver name
    - wimax/i2400m: fix a memory leak bug
    - ravb: Fix use-after-free ravb_tstamp_skb
    - kprobes: Fix potential deadlock in kprobe_optimizer()
    - HID: cp2112: prevent sleeping function called from invalid context
    - x86/boot/compressed/64: Fix boot on machines with broken E820 table
    - Input: hyperv-keyboard: Use in-place iterator API in the channel callback
    - Tools: hv: kvp: eliminate 'may be used uninitialized' warning
    - nvme-multipath: fix possible I/O hang when paths are updated
    - IB/mlx4: Fix memory leaks
    - infiniband: hfi1: fix a memory leak bug
    - infiniband: hfi1: fix memory leaks
    - selftests: kvm: fix state save/load on processors without XSAVE
    - selftests/kvm: make platform_info_test pass on AMD
    - ceph: fix buffer free while holding i_ceph_lock in __ceph_setxattr()
    - ceph: fix buffer free while holding i_ceph_lock in
      __ceph_build_xattrs_blob()
    - ceph: fix buffer free while holding i_ceph_lock in fill_inode()
    - KVM: arm/arm64: Only skip MMIO insn once
    - afs: Fix leak in afs_lookup_cell_rcu()
    - KVM: arm/arm64: VGIC: Properly initialise private IRQ affinity
    - x86/boot/compressed/64: Fix missing initialization in
      find_trampoline_placement()
    - libceph: allow ceph_buffer_put() to receive a NULL ceph_buffer
    - Revert "r8152: napi hangup fix after disconnect"
    - r8152: remove calling netif_napi_del
    - batman-adv: Fix netlink dumping of all mcast_flags buckets
    - libbpf: fix erroneous multi-closing of BTF FD
    - libbpf: set BTF FD for prog only when there is supported .BTF.ext data
    - netfilter: nf_flow_table: fix offload for flows that are subject to xfrm
    - clk: samsung: Change signature of exynos5_subcmus_init() function
    - clk: samsung: exynos5800: Move MAU subsystem clocks to MAU sub-CMU
    - clk: samsung: exynos542x: Move MSCL subsystem clocks to its sub-CMU
    - netfilter: nf_flow_table: conntrack picks up expired flows
    - netfilter: nf_flow_table: teardown flow timeout race
    - ixgbe: fix possible deadlock in ixgbe_service_task()
    - nvme: Fix cntlid validation when not using NVMEoF
    - RDMA/cma: fix null-ptr-deref Read in cma_cleanup
    - RDMA/bnxt_re: Fix stack-out-of-bounds in bnxt_qplib_rcfw_send_message
    - gpio: Fix irqchip initialization order
  * New ID in ums-realtek module breaks cardreader (LP: #1838886) // Disco
    update: upstream stable patchset 2019-09-11 (LP: #1843622)
    - USB: storage: ums-realtek: Whitelist auto-delink support
  * ipv4: enable route flushing in network namespaces (LP: #1836912)
    - ipv4: enable route flushing in network namespaces
  * Enhanced Hardware Support - Finalize Naming (LP: #1842774)
    - s390: add support for IBM z15 machines
  * CVE-2019-16714
    - net/rds: Fix info leak in rds6_inc_info_copy()
  * CVE-2019-14821
    - KVM: coalesced_mmio: add bounds checking

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 09 Oct 2019 13:48:10 +0300

linux-oem-osp1 (5.0.0-1024.27) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1024.27 -proposed tracker
    (LP: #1846023)

  * alsa/sof: fix the hang issue on Dell Nebula MP platforms (LP: #1845904)
    - ALSA: hda: clear output link mappinp
    - ALSA: SOF: disable L1SEN for capture stream
    - ALSA: sof: refine stop-start sequence for driver and FW
    - ALSA: sof: disable debug message for production release

  [ Ubuntu: 5.0.0-31.33 ]

  * disco/linux: 5.0.0-31.33 -proposed tracker (LP: #1846026)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * /proc/self/maps paths missing on live session (was vlc won't start; eoan
    19.10 & bionic 18.04 ubuntu/lubuntu/kubuntu/xubuntu/ubuntu-mate dailies)
    (LP: #1842382)
    - SAUCE: Revert "UBUNTU: SAUCE: shiftfs: enable overlayfs on shiftfs"

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Fri, 04 Oct 2019 11:24:05 +0300

linux-oem-osp1 (5.0.0-1023.25) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1023.25 -proposed tracker (LP: #1844361)

  * Disco update: upstream stable patchset 2019-08-13 (LP: #1840076)
    - [Config] updateconfigs for CONFIG_NOUVEAU_LEGACY_CTX_SUPPORT

  * Disco update: upstream stable patchset 2019-08-20 (LP: #1840846)
    - [Config] rename module adv7511

  *  Suspend to RAM(S3) does not wake up for latest megaraid and mpt3sas
    adapters(SAS3.5 onwards) (LP: #1838751)
    - PCI: Restore Resizable BAR size bits correctly for 1MB BARs

  * Disco update: upstream stable patchset 2019-08-27 (LP: #1841681)
    - SAUCE: drm/i915/perf: Use IS_GEN(..., N)

  * Intel Killer(R) Wi-Fi 6 AX1650i/AX1650s 160MHz Wireless Network Adapter
    (201NGW) [8086:34f0] subsystem [1a56:1651] not supported (LP: #1841736)
    - Revert "iwlwifi: pcie: add support for qu c-step devices"
    - iwlwifi: pcie: add support for qu c-step devices
    - iwlwifi: pcie: don't switch FW to qnj when ax201 is detected
    - iwlwifi: pcie: fix recognition of QuZ devices
    - iwlwifi: pcie: handle switching killer Qu B0 NICs to C0

  * Horizontal corrupted line at top of screen caused by framebuffer compression
    (LP: #1840236)
    - SAUCE: drm/i915/fbc: disable framebuffer compression on IceLake

  [ Ubuntu: 5.0.0-30.32 ]

  * disco/linux: 5.0.0-30.32 -proposed tracker (LP: #1844362)
  * Disco update: upstream stable patchset 2019-08-20 (LP: #1840846)
    - Revert "e1000e: fix cyclic resets at link up with active tx"
    - e1000e: start network tx queue only when link is up
    - Input: synaptics - enable SMBUS on T480 thinkpad trackpad
    - nilfs2: do not use unexported cpu_to_le32()/le32_to_cpu() in uapi header
    - drivers: base: cacheinfo: Ensure cpu hotplug work is done before Intel RDT
    - firmware: improve LSM/IMA security behaviour
    - irqchip/gic-v3-its: Fix command queue pointer comparison bug
    - clk: ti: clkctrl: Fix returning uninitialized data
    - efi/bgrt: Drop BGRT status field reserved bits check
    - perf/core: Fix perf_sample_regs_user() mm check
    - ARM: dts: gemini Fix up DNS-313 compatible string
    - ARM: omap2: remove incorrect __init annotation
    - afs: Fix uninitialised spinlock afs_volume::cb_break_lock
    - x86/apic: Fix integer overflow on 10 bit left shift of cpu_khz
    - be2net: fix link failure after ethtool offline test
    - ppp: mppe: Add softdep to arc4
    - sis900: fix TX completion
    - ARM: dts: imx6ul: fix PWM[1-4] interrupts
    - pinctrl: mcp23s08: Fix add_data and irqchip_add_nested call order
    - dm table: don't copy from a NULL pointer in realloc_argv()
    - dm verity: use message limit for data block corruption message
    - x86/boot/64: Fix crash if kernel image crosses page table boundary
    - x86/boot/64: Add missing fixup_pointer() for next_early_pgt access
    - HID: chicony: add another quirk for PixArt mouse
    - pinctrl: mediatek: Ignore interrupts that are wake only during resume
    - cpu/hotplug: Fix out-of-bounds read when setting fail state
    - pinctrl: mediatek: Update cur_mask in mask/mask ops
    - linux/kernel.h: fix overflow for DIV_ROUND_UP_ULL
    - genirq: Delay deactivation in free_irq()
    - genirq: Fix misleading synchronize_irq() documentation
    - genirq: Add optional hardware synchronization for shutdown
    - x86/ioapic: Implement irq_get_irqchip_state() callback
    - x86/irq: Handle spurious interrupt after shutdown gracefully
    - x86/irq: Seperate unused system vectors from spurious entry again
    - ARC: hide unused function unw_hdr_alloc
    - s390: fix stfle zero padding
    - s390/qdio: (re-)initialize tiqdio list entries
    - s390/qdio: don't touch the dsci in tiqdio_add_input_queues()
    - crypto: talitos - move struct talitos_edesc into talitos.h
    - crypto: talitos - fix hash on SEC1.
    - crypto/NX: Set receive window credits to max number of CRBs in RxFIFO
    - drm/udl: introduce a macro to convert dev to udl.
    - drm/udl: move to embedding drm device inside udl device.
    - x86/entry/32: Fix ENDPROC of common_spurious
    - irqchip/irq-csky-mpintc: Support auto irq deliver to all cpus
    - arm64: dts: ls1028a: Fix CPU idle fail.
    - selftests/powerpc: Add test of fork with mapping above 512TB
    - x86/efi: fix a -Wtype-limits compilation warning
    - pinctrl: ocelot: fix gpio direction for pins after 31
    - pinctrl: ocelot: fix pinmuxing for pins after 31
    - mm/oom_kill.c: fix uninitialized oc->constraint
    - fork,memcg: alloc_thread_stack_node needs to set tsk->stack
    - MIPS: ath79: fix ar933x uart parity mode
    - MIPS: fix build on non-linux hosts
    - arm64/efi: Mark __efistub_stext_offset as an absolute symbol explicitly
    - scsi: iscsi: set auth_protocol back to NULL if CHAP_A value is not supported
    - dmaengine: imx-sdma: fix use-after-free on probe error path
    - wil6210: fix potential out-of-bounds read
    - ath10k: Do not send probe response template for mesh
    - ath9k: Check for errors when reading SREV register
    - ath6kl: add some bounds checking
    - ath10k: add peer id check in ath10k_peer_find_by_id
    - wil6210: fix spurious interrupts in 3-msi
    - ath: DFS JP domain W56 fixed pulse type 3 RADAR detection
    - regmap: debugfs: Fix memory leak in regmap_debugfs_init
    - batman-adv: fix for leaked TVLV handler.
    - media: dvb: usb: fix use after free in dvb_usb_device_exit
    - media: spi: IR LED: add missing of table registration
    - crypto: talitos - fix skcipher failure due to wrong output IV
    - media: ov7740: avoid invalid framesize setting
    - media: marvell-ccic: fix DMA s/g desc number calculation
    - media: vpss: fix a potential NULL pointer dereference
    - media: media_device_enum_links32: clean a reserved field
    - net: stmmac: dwmac1000: Clear unused address entries
    - net: stmmac: dwmac4/5: Clear unused address entries
    - qed: Set the doorbell address correctly
    - signal/pid_namespace: Fix reboot_pid_ns to use send_sig not force_sig
    - af_key: fix leaks in key_pol_get_resp and dump_sp.
    - xfrm: Fix xfrm sel prefix length validation
    - fscrypt: clean up some BUG_ON()s in block encryption/decryption
    - perf annotate TUI browser: Do not use member from variable within its own
      initialization
    - media: mc-device.c: don't memset __user pointer contents
    - media: saa7164: fix remove_proc_entry warning
    - media: staging: media: davinci_vpfe: - Fix for memory leak if decoder
      initialization fails.
    - net: phy: Check against net_device being NULL
    - crypto: talitos - properly handle split ICV.
    - crypto: talitos - Align SEC1 accesses to 32 bits boundaries.
    - tua6100: Avoid build warnings.
    - batman-adv: Fix duplicated OGMs on NETDEV_UP
    - locking/lockdep: Fix merging of hlocks with non-zero references
    - media: wl128x: Fix some error handling in fm_v4l2_init_video_device()
    - cpupower : frequency-set -r option misses the last cpu in related cpu list
    - arm64: mm: make CONFIG_ZONE_DMA32 configurable
    - perf jvmti: Address gcc string overflow warning for strncpy()
    - net: stmmac: dwmac4: fix flow control issue
    - net: stmmac: modify default value of tx-frames
    - crypto: inside-secure - do not rely on the hardware last bit for result
      descriptors
    - net: fec: Do not use netdev messages too early
    - net: axienet: Fix race condition causing TX hang
    - s390/qdio: handle PENDING state for QEBSM devices
    - RAS/CEC: Fix pfn insertion
    - net: sfp: add mutex to prevent concurrent state checks
    - ipset: Fix memory accounting for hash types on resize
    - perf cs-etm: Properly set the value of 'old' and 'head' in snapshot mode
    - perf test 6: Fix missing kvm module load for s390
    - perf report: Fix OOM error in TUI mode on s390
    - irqchip/meson-gpio: Add support for Meson-G12A SoC
    - media: uvcvideo: Fix access to uninitialized fields on probe error
    - media: fdp1: Support M3N and E3 platforms
    - iommu: Fix a leak in iommu_insert_resv_region
    - gpio: omap: fix lack of irqstatus_raw0 for OMAP4
    - gpio: omap: ensure irq is enabled before wakeup
    - regmap: fix bulk writes on paged registers
    - bpf: silence warning messages in core
    - media: s5p-mfc: fix reading min scratch buffer size on MFC v6/v7
    - selinux: fix empty write to keycreate file
    - x86/cpu: Add Ice Lake NNPI to Intel family
    - ASoC: meson: axg-tdm: fix sample clock inversion
    - rcu: Force inlining of rcu_read_lock()
    - x86/cpufeatures: Add FDP_EXCPTN_ONLY and ZERO_FCS_FDS
    - qed: iWARP - Fix tc for MPA ll2 connection
    - block: null_blk: fix race condition for null_del_dev
    - blkcg, writeback: dead memcgs shouldn't contribute to writeback ownership
      arbitration
    - xfrm: fix sa selector validation
    - sched/core: Add __sched tag for io_schedule()
    - sched/fair: Fix "runnable_avg_yN_inv" not used warnings
    - perf/x86/intel/uncore: Handle invalid event coding for free-running counter
    - x86/atomic: Fix smp_mb__{before,after}_atomic()
    - perf evsel: Make perf_evsel__name() accept a NULL argument
    - vhost_net: disable zerocopy by default
    - ipoib: correcly show a VF hardware address
    - x86/cacheinfo: Fix a -Wtype-limits warning
    - blk-iolatency: only account submitted bios
    - ACPICA: Clear status of GPEs on first direct enable
    - EDAC/sysfs: Fix memory leak when creating a csrow object
    - nvme: fix possible io failures when removing multipathed ns
    - nvme-pci: properly report state change failure in nvme_reset_work
    - nvme-pci: set the errno on ctrl state change error
    - lightnvm: pblk: fix freeing of merged pages
    - arm64: Do not enable IRQs for ct_user_exit
    - ipsec: select crypto ciphers for xfrm_algo
    - ipvs: defer hook registration to avoid leaks
    - media: s5p-mfc: Make additional clocks optional
    - media: i2c: fix warning same module names
    - [Config] rename module adv7511
    - ntp: Limit TAI-UTC offset
    - timer_list: Guard procfs specific code
    - acpi/arm64: ignore 5.1 FADTs that are reported as 5.0
    - media: coda: fix mpeg2 sequence number handling
    - media: coda: fix last buffer handling in V4L2_ENC_CMD_STOP
    - media: coda: increment sequence offset for the last returned frame
    - media: vimc: cap: check v4l2_fill_pixfmt return value
    - media: hdpvr: fix locking and a missing msleep
    - net: stmmac: sun8i: force select external PHY when no internal one
    - rtlwifi: rtl8192cu: fix error handle when usb probe failed
    - mt7601u: do not schedule rx_tasklet when the device has been disconnected
    - x86/build: Add 'set -e' to mkcapflags.sh to delete broken capflags.c
    - mt7601u: fix possible memory leak when the device is disconnected
    - ipvs: fix tinfo memory leak in start_sync_thread
    - ath10k: add missing error handling
    - ath10k: fix PCIE device wake up failed
    - perf tools: Increase MAX_NR_CPUS and MAX_CACHES
    - ASoC: Intel: hdac_hdmi: Set ops to NULL on remove
    - libata: don't request sense data on !ZAC ATA devices
    - clocksource/drivers/exynos_mct: Increase priority over ARM arch timer
    - xsk: Properly terminate assignment in xskq_produce_flush_desc
    - rslib: Fix decoding of shortened codes
    - rslib: Fix handling of of caller provided syndrome
    - ixgbe: Check DDM existence in transceiver before access
    - crypto: serpent - mark __serpent_setkey_sbox noinline
    - crypto: asymmetric_keys - select CRYPTO_HASH where needed
    - wil6210: drop old event after wmi_call timeout
    - EDAC: Fix global-out-of-bounds write when setting edac_mc_poll_msec
    - bcache: check CACHE_SET_IO_DISABLE in allocator code
    - bcache: check CACHE_SET_IO_DISABLE bit in bch_journal()
    - bcache: acquire bch_register_lock later in cached_dev_free()
    - bcache: check c->gc_thread by IS_ERR_OR_NULL in cache_set_flush()
    - bcache: fix potential deadlock in cached_def_free()
    - net: hns3: fix a -Wformat-nonliteral compile warning
    - net: hns3: add some error checking in hclge_tm module
    - ath10k: destroy sdio workqueue while remove sdio module
    - net: mvpp2: prs: Don't override the sign bit in SRAM parser shift
    - igb: clear out skb->tstamp after reading the txtime
    - iwlwifi: mvm: Drop large non sta frames
    - bpf: fix uapi bpf_prog_info fields alignment
    - perf stat: Make metric event lookup more robust
    - perf stat: Fix group lookup for metric group
    - net: usb: asix: init MAC address buffers
    - rxrpc: Fix oops in tracepoint
    - bpf, libbpf, smatch: Fix potential NULL pointer dereference
    - selftests: bpf: fix inlines in test_lwt_seg6local
    - bonding: validate ip header before check IPPROTO_IGMP
    - gpiolib: Fix references to gpiod_[gs]et_*value_cansleep() variants
    - tools: bpftool: Fix json dump crash on powerpc
    - Bluetooth: hci_bcsp: Fix memory leak in rx_skb
    - Bluetooth: Add new 13d3:3491 QCA_ROME device
    - Bluetooth: Add new 13d3:3501 QCA_ROME device
    - Bluetooth: 6lowpan: search for destination address in all peers
    - perf tests: Fix record+probe_libc_inet_pton.sh for powerpc64
    - Bluetooth: Check state in l2cap_disconnect_rsp
    - gtp: add missing gtp_encap_disable_sock() in gtp_encap_enable()
    - Bluetooth: validate BLE connection interval updates
    - gtp: fix suspicious RCU usage
    - gtp: fix Illegal context switch in RCU read-side critical section.
    - gtp: fix use-after-free in gtp_encap_destroy()
    - gtp: fix use-after-free in gtp_newlink()
    - net: mvmdio: defer probe of orion-mdio if a clock is not ready
    - iavf: fix dereference of null rx_buffer pointer
    - floppy: fix out-of-bounds read in next_valid_format
    - floppy: fix invalid pointer dereference in drive_name
    - xen: let alloc_xenballooned_pages() fail if not enough memory free
    - scsi: NCR5380: Always re-enable reselection interrupt
    - Revert "scsi: ncr5380: Increase register polling limit"
    - scsi: core: Fix race on creating sense cache
    - scsi: megaraid_sas: Fix calculation of target ID
    - scsi: mac_scsi: Increase PIO/PDMA transfer length threshold
    - scsi: mac_scsi: Fix pseudo DMA implementation, take 2
    - crypto: ghash - fix unaligned memory access in ghash_setkey()
    - crypto: ccp - Validate the the error value used to index error messages
    - crypto: arm64/sha1-ce - correct digest for empty data in finup
    - crypto: arm64/sha2-ce - correct digest for empty data in finup
    - crypto: chacha20poly1305 - fix atomic sleep when using async algorithm
    - crypto: crypto4xx - fix AES CTR blocksize value
    - crypto: crypto4xx - fix blocksize for cfb and ofb
    - crypto: crypto4xx - block ciphers should only accept complete blocks
    - crypto: ccp - memset structure fields to zero before reuse
    - crypto: ccp/gcm - use const time tag comparison.
    - crypto: crypto4xx - fix a potential double free in ppc4xx_trng_probe
    - bcache: Revert "bcache: fix high CPU occupancy during journal"
    - bcache: Revert "bcache: free heap cache_set->flush_btree in
      bch_journal_free"
    - bcache: ignore read-ahead request failure on backing device
    - bcache: fix mistaken sysfs entry for io_error counter
    - bcache: destroy dc->writeback_write_wq if failed to create
      dc->writeback_thread
    - Input: gtco - bounds check collection indent level
    - Input: synaptics - whitelist Lenovo T580 SMBus intertouch
    - regulator: s2mps11: Fix buck7 and buck8 wrong voltages
    - arm64: tegra: Update Jetson TX1 GPU regulator timings
    - iwlwifi: pcie: don't service an interrupt that was masked
    - iwlwifi: pcie: fix ALIVE interrupt handling for gen2 devices w/o MSI-X
    - iwlwifi: don't WARN when calling iwl_get_shared_mem_conf with RF-Kill
    - iwlwifi: fix RF-Kill interrupt while FW load for gen2 devices
    - NFSv4: Handle the special Linux file open access mode
    - pnfs/flexfiles: Fix PTR_ERR() dereferences in ff_layout_track_ds_error
    - pNFS: Fix a typo in pnfs_update_layout
    - pnfs: Fix a problem where we gratuitously start doing I/O through the MDS
    - lib/scatterlist: Fix mapping iterator when sg->offset is greater than
      PAGE_SIZE
    - ASoC: dapm: Adapt for debugfs API change
    - raid5-cache: Need to do start() part job after adding journal device
    - ALSA: seq: Break too long mutex context in the write loop
    - ALSA: hda/realtek - Fixed Headphone Mic can't record on Dell platform
    - media: v4l2: Test type instead of cfg->type in v4l2_ctrl_new_custom()
    - media: coda: Remove unbalanced and unneeded mutex unlock
    - media: videobuf2-core: Prevent size alignment wrapping buffer size to 0
    - media: videobuf2-dma-sg: Prevent size from overflowing
    - KVM: x86/vPMU: refine kvm_pmu err msg when event creation failed
    - arm64: tegra: Fix AGIC register range
    - fs/proc/proc_sysctl.c: fix the default values of i_uid/i_gid on /proc/sys
      inodes.
    - kconfig: fix missing choice values in auto.conf
    - drm/nouveau/i2c: Enable i2c pads & busses during preinit
    - padata: use smp_mb in padata_reorder to avoid orphaned padata jobs
    - dm zoned: fix zone state management race
    - xen/events: fix binding user event channels to cpus
    - 9p/xen: Add cleanup path in p9_trans_xen_init
    - 9p/virtio: Add cleanup path in p9_virtio_init
    - x86/boot: Fix memory leak in default_get_smp_config()
    - perf/x86/intel: Fix spurious NMI on fixed counter
    - perf/x86/amd/uncore: Do not set 'ThreadMask' and 'SliceMask' for non-L3 PMCs
    - perf/x86/amd/uncore: Set the thread mask for F17h L3 PMCs
    - drm/edid: parse CEA blocks embedded in DisplayID
    - intel_th: pci: Add Ice Lake NNPI support
    - PCI: hv: Fix a use-after-free bug in hv_eject_device_work()
    - PCI: Do not poll for PME if the device is in D3cold
    - PCI: qcom: Ensure that PERST is asserted for at least 100 ms
    - Btrfs: fix data loss after inode eviction, renaming it, and fsync it
    - Btrfs: fix fsync not persisting dentry deletions due to inode evictions
    - Btrfs: add missing inode version, ctime and mtime updates when punching hole
    - IB/mlx5: Report correctly tag matching rendezvous capability
    - HID: wacom: generic: only switch the mode on devices with LEDs
    - HID: wacom: generic: Correct pad syncing
    - HID: wacom: correct touch resolution x/y typo
    - libnvdimm/pfn: fix fsdax-mode namespace info-block zero-fields
    - coda: pass the host file in vma->vm_file on mmap
    - include/asm-generic/bug.h: fix "cut here" for WARN_ON for __WARN_TAINT
      architectures
    - xfs: don't overflow xattr listent buffer
    - xfs: rename m_inotbt_nores to m_finobt_nores
    - xfs: don't ever put nlink > 0 inodes on the unlinked list
    - xfs: reserve blocks for ifree transaction during log recovery
    - xfs: fix reporting supported extra file attributes for statx()
    - xfs: serialize unaligned dio writes against all other dio writes
    - xfs: abort unaligned nowait directio early
    - gpu: ipu-v3: ipu-ic: Fix saturation bit offset in TPMEM
    - crypto: caam - limit output IV to CBC to work around CTR mode DMA issue
    - parisc: Ensure userspace privilege for ptraced processes in regset functions
    - parisc: Fix kernel panic due invalid values in IAOQ0 or IAOQ1
    - powerpc/32s: fix suspend/resume when IBATs 4-7 are used
    - powerpc/watchpoint: Restore NV GPRs while returning from exception
    - powerpc/powernv/npu: Fix reference leak
    - powerpc/pseries: Fix oops in hotplug memory notifier
    - mmc: sdhci-msm: fix mutex while in spinlock
    - eCryptfs: fix a couple type promotion bugs
    - mtd: rawnand: mtk: Correct low level time calculation of r/w cycle
    - mtd: spinand: read returns badly if the last page has bitflips
    - intel_th: msu: Fix single mode with disabled IOMMU
    - Bluetooth: Add SMP workaround Microsoft Surface Precision Mouse bug
    - usb: Handle USB3 remote wakeup for LPM enabled devices correctly
    - blk-throttle: fix zero wait time for iops throttled group
    - blk-iolatency: clear use_delay when io.latency is set to zero
    - blkcg: update blkcg_print_stat() to handle larger outputs
    - net: mvmdio: allow up to four clocks to be specified for orion-mdio
    - dt-bindings: allow up to four clocks for orion-mdio
    - dm bufio: fix deadlock with loop device
    - ath10k: Check tx_stats before use it
    - ath10k: fix incorrect multicast/broadcast rate setting
    - spi: rockchip: turn down tx dma bursts
    - ath10k: Fix encoding for protected management frames
    - media: v4l2-core: fix use-after-free error
    - media: usb:zr364xx:Fix KASAN:null-ptr-deref Read in zr364xx_vidioc_querycap
    - locking/lockdep: Fix OOO unlock when hlocks need merging
    - media: aspeed: change irq to threaded irq
    - gpio: omap: Fix lost edge wake-up interrupts
    - media: davinci: vpif_capture: fix memory leak in vpif_probe()
    - perf/x86/intel: Disable check_msr for real HW
    - integrity: Fix __integrity_init_keyring() section mismatch
    - iavf: allow null RX descriptors
    - ASoC: rsnd: fixup mod ID calculation in rsnd_ctu_probe_
    - bpf: fix callees pruning callers
    - net: netsec: initialize tx ring on ndo_open
    - EDAC/sysfs: Drop device references properly
    - nvme-pci: adjust irq max_vector using num_possible_cpus()
    - media: mt9m111: fix fw-node refactoring
    - ASoC: soc-core: call snd_soc_unbind_card() under mutex_lock;
    - ath10k: fix fw crash by moving chip reset after napi disabled
    - netfilter: ctnetlink: Fix regression in conntrack entry deletion
    - bpf: fix BPF_ALU32 | BPF_ARSH on BE arches
    - gpio: Fix return value mismatch of function gpiod_get_from_of_node()
    - ath9k: correctly handle short radar pulses
    - ath10k: Fix memory leak in qmi
    - net: hns3: add Asym Pause support to fix autoneg problem
    - iwlwifi: dbg: fix debug monitor stop and restart delays
    - bnxt_en: Disable bus master during PCI shutdown and driver unload.
    - bnxt_en: Fix statistics context reservation logic for RDMA driver.
    - perf stat: Fix metrics with --no-merge
    - perf stat: Don't merge events in the same PMU
    - net: hns3: enable broadcast promisc mode when initializing VF
    - Bluetooth: hidp: NUL terminate a string in the compat ioctl
    - xdp: fix race on generic receive path
    - net: hns3: fix __QUEUE_STATE_STACK_XOFF not cleared issue
    - blk-iolatency: fix STS_AGAIN handling
    - scsi: NCR5380: Handle PDMA failure reliably
    - scsi: sd_zbc: Fix compilation warning
    - scsi: zfcp: fix request object use-after-free in send path causing seqno
      errors
    - scsi: zfcp: fix request object use-after-free in send path causing wrong
      traces
    - cifs: fix crash in smb2_compound_op()/smb2_set_next_command()
    - cifs: Properly handle auto disabling of serverino option
    - regulator: s2mps11: Fix ERR_PTR dereference on GPIO lookup failure
    - iwlwifi: mvm: delay GTK setting in FW in AP mode
    - iwlwifi: mvm: clear rfkill_safe_init_done when we start the firmware
    - opp: Don't use IS_ERR on invalid supplies
    - ASoC: core: Adapt for debugfs API change
    - ceph: fix end offset in truncate_inode_pages_range call
    - KVM: nVMX: Always sync GUEST_BNDCFGS when it comes from vmcs01
    - KVM: VMX: Fix handling of #MC that occurs during VM-Entry
    - KVM: VMX: check CPUID before allowing read/write of IA32_XSS
    - KVM: PPC: Book3S HV: Signed extend decrementer value if not using large
      decrementer
    - KVM: PPC: Book3S HV: Clear pending decrementer exceptions on nested guest
      entry
    - KVM: PPC: Book3S HV: Fix CR0 setting in TM emulation
    - signal/usb: Replace kill_pid_info_as_cred with kill_pid_usb_asyncio
    - signal: Correct namespace fixups of si_pid and si_uid
    - i3c: fix i2c and i3c scl rate by bus mode
    - ARM: dts: gemini: Set DIR-685 SPI CS as active low
    - rt2x00usb: fix rx queue hang
    - block: Allow mapping of vmalloc-ed buffers
    - block: Fix potential overflow in blk_report_zones()
    - RDMA/srp: Accept again source addresses that do not have a port number
    - mm/nvdimm: add is_ioremap_addr and use that to check ioremap address
    - resource: fix locking in find_next_iomem_res()
    - powerpc/powernv: Fix stale iommu table base after VFIO
    - dax: Fix missed wakeup with PMD faults
    - pstore: Fix double-free in pstore_mkfile() failure path
    - [Config] rename module adv7511
  * ACPI support for the ARMv8.2 Statistical Profiling Extension (LP: #1841490)
    - ACPICA: ACPI 6.3: MADT: add support for statistical profiling in GICC
    - ACPICA: ACPI 6.3: PPTT add additional fields in Processor Structure Flags
    - ACPI/PPTT: Modify node flag detection to find last IDENTICAL
    - ACPI/PPTT: Add function to return ACPI 6.3 Identical tokens
    - arm_pmu: acpi: spe: Add initial MADT/SPE probing
    - perf: arm_spe: Enable ACPI/Platform automatic module loading
  * Backport support for software count cache flush Spectre v2 mitigation. (CVE)
    (required for POWER9 DD2.3) (LP: #1822870) // QEMU -  count cache flush
    Spectre v2 mitigation (CVE) (required for POWER9 DD2.3) (LP: #1832622)
    - KVM: PPC: Book3S: Add count cache flush parameters to kvmppc_get_cpu_char()
  * Additional regression in CMA allocation rework (LP: #1841483)
    - dma-direct: fix zone selection after an unaddressable CMA allocation
  * [SRU][B-OEM-OSP1/D/E] reduce s2idle power consumption when BIOS uses shared
    power resources (LP: #1840882)
    - PCI / ACPI: Use cached ACPI device state to get PCI device power state
    - ACPI / PM: Introduce concept of a _PR0 dependent device
    - PCI / ACPI: Add _PR0 dependent devices
  * ipv6: fix neighbour resolution with raw socket (LP: #1834465)
    - ipv6: constify rt6_nexthop()
    - ipv6: fix neighbour resolution with raw socket
  * realtek r8822be kernel module fails after update to linux kernel-headers
    5.0.0-21 (LP: #1838133)
    - build_bug.h: add wrapper for _Static_assert
    - lib/vsprintf.c: move sizeof(struct printf_spec) next to its definition
    - linux/fs.h: move member alignment check next to definition of struct
      filename
    - rtw88: add license for Makefile
    - rtw88: fix subscript above array bounds compiler warning
    - rtw88: fix unassigned rssi_level in rtw_sta_info
    - rtw88: avoid circular locking between local->iflist_mtx and rtwdev->mutex
    - rtw88: Make some symbols static
    - rtw88: pci: use ieee80211_ac_numbers instead of 0-3
    - rtw88: pci: check if queue mapping exceeds size of ac_to_hwq
    - rtw88: more descriptions about LPS
    - rtw88: add fast xmit support
    - rtw88: add support for random mac scan
    - rtw88: add beacon function setting
    - rtw88: 8822c: add rf write protection when switching channel
    - rtw88: 8822c: update channel and bandwidth BB setting
    - rtw88: 8822c: disable rx clock gating before counter reset
    - rtw88: 8822c: use more accurate ofdm fa counting
    - rtw88: power on again if it was already on
    - rtw88: restore DACK results to save time
    - rtw88: rsvd page should go though management queue
    - rtw88: fix typo rtw_writ16_set
    - rtw88: resolve order of tx power setting routines
    - rtw88: do not use (void *) as argument
    - rtw88: unify prefixes for tx power setting routine
    - rtw88: remove unused variable
    - rtw88: fix incorrect tx power limit at 5G
    - rtw88: choose the lowest as world-wide power limit
    - rtw88: correct power limit selection
    - rtw88: update tx power limit table to RF v20
    - rtw88: remove all RTW_MAX_POWER_INDEX macro
    - rtw88: refine flow to get tx power index
    - rtw88: Fix misuse of GENMASK macro
    - rtw88: pci: Rearrange the memory usage for skb in RX ISR
    - rtw88: pci: Use DMA sync instead of remapping in RX ISR
    - rtw88: debug: dump tx power indexes in use
    - rtw88: use txpwr_lmt_cfg_pair struct, not arrays
    - rtw88: pci: remove set but not used variable 'ip_sel'
    - rtw88: allow c2h operation in irq context
    - rtw88: enclose c2h cmd handle with mutex
    - rtw88: add BT co-existence support
    - SAUCE: rtw88: pci: enable MSI interrupt
  * Disco update: upstream stable patchset 2019-08-30 (LP: #1842128)
    - selftests/bpf: fix sendmsg6_prog on s390
    - net: mvpp2: Don't check for 3 consecutive Idle frames for 10G links
    - selftests: forwarding: gre_multipath: Enable IPv4 forwarding
    - selftests: forwarding: gre_multipath: Fix flower filters
    - can: mcp251x: add error check when wq alloc failed
    - can: gw: Fix error path of cgw_module_init
    - ASoC: rockchip: Fix mono capture
    - mac80211_hwsim: Fix possible null-pointer dereferences in
      hwsim_dump_radio_nl()
    - netfilter: ipset: Actually allow destination MAC address for hash:ip,mac
      sets too
    - netfilter: ipset: Copy the right MAC address in bitmap:ip,mac and
      hash:ip,mac sets
    - rxrpc: Fix potential deadlock
    - rxrpc: Fix the lack of notification when sendmsg() fails on a DATA packet
    - net: phy: phy_led_triggers: Fix a possible null-pointer dereference in
      phy_led_trigger_change_speed()
    - NFS: Fix regression whereby fscache errors are appearing on 'nofsc' mounts
    - HID: quirks: Set the INCREMENT_USAGE_ON_DUPLICATE quirk on Saitek X52
    - drm/rockchip: Suspend DP late
    - SMB3: Fix potential memory leak when processing compound chain
    - s390: put _stext and _etext into .text section
    - net: stmmac: Fix issues when number of Queues >= 4
    - net: stmmac: tc: Do not return a fragment entry
    - block, bfq: handle NULL return value by bfq_init_rq()
    - KVM: arm64: Don't write junk to sysregs on reset
    - KVM: arm: Don't write junk to CP15 registers on reset
    - clk: socfpga: stratix10: fix rate caclulationg for cnt_clks
    - ceph: clear page dirty before invalidate page
    - Drivers: hv: vmbus: Fix virt_to_hvpfn() for X86_PAE
    - dm integrity: fix a crash due to BUG_ON in __journal_read_write()
    - dm raid: add missing cleanup in raid_ctr()
    - xfs: don't trip over uninitialized buffer on extent read of corrupted inode
    - xfs: always rejoin held resources during defer roll
    - rxrpc: Fix local endpoint refcounting
    - rxrpc: Fix read-after-free in rxrpc_queue_local()
    - rxrpc: Fix local endpoint replacement
    - rxrpc: Fix local refcounting
    - regulator: axp20x: fix DCDCA and DCDCD for AXP806
    - regulator: axp20x: fix DCDC5 and DCDC6 for AXP803
    - HID: Add 044f:b320 ThrustMaster, Inc. 2 in 1 DT
    - MIPS: kernel: only use i8253 clocksource with periodic clockevent
    - mips: fix cacheinfo
    - netfilter: ebtables: fix a memory leak bug in compat
    - ASoC: dapm: Fix handling of custom_stop_condition on DAPM graph walks
    - spi: pxa2xx: Balance runtime PM enable/disable on error
    - bpf: sockmap, sock_map_delete needs to use xchg
    - bpf: sockmap, synchronize_rcu before free'ing map
    - bpf: sockmap, only create entry if ulp is not already enabled
    - ASoC: dapm: fix a memory leak bug
    - bonding: Force slave speed check after link state recovery for 802.3ad
    - can: dev: call netif_carrier_off() in register_candev()
    - ASoC: Fail card instantiation if DAI format setup fails
    - st21nfca_connectivity_event_received: null check the allocation
    - st_nci_hci_connectivity_event_received: null check the allocation
    - {nl,mac}80211: fix interface combinations on crypto controlled devices
    - ASoC: ti: davinci-mcasp: Fix clk PDIR handling for i2s master mode
    - ASoC: ti: davinci-mcasp: Correct slot_width posed constraint
    - net: usb: qmi_wwan: Add the BroadMobi BM818 card
    - qed: RDMA - Fix the hw_ver returned in device attributes
    - isdn: mISDN: hfcsusb: Fix possible null-pointer dereferences in
      start_isoc_chain()
    - net: stmmac: manage errors returned by of_get_mac_address()
    - netfilter: ipset: Fix rename concurrency with listing
    - nvmem: Use the same permissions for eeprom as for nvmem
    - iwlwifi: mvm: avoid races in rate init and rate perform
    - iwlwifi: dbg_ini: move iwl_dbg_tlv_load_bin out of debug override ifdef
    - iwlwifi: dbg_ini: move iwl_dbg_tlv_free outside of debugfs ifdef
    - iwlwifi: fix locking in delayed GTK setting
    - iwlwifi: mvm: send LQ command always ASYNC
    - isdn: hfcsusb: Fix mISDN driver crash caused by transfer buffer on the stack
    - perf bench numa: Fix cpu0 binding
    - spi: pxa2xx: Add support for Intel Comet Lake
    - spi: pxa2xx: Add support for Intel Tiger Lake
    - can: sja1000: force the string buffer NULL-terminated
    - can: peak_usb: force the string buffer NULL-terminated
    - net/ethernet/qlogic/qed: force the string buffer NULL-terminated
    - NFSv4: Fix a credential refcount leak in nfs41_check_delegation_stateid
    - NFSv4: When recovering state fails with EAGAIN, retry the same recovery
    - NFSv4.1: Fix open stateid recovery
    - NFSv4.1: Only reap expired delegations
    - NFSv4: Fix a potential sleep while atomic in nfs4_do_reclaim()
    - HID: input: fix a4tech horizontal wheel custom usage
    - SMB3: Kernel oops mounting a encryptData share with CONFIG_DEBUG_VIRTUAL
    - sched/deadline: Fix double accounting of rq/running bw in push & pull
    - s390/mm: fix dump_pagetables top level page table walking
    - ata: rb532_cf: Fix unused variable warning in rb532_pata_driver_probe
    - net: cxgb3_main: Fix a resource leak in a error path in 'init_one()'
    - drm/amdgpu: pin the csb buffer on hw init for gfx v8
    - net: hisilicon: make hip04_tx_reclaim non-reentrant
    - net: hisilicon: fix hip04-xmit never return TX_BUSY
    - net: hisilicon: Fix dma_map_single failed on arm64
    - NFSv4: Ensure state recovery handles ETIMEDOUT correctly
    - libata: have ata_scsi_rw_xlat() fail invalid passthrough requests
    - libata: add SG safety checks in SFF pio transfers
    - x86/lib/cpu: Address missing prototypes warning
    - drm/vmwgfx: fix memory leak when too many retries have occurred
    - block: aoe: Fix kernel crash due to atomic sleep when exiting
    - perf ftrace: Fix failure to set cpumask when only one cpu is present
    - perf cpumap: Fix writing to illegal memory in handling cpumap mask
    - perf pmu-events: Fix missing "cpu_clk_unhalted.core" event
    - selftests: kvm: Adding config fragments
    - HID: wacom: correct misreported EKR ring values
    - HID: wacom: Correct distance scale for 2nd-gen Intuos devices
    - Revert "dm bufio: fix deadlock with loop device"
    - ceph: don't try fill file_lock on unsuccessful GETFILELOCK reply
    - libceph: fix PG split vs OSD (re)connect race
    - drm/nouveau: Don't retry infinitely when receiving no data on i2c over AUX
    - gpiolib: never report open-drain/source lines as 'input' to user-space
    - userfaultfd_release: always remove uffd flags and clear vm_userfaultfd_ctx
    - x86/retpoline: Don't clobber RFLAGS during CALL_NOSPEC on i386
    - x86/apic: Handle missing global clockevent gracefully
    - x86/CPU/AMD: Clear RDRAND CPUID bit on AMD family 15h/16h
    - x86/boot: Save fields explicitly, zero out everything else
    - x86/boot: Fix boot regression caused by bootparam sanitizing
    - dm kcopyd: always complete failed jobs
    - dm btree: fix order of block initialization in btree_split_beneath
    - dm space map metadata: fix missing store of apply_bops() return value
    - dm table: fix invalid memory accesses with too high sector number
    - dm zoned: improve error handling in reclaim
    - dm zoned: improve error handling in i/o map code
    - dm zoned: properly handle backing device failure
    - genirq: Properly pair kobject_del() with kobject_add()
    - mm, page_alloc: move_freepages should not examine struct page of reserved
      memory
    - mm, page_owner: handle THP splits correctly
    - mm/zsmalloc.c: migration can leave pages in ZS_EMPTY indefinitely
    - mm/zsmalloc.c: fix race condition in zs_destroy_pool
    - mm/kasan: fix false positive invalid-free reports with
      CONFIG_KASAN_SW_TAGS=y
    - xfs: fix missing ILOCK unlock when xfs_setattr_nonsize fails due to EDQUOT
    - dm zoned: fix potential NULL dereference in dmz_do_reclaim()
    - powerpc: Allow flush_(inval_)dcache_range to work across ranges >4GB
  * Disco update: upstream stable patchset 2019-08-29 (LP: #1841994)
    - scsi: fcoe: Embed fc_rport_priv in fcoe_rport structure
    - gcc-9: don't warn about uninitialized variable
    - driver core: Establish order of operations for device_add and device_del via
      bitflag
    - drivers/base: Introduce kill_device()
    - libnvdimm/bus: Prevent duplicate device_unregister() calls
    - libnvdimm/bus: Prepare the nd_ioctl() path to be re-entrant
    - libnvdimm/bus: Fix wait_nvdimm_bus_probe_idle() ABBA deadlock
    - HID: wacom: fix bit shift for Cintiq Companion 2
    - HID: Add quirk for HP X1200 PIXART OEM mouse
    - atm: iphase: Fix Spectre v1 vulnerability
    - bnx2x: Disable multi-cos feature.
    - ife: error out when nla attributes are empty
    - ip6_gre: reload ipv6h in prepare_ip6gre_xmit_ipv6
    - ip6_tunnel: fix possible use-after-free on xmit
    - ipip: validate header length in ipip_tunnel_xmit
    - mlxsw: spectrum: Fix error path in mlxsw_sp_module_init()
    - mvpp2: fix panic on module removal
    - mvpp2: refactor MTU change code
    - net: bridge: delete local fdb on device init failure
    - net: bridge: mcast: don't delete permanent entries when fast leave is
      enabled
    - net: fix ifindex collision during namespace removal
    - net/mlx5e: always initialize frag->last_in_page
    - net/mlx5: Use reversed order when unregister devices
    - net: phylink: Fix flow control for fixed-link
    - net: qualcomm: rmnet: Fix incorrect UL checksum offload logic
    - net: sched: Fix a possible null-pointer dereference in dequeue_func()
    - net sched: update vlan action for batched events operations
    - net: sched: use temporary variable for actions indexes
    - net/smc: do not schedule tx_work in SMC_CLOSED state
    - NFC: nfcmrvl: fix gpio-handling regression
    - ocelot: Cancel delayed work before wq destruction
    - tipc: compat: allow tipc commands without arguments
    - tun: mark small packets as owned by the tap sock
    - net/mlx5: Fix modify_cq_in alignment
    - net/mlx5e: Prevent encap flow counter update async to user query
    - r8169: don't use MSI before RTL8168d
    - compat_ioctl: pppoe: fix PPPOEIOCSFWD handling
    - cgroup: Call cgroup_release() before __exit_signal()
    - cgroup: Implement css_task_iter_skip()
    - cgroup: Include dying leaders with live threads in PROCS iterations
    - cgroup: css_task_iter_skip()'d iterators must be advanced before accessed
    - cgroup: Fix css_task_iter_advance_css_set() cset skip condition
    - spi: bcm2835: Fix 3-wire mode if DMA is enabled
    - ALSA: usb-audio: Sanity checks for each pipe and EP types
    - ALSA: usb-audio: Fix gpf in snd_usb_pipe_sanity_check
    - drivers/net/ethernet/marvell/mvmdio.c: Fix non OF case
    - net: phylink: don't start and stop SGMII PHYs in SFP modules twice
    - net: phy: mscc: initialize stats array
    - bpf: fix XDP vlan selftests test_xdp_vlan.sh
    - selftests/bpf: add wrapper scripts for test_xdp_vlan.sh
    - selftests/bpf: reduce time to execute test_xdp_vlan.sh
    - net: fix bpf_xdp_adjust_head regression for generic-XDP
    - hv_sock: Fix hang when a connection is closed
    - iio: cros_ec_accel_legacy: Fix incorrect channel setting
    - iio: adc: max9611: Fix misuse of GENMASK macro
    - staging: gasket: apex: fix copy-paste typo
    - staging: android: ion: Bail out upon SIGKILL when allocating memory.
    - crypto: ccp - Fix oops by properly managing allocated structures
    - crypto: ccp - Add support for valid authsize values less than 16
    - crypto: ccp - Ignore tag length when decrypting GCM ciphertext
    - usb: usbfs: fix double-free of usb memory upon submiturb error
    - usb: iowarrior: fix deadlock on disconnect
    - sound: fix a memory leak bug
    - mmc: cavium: Set the correct dma max segment size for mmc_host
    - mmc: cavium: Add the missing dma unmap when the dma has finished.
    - loop: set PF_MEMALLOC_NOIO for the worker thread
    - Input: usbtouchscreen - initialize PM mutex before using it
    - Input: elantech - enable SMBus on new (2018+) systems
    - Input: synaptics - enable RMI mode for HP Spectre X360
    - perf annotate: Fix s390 gap between kernel end and module start
    - perf db-export: Fix thread__exec_comm()
    - perf record: Fix module size on s390
    - x86/purgatory: Use CFLAGS_REMOVE rather than reset KBUILD_CFLAGS
    - gfs2: gfs2_walk_metadata fix
    - usb: host: xhci-rcar: Fix timeout in xhci_suspend()
    - usb: yurex: Fix use-after-free in yurex_delete
    - usb: typec: tcpm: free log buf memory when remove debug file
    - usb: typec: tcpm: remove tcpm dir if no children
    - usb: typec: tcpm: Add NULL check before dereferencing config
    - usb: typec: tcpm: Ignore unsupported/unknown alternate mode requests
    - can: rcar_canfd: fix possible IRQ storm on high load
    - can: peak_usb: fix potential double kfree_skb()
    - netfilter: nfnetlink: avoid deadlock due to synchronous request_module
    - vfio-ccw: Set pa_nr to 0 if memory allocation fails for pa_iova_pfn
    - netfilter: Fix rpfilter dropping vrf packets by mistake
    - netfilter: conntrack: always store window size un-scaled
    - netfilter: nft_hash: fix symhash with modulus one
    - scripts/sphinx-pre-install: fix script for RHEL/CentOS
    - drm/amd/display: Wait for backlight programming completion in set backlight
      level
    - drm/amd/display: use encoder's engine id to find matched free audio device
    - drm/amd/display: Fix dc_create failure handling and 666 color depths
    - drm/amd/display: Only enable audio if speaker allocation exists
    - drm/amd/display: Increase size of audios array
    - iscsi_ibft: make ISCSI_IBFT dependson ACPI instead of ISCSI_IBFT_FIND
    - nl80211: fix NL80211_HE_MAX_CAPABILITY_LEN
    - mac80211: don't warn about CW params when not using them
    - allocate_flower_entry: should check for null deref
    - hwmon: (nct6775) Fix register address and added missed tolerance for nct6106
    - drm: silence variable 'conn' set but not used
    - cpufreq/pasemi: fix use-after-free in pas_cpufreq_cpu_init()
    - s390/qdio: add sanity checks to the fast-requeue path
    - ALSA: compress: Fix regression on compressed capture streams
    - ALSA: compress: Prevent bypasses of set_params
    - ALSA: compress: Don't allow paritial drain operations on capture streams
    - ALSA: compress: Be more restrictive about when a drain is allowed
    - perf tools: Fix proper buffer size for feature processing
    - perf probe: Avoid calling freeing routine multiple times for same pointer
    - drbd: dynamically allocate shash descriptor
    - ACPI/IORT: Fix off-by-one check in iort_dev_find_its_id()
    - ARM: davinci: fix sleep.S build error on ARMv4
    - ARM: dts: bcm: bcm47094: add missing #cells for mdio-bus-mux
    - scsi: megaraid_sas: fix panic on loading firmware crashdump
    - scsi: ibmvfc: fix WARN_ON during event pool release
    - scsi: scsi_dh_alua: always use a 2 second delay before retrying RTPG
    - test_firmware: fix a memory leak bug
    - tty/ldsem, locking/rwsem: Add missing ACQUIRE to read_failed sleep loop
    - perf/core: Fix creating kernel counters for PMUs that override event->cpu
    - s390/dma: provide proper ARCH_ZONE_DMA_BITS value
    - HID: sony: Fix race condition between rumble and device remove.
    - x86/purgatory: Do not use __builtin_memcpy and __builtin_memset
    - ALSA: usb-audio: fix a memory leak bug
    - can: peak_usb: pcan_usb_pro: Fix info-leaks to USB devices
    - can: peak_usb: pcan_usb_fd: Fix info-leaks to USB devices
    - hwmon: (nct7802) Fix wrong detection of in4 presence
    - drm/i915: Fix wrong escape clock divisor init for GLK
    - ALSA: firewire: fix a memory leak bug
    - ALSA: hiface: fix multiple memory leak bugs
    - ALSA: hda - Don't override global PCM hw info flag
    - ALSA: hda - Workaround for crackled sound on AMD controller (1022:1457)
    - mac80211: don't WARN on short WMM parameters from AP
    - dax: dax_layout_busy_page() should not unmap cow pages
    - SMB3: Fix deadlock in validate negotiate hits reconnect
    - smb3: send CAP_DFS capability during session setup
    - NFSv4: Fix an Oops in nfs4_do_setattr
    - KVM: Fix leak vCPU's VMCS value into other pCPU
    - mwifiex: fix 802.11n/WPA detection
    - iwlwifi: don't unmap as page memory that was mapped as single
    - iwlwifi: mvm: fix an out-of-bound access
    - iwlwifi: mvm: don't send GEO_TX_POWER_LIMIT on version < 41
    - iwlwifi: mvm: fix version check for GEO_TX_POWER_LIMIT support
    - iio: adc: gyroadc: fix uninitialized return code
    - staging: wilc1000: flush the workqueue before deinit the host
    - can: flexcan: fix stop mode acknowledgment
    - can: flexcan: fix an use-after-free in flexcan_setup_stop_mode()
    - powerpc: fix off by one in max_zone_pfn initialization for ZONE_DMA
    - scripts/sphinx-pre-install: don't use LaTeX with CentOS 7
    - rq-qos: don't reset has_sleepers on spurious wakeups
    - rq-qos: set ourself TASK_UNINTERRUPTIBLE after we schedule
    - rq-qos: use a mb for got_token
    - drm/amd/display: Clock does not lower in Updateplanes
    - drm/amd/display: fix DMCU hang when going into Modern Standby
    - drm/amd/display: allocate 4 ddc engines for RV2
    - mac80211: fix possible memory leak in ieee80211_assign_beacon
    - hwmon: (occ) Fix division by zero issue
    - ARM: dts: imx6ul: fix clock frequency property name of I2C buses
    - powerpc/papr_scm: Force a scm-unbind if initial scm-bind fails
    - arm64: Force SSBS on context switch
    - arm64: entry: SP Alignment Fault doesn't write to FAR_EL1
    - drm/msm/dpu: Correct dpu encoder spinlock initialization
    - perf script: Fix off by one in brstackinsn IPC computation
    - perf stat: Fix segfault for event group in repeat mode
    - nvme: ignore subnqn for ADATA SX6000LNP
    - nvme: fix memory leak caused by incorrect subsystem free
    - perf/x86: Apply more accurate check on hypervisor platform
    - gen_compile_commands: lower the entry count threshold
    - NFSv4: Fix delegation state recovery
    - NFSv4: Check the return value of update_open_stateid()
    - KVM: arm/arm64: Sync ICH_VMCR_EL2 back when about to block
    - iwlwifi: mvm: fix a use-after-free bug in iwl_mvm_tx_tso_segment
    - sh: kernel: hw_breakpoint: Fix missing break in switch statement
    - seq_file: fix problem when seeking mid-record
    - mm/hmm: fix bad subpage pointer in try_to_unmap_one
    - mm: mempolicy: make the behavior consistent when MPOL_MF_MOVE* and
      MPOL_MF_STRICT were specified
    - mm: mempolicy: handle vma with unmovable pages mapped correctly in mbind
    - mm/memcontrol.c: fix use after free in mem_cgroup_iter()
    - mm/usercopy: use memory range to be accessed for wraparound check
    - cpufreq: schedutil: Don't skip freq update when limits change
    - xtensa: add missing isync to the cpu_reset TLB code
    - ALSA: hda/realtek - Add quirk for HP Envy x360
    - ALSA: usb-audio: Fix a stack buffer overflow bug in check_input_term
    - ALSA: usb-audio: Fix an OOB bug in parse_audio_mixer_unit
    - ALSA: hda - Apply workaround for another AMD chip 1022:1487
    - ALSA: hda - Fix a memory leak bug
    - HID: holtek: test for sanity of intfdata
    - HID: hiddev: avoid opening a disconnected device
    - HID: hiddev: do cleanup in failure of opening a device
    - Input: kbtab - sanity check for endpoint type
    - Input: iforce - add sanity checks
    - net: usb: pegasus: fix improper read if get_registers() fail
    - netfilter: ebtables: also count base chain policies
    - riscv: Make __fstate_clean() work correctly.
    - clk: at91: generated: Truncate divisor to GENERATED_MAX_DIV + 1
    - clk: sprd: Select REGMAP_MMIO to avoid compile errors
    - clk: renesas: cpg-mssr: Fix reset control race condition
    - xen/pciback: remove set but not used variable 'old_state'
    - irqchip/gic-v3-its: Free unused vpt_page when alloc vpe table fail
    - irqchip/irq-imx-gpcv2: Forward irq type to parent
    - perf header: Fix divide by zero error if f_header.attr_size==0
    - perf header: Fix use of unitialized value warning
    - libata: zpodd: Fix small read overflow in zpodd_get_mech_type()
    - drm/bridge: lvds-encoder: Fix build error while CONFIG_DRM_KMS_HELPER=m
    - Btrfs: fix deadlock between fiemap and transaction commits
    - scsi: hpsa: correct scsi command status issue after reset
    - scsi: qla2xxx: Fix possible fcport null-pointer dereferences
    - drm/amdgpu: fix a potential information leaking bug
    - ata: libahci: do not complain in case of deferred probe
    - kbuild: modpost: handle KBUILD_EXTRA_SYMBOLS only for external modules
    - kbuild: Check for unknown options with cc-option usage in Kconfig and clang
    - arm64/efi: fix variable 'si' set but not used
    - arm64: unwind: Prohibit probing on return_address()
    - arm64/mm: fix variable 'pud' set but not used
    - IB/core: Add mitigation for Spectre V1
    - IB/mlx5: Fix MR registration flow to use UMR properly
    - IB/mad: Fix use-after-free in ib mad completion handling
    - drm: msm: Fix add_gpu_components
    - drm/exynos: fix missing decrement of retry counter
    - Revert "kmemleak: allow to coexist with fault injection"
    - ocfs2: remove set but not used variable 'last_hash'
    - asm-generic: fix -Wtype-limits compiler warnings
    - arm64: KVM: regmap: Fix unexpected switch fall-through
    - staging: comedi: dt3000: Fix signed integer overflow 'divider * base'
    - staging: comedi: dt3000: Fix rounding up of timer divisor
    - iio: adc: max9611: Fix temperature reading in probe
    - USB: core: Fix races in character device registration and deregistraion
    - usb: gadget: udc: renesas_usb3: Fix sysfs interface of "role"
    - usb: cdc-acm: make sure a refcount is taken early enough
    - USB: CDC: fix sanity checks in CDC union parser
    - USB: serial: option: add D-Link DWM-222 device ID
    - USB: serial: option: Add support for ZTE MF871A
    - USB: serial: option: add the BroadMobi BM818 card
    - USB: serial: option: Add Motorola modem UARTs
    - arm64: ftrace: Ensure module ftrace trampoline is coherent with I-side
    - netfilter: conntrack: Use consistent ct id hash calculation
    - Input: psmouse - fix build error of multiple definition
    - bnx2x: Fix VF's VLAN reconfiguration in reload.
    - bonding: Add vlan tx offload to hw_enc_features
    - net: dsa: Check existence of .port_mdb_add callback before calling it
    - net/mlx4_en: fix a memory leak bug
    - net/packet: fix race in tpacket_snd()
    - sctp: fix memleak in sctp_send_reset_streams
    - sctp: fix the transport error_count check
    - team: Add vlan tx offload to hw_enc_features
    - tipc: initialise addr_trail_end when setting node addresses
    - xen/netback: Reset nr_frags before freeing skb
    - net/mlx5e: Only support tx/rx pause setting for port owner
    - net/mlx5e: Use flow keys dissector to parse packets for ARFS
    - mm/z3fold.c: fix z3fold_destroy_pool() ordering
    - mm, vmscan: do not special-case slab reclaim when watermarks are boosted
    - drm/amdgpu: fix gfx9 soft recovery
    - riscv: Correct the initialized flow of FP register
    - blk-mq: move cancel of requeue_work to the front of blk_exit_queue
    - IB/mlx5: Replace kfree with kvfree
    - dma-mapping: check pfn validity in dma_common_{mmap,get_sgtable}
    - f2fs: fix to read source block before invalidating it
    - tools perf beauty: Fix usbdevfs_ioctl table generator to handle _IOC()
    - ALSA: pcm: fix lost wakeup event scenarios in snd_pcm_drain
    - drm/bridge: tc358764: Fix build error
    - tracing: Fix header include guards in trace event headers
    - drm/amdkfd: Fix byte align on VegaM
    - RDMA/restrack: Track driver QP types in resource tracker
    - RDMA/mlx5: Release locks during notifier unregister
    - arm64: kprobes: Recover pstate.D in single-step exception handler
    - arm64: Make debug exception handlers visible from RCU
    - page flags: prioritize kasan bits over last-cpuid
    - bnxt_en: Fix VNIC clearing logic for 57500 chips.
    - bnxt_en: Improve RX doorbell sequence.
    - bnxt_en: Fix handling FRAG_ERR when NVM_INSTALL_UPDATE cmd fails
    - bnxt_en: Suppress HWRM errors for HWRM_NVM_GET_VARIABLE command
    - bnxt_en: Use correct src_fid to determine direction of the flow
    - bnxt_en: Fix to include flow direction in L2 key
    - net sched: update skbedit action for batched events operations
    - tc-testing: updated skbedit action tests with batch create/delete
  * Disco update: upstream stable patchset 2019-08-27 (LP: #1841681)
    - hv_sock: Add support for delayed close
    - vsock: correct removal of socket from the list
    - ISDN: hfcsusb: checking idx of ep configuration
    - media: au0828: fix null dereference in error path
    - ath10k: Change the warning message string
    - media: cpia2_usb: first wake up, then free in disconnect
    - media: pvrusb2: use a different format for warnings
    - NFS: Cleanup if nfs_match_client is interrupted
    - media: radio-raremono: change devm_k*alloc to k*alloc
    - Bluetooth: hci_uart: check for missing tty operations
    - sched/fair: Don't free p->numa_faults with concurrent readers
    - sched/fair: Use RCU accessors consistently for ->numa_group
    - /proc/<pid>/cmdline: remove all the special cases
    - /proc/<pid>/cmdline: add back the setproctitle() special case
    - drivers/pps/pps.c: clear offset flags in PPS_SETPARAMS ioctl
    - Fix allyesconfig output.
    - ceph: hold i_ceph_lock when removing caps for freeing inode
    - ip_tunnel: allow not to count pkts on tstats by setting skb's dev to NULL
    - xfrm: policy: fix bydst hlist corruption on hash rebuild
    - nvme: fix multipath crash when ANA is deactivated
    - ARM: riscpc: fix DMA
    - ARM: dts: rockchip: Make rk3288-veyron-minnie run at hs200
    - ARM: dts: rockchip: Make rk3288-veyron-mickey's emmc work again
    - ARM: dts: rockchip: Mark that the rk3288 timer might stop in suspend
    - ftrace: Enable trampoline when rec count returns back to one
    - dmaengine: tegra-apb: Error out if DMA_PREP_INTERRUPT flag is unset
    - arm64: dts: rockchip: fix isp iommu clocks and power domain
    - kernel/module.c: Only return -EEXIST for modules that have finished loading
    - firmware/psci: psci_checker: Park kthreads before stopping them
    - MIPS: lantiq: Fix bitfield masking
    - dmaengine: rcar-dmac: Reject zero-length slave DMA requests
    - clk: tegra210: fix PLLU and PLLU_OUT1
    - fs/adfs: super: fix use-after-free bug
    - clk: sprd: Add check for return value of sprd_clk_regmap_init()
    - btrfs: fix minimum number of chunk errors for DUP
    - btrfs: qgroup: Don't hold qgroup_ioctl_lock in btrfs_qgroup_inherit()
    - cifs: Fix a race condition with cifs_echo_request
    - ceph: fix improper use of smp_mb__before_atomic()
    - ceph: return -ERANGE if virtual xattr value didn't fit in buffer
    - ACPI: blacklist: fix clang warning for unused DMI table
    - scsi: zfcp: fix GCC compiler warning emitted with -Wmaybe-uninitialized
    - perf version: Fix segfault due to missing OPT_END()
    - x86: kvm: avoid constant-conversion warning
    - ACPI: fix false-positive -Wuninitialized warning
    - be2net: Signal that the device cannot transmit during reconfiguration
    - x86/apic: Silence -Wtype-limits compiler warnings
    - x86: math-emu: Hide clang warnings for 16-bit overflow
    - mm/cma.c: fail if fixed declaration can't be honored
    - lib/test_overflow.c: avoid tainting the kernel and fix wrap size
    - lib/test_string.c: avoid masking memset16/32/64 failures
    - coda: add error handling for fget
    - coda: fix build using bare-metal toolchain
    - uapi linux/coda_psdev.h: move upc_req definition from uapi to kernel side
      headers
    - drivers/rapidio/devices/rio_mport_cdev.c: NUL terminate some strings
    - ipc/mqueue.c: only perform resource calculation if user valid
    - xen/pv: Fix a boot up hang revealed by int3 self test
    - x86/kvm: Don't call kvm_spurious_fault() from .fixup
    - x86/paravirt: Fix callee-saved function ELF sizes
    - x86, boot: Remove multiple copy of static function sanitize_boot_params()
    - drm/nouveau: fix memory leak in nouveau_conn_reset()
    - kconfig: Clear "written" flag to avoid data loss
    - kbuild: initialize CLANG_FLAGS correctly in the top Makefile
    - Btrfs: fix incremental send failure after deduplication
    - Btrfs: fix race leading to fs corruption after transaction abort
    - mmc: dw_mmc: Fix occasional hang after tuning on eMMC
    - mmc: meson-mx-sdio: Fix misuse of GENMASK macro
    - gpiolib: fix incorrect IRQ requesting of an active-low lineevent
    - IB/hfi1: Fix Spectre v1 vulnerability
    - mtd: rawnand: micron: handle on-die "ECC-off" devices correctly
    - selinux: fix memory leak in policydb_init()
    - ALSA: hda: Fix 1-minute detection delay when i915 module is not available
    - mm: vmscan: check if mem cgroup is disabled or not before calling memcg slab
      shrinker
    - s390/dasd: fix endless loop after read unit address configuration
    - cgroup: kselftest: relax fs_spec checks
    - parisc: Fix build of compressed kernel even with debug enabled
    - drivers/perf: arm_pmu: Fix failure path in PM notifier
    - arm64: compat: Allow single-byte watchpoints on all addresses
    - arm64: cpufeature: Fix feature comparison for CTR_EL0.{CWG,ERG}
    - nbd: replace kill_bdev() with __invalidate_device() again
    - xen/swiotlb: fix condition for calling xen_destroy_contiguous_region()
    - IB/mlx5: Fix unreg_umr to ignore the mkey state
    - IB/mlx5: Use direct mkey destroy command upon UMR unreg failure
    - IB/mlx5: Move MRs to a kernel PD when freeing them to the MR cache
    - IB/mlx5: Fix clean_mr() to work in the expected order
    - IB/mlx5: Fix RSS Toeplitz setup to be aligned with the HW specification
    - IB/hfi1: Check for error on call to alloc_rsm_map_table
    - drm/i915/gvt: fix incorrect cache entry for guest page mapping
    - eeprom: at24: make spd world-readable again
    - gcc-9: properly declare the {pv,hv}clock_page storage
    - scsi: mpt3sas: Use 63-bit DMA addressing on SAS35 HBA
    - Documentation: Add swapgs description to the Spectre v1 documentation
    - arm64: dts: marvell: mcbin: enlarge PCI memory window
    - PCI: OF: Initialize dev->fwnode appropriately
    - arm64: qcom: qcs404: Add reset-cells to GCC node
    - swiotlb: fix phys_addr_t overflow warning
    - arm64: dts: rockchip: Fix USB3 Type-C on rk3399-sapphire
    - btrfs: Flush before reflinking any extent to prevent NOCOW write falling
      back to COW without data reservation
    - virtio-mmio: add error check for platform_get_irq
    - cifs: fix crash in cifs_dfs_do_automount
    - KVM: nVMX: Ignore segment base for VMX memory operand when segment not FS or
      GS
    - bpf: fix BTF verifier size resolution logic
    - mm/slab_common.c: work around clang bug #42570
    - mm/ioremap: check virtual address alignment while creating huge mappings
    - nds32: fix asm/syscall.h
    - mm/hotplug: make remove_memory() interface usable
    - crypto: ccp - Fix SEV_VERSION_GREATER_OR_EQUAL
    - bpf: Disable GCC -fgcse optimization for ___bpf_prog_run()
    - kbuild: modpost: include .*.cmd files only when targets exist
    - dax: Fix missed wakeup in put_unlocked_entry()
    - fgraph: Remove redundant ftrace_graph_notrace_addr() test
    - mmc: host: sdhci-sprd: Fix the missing pm_runtime_put_noidle()
    - mmc: mmc_spi: Enable stable writes
    - gpiolib: Preserve desc->flags when setting state
    - gpio: don't WARN() on NULL descs if gpiolib is disabled
    - i2c: at91: disable TXRDY interrupt after sending data
    - i2c: at91: fix clk_offset for sama5d2
    - mm: migrate: fix reference check race between __find_get_block() and
      migration
    - mm/migrate.c: initialize pud_entry in migrate_vma()
    - parisc: Add archclean Makefile target
    - parisc: Strip debug info from kernel before creating compressed vmlinuz
    - RDMA/bnxt_re: Honor vlan_id in GID entry comparison
    - drm/i915/perf: fix ICL perf register offsets
  * Disco update: upstream stable patchset 2019-08-22 (LP: #1841121)
    - hvsock: fix epollout hang from race condition
    - drm/panel: simple: Fix panel_simple_dsi_probe
    - iio: adc: stm32-dfsdm: manage the get_irq error case
    - iio: adc: stm32-dfsdm: missing error case during probe
    - staging: vt6656: use meaningful error code during buffer allocation
    - usb: core: hub: Disable hub-initiated U1/U2
    - tty: max310x: Fix invalid baudrate divisors calculator
    - pinctrl: rockchip: fix leaked of_node references
    - tty: serial: cpm_uart - fix init when SMC is relocated
    - drm/amd/display: Fill prescale_params->scale for RGB565
    - drm/amdgpu/sriov: Need to initialize the HDP_NONSURFACE_BAStE
    - drm/amd/display: Disable ABM before destroy ABM struct
    - drm/amdkfd: Fix a potential memory leak
    - drm/amdkfd: Fix sdma queue map issue
    - drm/edid: Fix a missing-check bug in drm_load_edid_firmware()
    - PCI: Return error if cannot probe VF
    - drm/bridge: tc358767: read display_props in get_modes()
    - drm/bridge: sii902x: pixel clock unit is 10kHz instead of 1kHz
    - gpu: host1x: Increase maximum DMA segment size
    - drm/crc-debugfs: User irqsafe spinlock in drm_crtc_add_crc_entry
    - drm/crc-debugfs: Also sprinkle irqrestore over early exits
    - memstick: Fix error cleanup path of memstick_init
    - tty/serial: digicolor: Fix digicolor-usart already registered warning
    - tty: serial: msm_serial: avoid system lockup condition
    - serial: 8250: Fix TX interrupt handling condition
    - drm/amd/display: Always allocate initial connector state state
    - drm/virtio: Add memory barriers for capset cache.
    - phy: renesas: rcar-gen2: Fix memory leak at error paths
    - drm/amd/display: fix compilation error
    - powerpc/pseries/mobility: prevent cpu hotplug during DT update
    - drm/rockchip: Properly adjust to a true clock in adjusted_mode
    - serial: imx: fix locking in set_termios()
    - tty: serial_core: Set port active bit in uart_port_activate
    - usb: gadget: Zero ffs_io_data
    - mmc: sdhci: sdhci-pci-o2micro: Check if controller supports 8-bit width
    - powerpc/pci/of: Fix OF flags parsing for 64bit BARs
    - drm/msm: Depopulate platform on probe failure
    - serial: mctrl_gpio: Check if GPIO property exisits before requesting it
    - PCI: sysfs: Ignore lockdep for remove attribute
    - i2c: stm32f7: fix the get_irq error cases
    - kbuild: Add -Werror=unknown-warning-option to CLANG_FLAGS
    - genksyms: Teach parser about 128-bit built-in types
    - PCI: xilinx-nwl: Fix Multi MSI data programming
    - iio: iio-utils: Fix possible incorrect mask calculation
    - powerpc/cacheflush: fix variable set but not used
    - powerpc/xmon: Fix disabling tracing while in xmon
    - recordmcount: Fix spurious mcount entries on powerpc
    - mfd: madera: Add missing of table registration
    - mfd: core: Set fwnode for created devices
    - mfd: arizona: Fix undefined behavior
    - mfd: hi655x-pmic: Fix missing return value check for
      devm_regmap_init_mmio_clk
    - mm/swap: fix release_pages() when releasing devmap pages
    - um: Silence lockdep complaint about mmap_sem
    - powerpc/4xx/uic: clear pending interrupt after irq type/pol change
    - RDMA/i40iw: Set queue pair state when being queried
    - serial: sh-sci: Terminate TX DMA during buffer flushing
    - serial: sh-sci: Fix TX DMA buffer flushing and workqueue races
    - IB/mlx5: Fixed reporting counters on 2nd port for Dual port RoCE
    - powerpc/mm: Handle page table allocation failures
    - IB/ipoib: Add child to parent list only if device initialized
    - arm64: assembler: Switch ESB-instruction with a vanilla nop if
      !ARM64_HAS_RAS
    - PCI: mobiveil: Fix PCI base address in MEM/IO outbound windows
    - PCI: mobiveil: Fix the Class Code field
    - kallsyms: exclude kasan local symbols on s390
    - PCI: mobiveil: Initialize Primary/Secondary/Subordinate bus numbers
    - PCI: mobiveil: Use the 1st inbound window for MEM inbound transactions
    - perf test mmap-thread-lookup: Initialize variable to suppress memory
      sanitizer warning
    - perf stat: Fix use-after-freed pointer detected by the smatch tool
    - perf top: Fix potential NULL pointer dereference detected by the smatch tool
    - perf session: Fix potential NULL pointer dereference found by the smatch
      tool
    - perf annotate: Fix dereferencing freed memory found by the smatch tool
    - perf hists browser: Fix potential NULL pointer dereference found by the
      smatch tool
    - RDMA/rxe: Fill in wc byte_len with IB_WC_RECV_RDMA_WITH_IMM
    - PCI: dwc: pci-dra7xx: Fix compilation when !CONFIG_GPIOLIB
    - powerpc/boot: add {get, put}_unaligned_be32 to xz_config.h
    - block: init flush rq ref count to 1
    - f2fs: avoid out-of-range memory access
    - mailbox: handle failed named mailbox channel request
    - dlm: check if workqueues are NULL before flushing/destroying
    - powerpc/eeh: Handle hugepages in ioremap space
    - block/bio-integrity: fix a memory leak bug
    - sh: prevent warnings when using iounmap
    - mm/kmemleak.c: fix check for softirq context
    - 9p: pass the correct prototype to read_cache_page
    - mm/gup.c: mark undo_dev_pagemap as __maybe_unused
    - mm/gup.c: remove some BUG_ONs from get_gate_page()
    - memcg, fsnotify: no oom-kill for remote memcg charging
    - mm/mmu_notifier: use hlist_add_head_rcu()
    - proc: use down_read_killable mmap_sem for /proc/pid/smaps_rollup
    - proc: use down_read_killable mmap_sem for /proc/pid/pagemap
    - proc: use down_read_killable mmap_sem for /proc/pid/clear_refs
    - proc: use down_read_killable mmap_sem for /proc/pid/map_files
    - cxgb4: reduce kernel stack usage in cudbg_collect_mem_region()
    - proc: use down_read_killable mmap_sem for /proc/pid/maps
    - locking/lockdep: Fix lock used or unused stats error
    - mm: use down_read_killable for locking mmap_sem in access_remote_vm
    - locking/lockdep: Hide unused 'class' variable
    - usb: wusbcore: fix unbalanced get/put cluster_id
    - usb: pci-quirks: Correct AMD PLL quirk detection
    - btrfs: inode: Don't compress if NODATASUM or NODATACOW set
    - x86/sysfb_efi: Add quirks for some devices with swapped width and height
    - x86/speculation/mds: Apply more accurate check on hypervisor platform
    - binder: prevent transactions to context manager from its own process.
    - fpga-manager: altera-ps-spi: Fix build error
    - mei: me: add mule creek canyon (EHL) device ids
    - hpet: Fix division by zero in hpet_time_div()
    - ALSA: ac97: Fix double free of ac97_codec_device
    - powerpc/xive: Fix loop exit-condition in xive_find_target_in_mask()
    - libnvdimm/bus: Stop holding nvdimm_bus_list_mutex over __nd_ioctl()
    - access: avoid the RCU grace period for the temporary subjective credentials
    - regulator: 88pm800: fix warning same module names
    - media: drivers: media: coda: fix warning same module names
    - btrfs: shut up bogus -Wmaybe-uninitialized warning
    - drm/virtio: set seqno for dma-fence
    - ipmi_si: fix unexpected driver unregister warning
    - drm/bochs: Fix connector leak during driver unload
    - drm/msm/a6xx: Check for ERR or NULL before iounmap
    - ipmi:ssif: Only unregister the platform driver if it was registered
    - ipmi_ssif: fix unexpected driver unregister warning
    - drm/amd/display: Disable cursor when offscreen in negative direction
    - drm/amdgpu: Reserve shared fence for eviction fence
    - f2fs: fix to avoid deadloop if data_flush is on
    - tools: PCI: Fix broken pcitest compilation
    - drm/amd/display: Increase Backlight Gain Step Size
    - f2fs: Fix accounting for unusable blocks
    - f2fs: Lower threshold for disable_cp_again
    - drm/vkms: Forward timer right after drm_crtc_handle_vblank
    - i2c: nvidia-gpu: resume ccgx i2c client
    - PCI: endpoint: Allocate enough space for fixed size BAR
    - dma-remap: Avoid de-referencing NULL atomic_pool
    - platform/x86: asus-wmi: Increase input buffer size of WMI methods
    - iio: adxl372: fix iio_triggered_buffer_{pre,post}enable positions
    - serial: uartps: Use the same dynamic major number for all ports
    - kvm: vmx: fix limit checking in get_vmx_mem_address()
    - KVM: nVMX: Intercept VMWRITEs to GUEST_{CS,SS}_AR_BYTES
    - kvm: vmx: segment limit check: use access length
    - powerpc/rtas: retry when cpu offline races with suspend/migration
    - fixdep: check return value of printf() and putchar()
    - KVM: nVMX: Stash L1's CR3 in vmcs01.GUEST_CR3 on nested entry w/o EPT
    - perf trace: Fix potential NULL pointer dereference found by the smatch tool
    - perf map: Fix potential NULL pointer dereference found by smatch tool
    - perf intel-bts: Fix potential NULL pointer dereference found by the smatch
      tool
    - RDMA/core: Fix race when resolving IP address
    - nvme-pci: check for NULL return from pci_alloc_p2pmem()
    - nvme-pci: limit max_hw_sectors based on the DMA max mapping size
    - nvme-tcp: don't use sendpage for SLAB pages
    - nvme-tcp: set the STABLE_WRITES flag when data digests are enabled
    - powerpc/irq: Don't WARN continuously in arch_local_irq_restore()
    - nvme: fix NULL deref for fabrics options
    - mm/mincore.c: fix race between swapoff and mincore
    - mm, swap: fix race between swapoff and some swap operations
    - usb-storage: Add a limitation for blk_queue_max_hw_sectors()
    - KVM: PPC: Book3S HV: Always save guest pmu for guest capable of nesting
    - KVM: PPC: Book3S HV: Save and restore guest visible PSSCR bits on pseries
    - selinux: check sidtab limit before adding a new entry
    - x86/stacktrace: Prevent access_ok() warnings in arch_stack_walk_user()
    - eeprom: make older eeprom drivers select NVMEM_SYSFS
    - drm/panel: Add support for Armadeus ST0700 Adapt
    - ALSA: hda - Fix intermittent CORB/RIRB stall on Intel chips
    - powerpc/mm: Limit rma_size to 1TB when running without HV mode
    - powerpc/pmu: Set pmcregs_in_use in paca when running as LPAR
    - iommu/vt-d: Don't queue_iova() if there is no flush queue
    - iommu/iova: Remove stale cached32_node
    - iommu/iova: Fix compilation error with !CONFIG_IOMMU_IOVA
    - libnvdimm/region: Register badblocks before namespaces
  * Line 6 POD HD500 driver fault (LP: #1790595) // Disco update: upstream
    stable patchset 2019-08-22 (LP: #1841121)
    - ALSA: line6: Fix wrong altsetting for LINE6_PODHD500_1
  * Disco update: upstream stable patchset 2019-08-21 (LP: #1840961)
    - bnx2x: Prevent load reordering in tx completion processing
    - caif-hsi: fix possible deadlock in cfhsi_exit_module()
    - hv_netvsc: Fix extra rcu_read_unlock in netvsc_recv_callback()
    - igmp: fix memory leak in igmpv3_del_delrec()
    - ipv4: don't set IPv6 only flags to IPv4 addresses
    - ipv6: rt6_check should return NULL if 'from' is NULL
    - ipv6: Unlink sibling route in case of failure
    - net: bcmgenet: use promisc for unsupported filters
    - net: dsa: mv88e6xxx: wait after reset deactivation
    - net: make skb_dst_force return true when dst is refcounted
    - net: neigh: fix multiple neigh timer scheduling
    - net: openvswitch: fix csum updates for MPLS actions
    - net: phy: sfp: hwmon: Fix scaling of RX power
    - net: stmmac: Re-work the queue selection for TSO packets
    - nfc: fix potential illegal memory access
    - r8169: fix issue with confused RX unit after PHY power-down on RTL8411b
    - rxrpc: Fix send on a connected, but unbound socket
    - sctp: fix error handling on stream scheduler initialization
    - sky2: Disable MSI on ASUS P6T
    - tcp: be more careful in tcp_fragment()
    - tcp: fix tcp_set_congestion_control() use from bpf hook
    - tcp: Reset bytes_acked and bytes_received when disconnecting
    - vrf: make sure skb->data contains ip header to make routing
    - net/mlx5e: IPoIB, Add error path in mlx5_rdma_setup_rn
    - macsec: fix use-after-free of skb during RX
    - macsec: fix checksumming after decryption
    - netrom: fix a memory leak in nr_rx_frame()
    - netrom: hold sock when setting skb->destructor
    - net_sched: unset TCQ_F_CAN_BYPASS when adding filters
    - net/tls: make sure offload also gets the keys wiped
    - sctp: not bind the socket in sctp_connect
    - net: bridge: mcast: fix stale nsrcs pointer in igmp3/mld2 report handling
    - net: bridge: mcast: fix stale ipv6 hdr pointer when handling v6 query
    - net: bridge: don't cache ether dest pointer on input
    - net: bridge: stp: don't cache eth dest pointer before skb pull
    - dma-buf: balance refcount inbalance
    - dma-buf: Discard old fence_excl on retrying get_fences_rcu for realloc
    - gpio: davinci: silence error prints in case of EPROBE_DEFER
    - MIPS: lb60: Fix pin mappings
    - perf/core: Fix exclusive events' grouping
    - perf/core: Fix race between close() and fork()
    - ext4: don't allow any modifications to an immutable file
    - ext4: enforce the immutable flag on open files
    - mm: add filemap_fdatawait_range_keep_errors()
    - jbd2: introduce jbd2_inode dirty range scoping
    - ext4: use jbd2_inode dirty range scoping
    - ext4: allow directory holes
    - KVM: nVMX: do not use dangling shadow VMCS after guest reset
    - KVM: nVMX: Clear pending KVM_REQ_GET_VMCS12_PAGES when leaving nested
    - mm: vmscan: scan anonymous pages on file refaults
    - net: sched: verify that q!=NULL before setting q->flags
    - selftests: txring_overwrite: fix incorrect test of mmap() return value
    - net/tls: reject offload of TLS 1.3
    - net/mlx5e: Rx, Fix checksum calculation for new hardware
    - gpiolib: of: fix a memory leak in of_gpio_flags_quirks()
    - sd_zbc: Fix report zones buffer allocation
    - block: Limit zone array allocation size
    - bnxt_en: Fix VNIC accounting when enabling aRFS on 57500 chips.
    - mlxsw: spectrum_dcb: Configure DSCP map as the last rule is removed
    - mlxsw: spectrum: Do not process learned records with a dummy FID
    - Revert "kvm: x86: Use task structs fpu field for user"
  * Disco update: upstream stable patchset 2019-08-19 (LP: #1840718)
    - Bluetooth: Align minimum encryption key size for LE and BR/EDR connections
    - Bluetooth: Fix regression with minimum encryption key size alignment
    - Bluetooth: Fix faulty expression for minimum encryption key size check
    - netfilter: nf_flow_table: ignore DF bit setting
    - netfilter: nft_flow_offload: set liberal tracking mode for tcp
    - netfilter: nft_flow_offload: don't offload when sequence numbers need
      adjustment
    - netfilter: nft_flow_offload: IPCB is only valid for ipv4 family
    - ASoC : cs4265 : readable register too low
    - ASoC: ak4458: add return value for ak4458_probe
    - ASoC: soc-pcm: BE dai needs prepare when pause release after resume
    - ASoC: ak4458: rstn_control - return a non-zero on error only
    - spi: bitbang: Fix NULL pointer dereference in spi_unregister_master
    - drm/mediatek: fix unbind functions
    - drm/mediatek: unbind components in mtk_drm_unbind()
    - drm/mediatek: call drm_atomic_helper_shutdown() when unbinding driver
    - drm/mediatek: clear num_pipes when unbind driver
    - drm/mediatek: call mtk_dsi_stop() after mtk_drm_crtc_atomic_disable()
    - ASoC: max98090: remove 24-bit format support if RJ is 0
    - ASoC: sun4i-i2s: Fix sun8i tx channel offset mask
    - ASoC: sun4i-i2s: Add offset to RX channel select
    - x86/CPU: Add more Icelake model numbers
    - usb: gadget: fusb300_udc: Fix memory leak of fusb300->ep[i]
    - usb: gadget: udc: lpc32xx: allocate descriptor with GFP_ATOMIC
    - ALSA: hdac: fix memory release for SST and SOF drivers
    - SoC: rt274: Fix internal jack assignment in set_jack callback
    - scsi: hpsa: correct ioaccel2 chaining
    - drm: panel-orientation-quirks: Add quirk for GPD pocket2
    - drm: panel-orientation-quirks: Add quirk for GPD MicroPC
    - platform/x86: intel-vbtn: Report switch events when event wakes device
    - platform/x86: mlx-platform: Fix parent device in i2c-mux-reg device
      registration
    - platform/mellanox: mlxreg-hotplug: Add devm_free_irq call to remove flow
    - i2c: pca-platform: Fix GPIO lookup code
    - cpuset: restore sanity to cpuset_cpus_allowed_fallback()
    - scripts/decode_stacktrace.sh: prefix addr2line with $CROSS_COMPILE
    - mm/mlock.c: change count_mm_mlocked_page_nr return type
    - tracing: avoid build warning with HAVE_NOP_MCOUNT
    - module: Fix livepatch/ftrace module text permissions race
    - ftrace: Fix NULL pointer dereference in free_ftrace_func_mapper()
    - crypto: user - prevent operating on larval algorithms
    - crypto: cryptd - Fix skcipher instance memory leak
    - ALSA: seq: fix incorrect order of dest_client/dest_ports arguments
    - ALSA: firewire-lib/fireworks: fix miss detection of received MIDI messages
    - ALSA: line6: Fix write on zero-sized buffer
    - ALSA: usb-audio: fix sign unintended sign extension on left shifts
    - ALSA: hda/realtek: Add quirks for several Clevo notebook barebones
    - ALSA: hda/realtek - Change front mic location for Lenovo M710q
    - lib/mpi: Fix karactx leak in mpi_powm
    - fs/userfaultfd.c: disable irqs for fault_pending and event locks
    - tracing/snapshot: Resize spare buffer if size changed
    - ARM: dts: armada-xp-98dx3236: Switch to armada-38x-uart serial node
    - arm64: kaslr: keep modules inside module region when KASAN is enabled
    - drm/amd/powerplay: use hardware fan control if no powerplay fan table
    - drm/amdgpu/gfx9: use reset default for PA_SC_FIFO_SIZE
    - drm/etnaviv: add missing failure path to destroy suballoc
    - drm/imx: notify drm core before sending event during crtc disable
    - drm/imx: only send event on crtc disable if kept disabled
    - ftrace/x86: Remove possible deadlock between register_kprobe() and
      ftrace_run_update_code()
    - mm/vmscan.c: prevent useless kswapd loops
    - btrfs: Ensure replaced device doesn't have pending chunk allocation
    - tty: rocket: fix incorrect forward declaration of 'rp_init()'
    - net/smc: move unhash before release of clcsock
    - media: s5p-mfc: fix incorrect bus assignment in virtual child device
    - drm/fb-helper: generic: Don't take module ref for fbcon
    - f2fs: don't access node/meta inode mapping after iput
    - ALSA: hda: Initialize power_state field properly
    - ip6: fix skb leak in ip6frag_expire_frag_queue()
    - net: IP defrag: encapsulate rbtree defrag code into callable functions
    - net: IP6 defrag: use rbtrees for IPv6 defrag
    - net: IP6 defrag: use rbtrees in nf_conntrack_reasm.c
    - netfilter: ipv6: nf_defrag: fix leakage of unqueued fragments
    - sc16is7xx: move label 'err_spi' to correct section
    - netfilter: ipv6: nf_defrag: accept duplicate fragments again
    - KVM: x86: degrade WARN to pr_warn_ratelimited
    - KVM: LAPIC: Fix pending interrupt in IRR blocked by software disable LAPIC
    - nfsd: Fix overflow causing non-working mounts on 1 TB machines
    - svcrdma: Ignore source port when computing DRC hash
    - MIPS: Fix bounds check virt_addr_valid
    - MIPS: Add missing EHB in mtc0 -> mfc0 sequence.
    - MIPS: have "plain" make calls build dtbs for selected platforms
    - dmaengine: qcom: bam_dma: Fix completed descriptors count
    - dmaengine: imx-sdma: remove BD_INTR for channel0
    - signal: remove the wrong signal_pending() check in restore_user_sigmask()
    - idr: Fix idr_get_next race with idr_remove
    - ASoC: core: lock client_mutex while removing link components
    - iommu/vt-d: Set the right field for Page Walk Snoop
    - HID: a4tech: fix horizontal scrolling
    - ASoC: hda: fix unbalanced codec dev refcount for HDA_DEV_ASOC
    - gpio: pca953x: hack to fix 24 bit gpio expanders
    - ASoC: Intel: sst: fix kmalloc call with wrong flags
    - arm64: tlbflush: Ensure start/end of address range are aligned to stride
    - dax: Fix xarray entry association for mixed mappings
    - swap_readpage(): avoid blk_wake_io_task() if !synchronous
    - drm/virtio: move drm_connector_update_edid_property() call
    - s390/mm: fix pxd_bad with folded page tables
    - dmaengine: jz4780: Fix an endian bug in IRQ handler
    - scsi: target/iblock: Fix overrun in WRITE SAME emulation
    - crypto: talitos - rename alternative AEAD algos.
    - soc: brcmstb: Fix error path for unsupported CPUs
    - soc: bcm: brcmstb: biuctrl: Register writes require a barrier
    - samples, bpf: fix to change the buffer size for read()
    - samples, bpf: suppress compiler warning
    - mac80211: fix rate reporting inside cfg80211_calculate_bitrate_he()
    - bpf: sockmap, fix use after free from sleep in psock backlog workqueue
    - soundwire: stream: fix out of boundary access on port properties
    - staging:iio:ad7150: fix threshold mode config bit
    - mac80211: mesh: fix RCU warning
    - mac80211: free peer keys before vif down in mesh
    - iwlwifi: Fix double-free problems in iwl_req_fw_callback()
    - soundwire: intel: set dai min and max channels correctly
    - dt-bindings: can: mcp251x: add mcp25625 support
    - can: mcp251x: add support for mcp25625
    - can: m_can: implement errata "Needless activation of MRAF irq"
    - can: af_can: Fix error path of can_init()
    - ibmvnic: Do not close unopened driver during reset
    - ibmvnic: Refresh device multicast list after reset
    - ibmvnic: Fix unchecked return codes of memory allocations
    - ARM: dts: am335x phytec boards: Fix cd-gpios active level
    - s390/boot: disable address-of-packed-member warning
    - drm/vmwgfx: Honor the sg list segment size limitation
    - drm/vmwgfx: fix a warning due to missing dma_parms
    - riscv: Fix udelay in RV32.
    - Input: imx_keypad - make sure keyboard can always wake up system
    - KVM: arm/arm64: vgic: Fix kvm_device leak in vgic_its_destroy
    - mlxsw: spectrum: Disallow prio-tagged packets when PVID is removed
    - ARM: davinci: da850-evm: call regulator_has_full_constraints()
    - ARM: davinci: da8xx: specify dma_coherent_mask for lcdc
    - mac80211: only warn once on chanctx_conf being NULL
    - mac80211: do not start any work during reconfigure flow
    - bpf, devmap: Fix premature entry free on destroying map
    - bpf, devmap: Add missing bulk queue free
    - bpf, devmap: Add missing RCU read lock on flush
    - bpf, x64: fix stack layout of JITed bpf code
    - qmi_wwan: add support for QMAP padding in the RX path
    - qmi_wwan: avoid RCU stalls on device disconnect when in QMAP mode
    - qmi_wwan: extend permitted QMAP mux_id value range
    - mmc: core: complete HS400 before checking status
    - md: fix for divide error in status_resync
    - bnx2x: Check if transceiver implements DDM before access
    - drm: return -EFAULT if copy_to_user() fails
    - ip6_tunnel: allow not to count pkts on tstats by passing dev as NULL
    - net: lio_core: fix potential sign-extension overflow on large shift
    - scsi: qedi: Check targetname while finding boot target information
    - quota: fix a problem about transfer quota
    - net: dsa: mv88e6xxx: fix shift of FID bits in mv88e6185_g1_vtu_loadpurge()
    - NFS4: Only set creation opendata if O_CREAT
    - net :sunrpc :clnt :Fix xps refcount imbalance on the error path
    - fscrypt: don't set policy for a dead directory
    - udf: Fix incorrect final NOT_ALLOCATED (hole) extent length
    - media: stv0297: fix frequency range limit
    - ALSA: usb-audio: Fix parse of UAC2 Extension Units
    - ALSA: hda/realtek - Headphone Mic can't record after S3
    - block, bfq: NULL out the bic when it's no longer valid
    - perf pmu: Fix uncore PMU alias list for ARM64
    - x86/ptrace: Fix possible spectre-v1 in ptrace_get_debugreg()
    - x86/tls: Fix possible spectre-v1 in do_get_thread_area()
    - Documentation: Add section about CPU vulnerabilities for Spectre
    - Documentation/admin: Remove the vsyscall=native documentation
    - mwifiex: Abort at too short BSS descriptor element
    - mwifiex: Don't abort on small, spec-compliant vendor IEs
    - USB: serial: ftdi_sio: add ID for isodebug v1
    - USB: serial: option: add support for GosunCn ME3630 RNDIS mode
    - Revert "serial: 8250: Don't service RX FIFO if interrupts are disabled"
    - p54usb: Fix race between disconnect and firmware loading
    - usb: gadget: ether: Fix race between gether_disconnect and rx_submit
    - usb: dwc2: use a longer AHB idle timeout in dwc2_core_reset()
    - usb: renesas_usbhs: add a workaround for a race condition of workqueue
    - drivers/usb/typec/tps6598x.c: fix portinfo width
    - drivers/usb/typec/tps6598x.c: fix 4CC cmd write
    - staging: comedi: dt282x: fix a null pointer deref on interrupt
    - staging: comedi: amplc_pci230: fix null pointer deref on interrupt
    - HID: Add another Primax PIXART OEM mouse quirk
    - lkdtm: support llvm-objcopy
    - binder: fix memory leak in error path
    - carl9170: fix misuse of device driver API
    - VMCI: Fix integer overflow in VMCI handle arrays
    - staging: fsl-dpaa2/ethsw: fix memory leak of switchdev_work
    - staging: bcm2835-camera: Replace spinlock protecting context_map with mutex
    - staging: bcm2835-camera: Ensure all buffers are returned on disable
    - staging: bcm2835-camera: Remove check of the number of buffers supplied
    - staging: bcm2835-camera: Handle empty EOS buffers whilst streaming
    - staging: rtl8712: reduce stack usage, again
    - crypto: lrw - use correct alignmask
    - bpf: sockmap, restore sk_write_space when psock gets dropped
    - ARM: dts: Drop bogus CLKSEL for timer12 on dra7
    - iwlwifi: fix load in rfkill flow for unified firmware
    - tools: bpftool: Fix JSON output when lookup fails
    - soundwire: stream: fix bad unlock balance
    - can: flexcan: Remove unneeded registration message
    - RISC-V: defconfig: enable clocks, serial console
    - xdp: check device pointer before clearing
    - KVM: nVMX: use correct clean fields when copying from eVMCS
    - gpu: ipu-v3: image-convert: Fix input bytesperline width/height align
    - gpu: ipu-v3: image-convert: Fix input bytesperline for packed formats
    - gpu: ipu-v3: image-convert: Fix image downsize coefficients
    - cfg80211: util: fix bit count off by one
    - cfg80211: report measurement start TSF correctly
    - IB/hfi1: Create inline to get extended headers
    - IB/hfi1: Wakeup QPs orphaned on wait list after flush
    - IB/hfi1: Handle wakeup of orphaned QPs for pio
    - IB/hfi1: Handle port down properly in pio
    - powerpc: enable a 30-bit ZONE_DMA for 32-bit pmac
    - tpm: Actually fail on TPM errors during "get random"
    - tpm: Fix TPM 1.2 Shutdown sequence to prevent future TPM operations
    - perf intel-pt: Fix itrace defaults for perf script
    - perf auxtrace: Fix itrace defaults for perf script
    - perf intel-pt: Fix itrace defaults for perf script intel-pt documentation
    - perf header: Assign proper ff->ph in perf_event__synthesize_features()
    - usb: gadget: f_fs: data_len used before properly set
    - staging: wilc1000: fix error path cleanup in wilc_wlan_initialize()
    - staging: mt7621-pci: fix PCIE_FTS_NUM_LO macro
    - iio: adc: stm32-adc: add missing vdda-supply
    - staging: vchiq_2835_arm: revert "quit using custom down_interruptible()"
    - staging: vchiq: revert "switch to wait_for_completion_killable"
    - staging: vchiq: make wait events interruptible
  * Touchpad not detecting in Linux (LP: #1825718) // Disco update: upstream
    stable patchset 2019-08-19 (LP: #1840718)
    - HID: i2c-hid: add iBall Aer3 to descriptor override
  * Disco update: upstream stable patchset 2019-08-16 (LP: #1840521)
    - arm64: Don't unconditionally add -Wno-psabi to KBUILD_CFLAGS
    - Revert "x86/uaccess, ftrace: Fix ftrace_likely_update() vs. SMAP"
    - qmi_wwan: Fix out-of-bounds read
    - fs/proc/array.c: allow reporting eip/esp for all coredumping threads
    - mm/mempolicy.c: fix an incorrect rebind node in mpol_rebind_nodemask
    - fs/binfmt_flat.c: make load_flat_shared_library() work
    - clk: socfpga: stratix10: fix divider entry for the emac clocks
    - mm: soft-offline: return -EBUSY if set_hwpoison_free_buddy_page() fails
    - mm: hugetlb: soft-offline: dissolve_free_huge_page() return zero on
      !PageHuge
    - dm log writes: make sure super sector log updates are written in order
    - scsi: vmw_pscsi: Fix use-after-free in pvscsi_queue_lck()
    - x86/speculation: Allow guests to use SSBD even if host does not
    - x86/microcode: Fix the microcode load on CPU hotplug for real
    - x86/resctrl: Prevent possible overrun during bitmap operations
    - NFS/flexfiles: Use the correct TCP timeout for flexfiles I/O
    - cpu/speculation: Warn on unsupported mitigations= parameter
    - irqchip/mips-gic: Use the correct local interrupt map registers
    - af_packet: Block execution of tasks waiting for transmit to complete in
      AF_PACKET
    - bonding: Always enable vlan tx offload
    - ipv4: Use return value of inet_iif() for __raw_v4_lookup in the while loop
    - net/packet: fix memory leak in packet_set_ring()
    - net: remove duplicate fetch in sock_getsockopt
    - net: stmmac: fixed new system time seconds value calculation
    - net: stmmac: set IC bit when transmitting frames with HW timestamp
    - sctp: change to hold sk after auth shkey is created successfully
    - team: Always enable vlan tx offload
    - tipc: change to use register_pernet_device
    - tipc: check msg->req data len in tipc_nl_compat_bearer_disable
    - tun: wake up waitqueues after IFF_UP is set
    - bpf: simplify definition of BPF_FIB_LOOKUP related flags
    - bpf: lpm_trie: check left child of last leftmost node for NULL
    - bpf: fix nested bpf tracepoints with per-cpu data
    - bpf: fix unconnected udp hooks
    - bpf: udp: Avoid calling reuseport's bpf_prog from udp_gro
    - bpf: udp: ipv6: Avoid running reuseport's bpf_prog from __udp6_lib_err
    - arm64: futex: Avoid copying out uninitialised stack in failed cmpxchg()
    - bpf, arm64: use more scalable stadd over ldxr / stxr loop in xadd
    - futex: Update comments and docs about return values of arch futex code
    - RDMA: Directly cast the sockaddr union to sockaddr
    - tipc: pass tunnel dev as NULL to udp_tunnel(6)_xmit_skb
    - arm64: insn: Fix ldadd instruction encoding
    - clk: tegra210: Fix default rates for HDA clocks
    - mm, swap: fix THP swap out
    - mm: fix page cache convergence regression
    - efi/memreserve: deal with memreserve entries in unmapped memory
    - net: aquantia: fix vlans not working over bridged network
  * Disco update: upstream stable patchset 2019-08-15 (LP: #1840373)
    - tracing: Silence GCC 9 array bounds warning
    - gcc-9: silence 'address-of-packed-member' warning
    - ovl: support the FS_IOC_FS[SG]ETXATTR ioctls
    - ovl: fix wrong flags check in FS_IOC_FS[SG]ETXATTR ioctls
    - ovl: make i_ino consistent with st_ino in more cases
    - ovl: detect overlapping layers
    - ovl: don't fail with disconnected lower NFS
    - ovl: fix bogus -Wmaybe-unitialized warning
    - mmc: sdhci: sdhci-pci-o2micro: Correctly set bus width when tuning
    - mmc: core: API to temporarily disable retuning for SDIO CRC errors
    - mmc: core: Add sdio_retune_hold_now() and sdio_retune_release()
    - mmc: core: Prevent processing SDIO IRQs when the card is suspended
    - scsi: ufs: Avoid runtime suspend possibly being blocked forever
    - usb: chipidea: udc: workaround for endpoint conflict issue
    - xhci: detect USB 3.2 capable host controllers correctly
    - usb: xhci: Don't try to recover an endpoint if port is in error state.
    - IB/hfi1: Validate fault injection opcode user input
    - IB/hfi1: Silence txreq allocation warnings
    - iio: temperature: mlx90632 Relax the compatibility check
    - Input: synaptics - enable SMBus on ThinkPad E480 and E580
    - Input: uinput - add compat ioctl number translation for UI_*_FF_UPLOAD
    - Input: silead - add MSSL0017 to acpi_device_id
    - apparmor: enforce nullbyte at end of tag string
    - brcmfmac: sdio: Disable auto-tuning around commands expected to fail
    - brcmfmac: sdio: Don't tune while the card is off
    - ARC: fix build warnings
    - dmaengine: dw-axi-dmac: fix null dereference when pointer first is null
    - dmaengine: sprd: Fix block length overflow
    - ARC: [plat-hsdk]: Add missing multicast filter bins number to GMAC node
    - ARC: [plat-hsdk]: Add missing FIFO size entry in GMAC node
    - fpga: dfl: afu: Pass the correct device to dma_mapping_error()
    - fpga: dfl: Add lockdep classes for pdata->lock
    - parport: Fix mem leak in parport_register_dev_model
    - parisc: Fix compiler warnings in float emulation code
    - IB/rdmavt: Fix alloc_qpn() WARN_ON()
    - IB/hfi1: Insure freeze_work work_struct is canceled on shutdown
    - IB/{qib, hfi1, rdmavt}: Correct ibv_devinfo max_mr value
    - IB/hfi1: Validate page aligned for a given virtual address
    - MIPS: uprobes: remove set but not used variable 'epc'
    - xtensa: Fix section mismatch between memblock_reserve and mem_reserve
    - kselftest/cgroup: fix unexpected testing failure on test_memcontrol
    - kselftest/cgroup: fix unexpected testing failure on test_core
    - kselftest/cgroup: fix incorrect test_core skip
    - selftests: vm: install test_vmalloc.sh for run_vmtests
    - net: dsa: mv88e6xxx: avoid error message on remove from VLAN 0
    - mdesc: fix a missing-check bug in get_vdev_port_node_info()
    - sparc: perf: fix updated event period in response to PERF_EVENT_IOC_PERIOD
    - net: ethernet: mediatek: Use hw_feature to judge if HWLRO is supported
    - net: ethernet: mediatek: Use NET_IP_ALIGN to judge if HW RX_2BYTE_OFFSET is
      enabled
    - drm/arm/mali-dp: Add a loop around the second set CVAL and try 5 times
    - drm/arm/hdlcd: Actually validate CRTC modes
    - drm/arm/hdlcd: Allow a bit of clock tolerance
    - nvmet: fix data_len to 0 for bdev-backed write_zeroes
    - scripts/checkstack.pl: Fix arm64 wrong or unknown architecture
    - scsi: ufs: Check that space was properly alloced in copy_query_response
    - scsi: smartpqi: unlock on error in pqi_submit_raid_request_synchronous()
    - net: ipvlan: Fix ipvlan device tso disabled while NETIF_F_IP_CSUM is set
    - s390/qeth: fix VLAN attribute in bridge_hostnotify udev event
    - hwmon: (core) add thermal sensors only if dev->of_node is present
    - hwmon: (pmbus/core) Treat parameters as paged if on multiple pages
    - arm64: Silence gcc warnings about arch ABI drift
    - nvme: Fix u32 overflow in the number of namespace list calculation
    - btrfs: start readahead also in seed devices
    - can: xilinx_can: use correct bittiming_const for CAN FD core
    - can: flexcan: fix timeout when set small bitrate
    - can: purge socket error queue on sock destruct
    - riscv: mm: synchronize MMU after pte change
    - powerpc/bpf: use unsigned division instruction for 64-bit operations
    - ARM: imx: cpuidle-imx6sx: Restrict the SW2ISO increase to i.MX6SX
    - ARM: dts: dra76x: Update MMC2_HS200_MANUAL1 iodelay values
    - ARM: dts: am57xx-idk: Remove support for voltage switching for SD card
    - arm64/sve: <uapi/asm/ptrace.h> should not depend on <uapi/linux/prctl.h>
    - arm64: ssbd: explicitly depend on <linux/prctl.h>
    - drm/vmwgfx: Use the backdoor port if the HB port is not available
    - staging: erofs: add requirements field in superblock
    - SMB3: retry on STATUS_INSUFFICIENT_RESOURCES instead of failing write
    - cfg80211: fix memory leak of wiphy device name
    - mac80211: drop robust management frames from unknown TA
    - {nl,mac}80211: allow 4addr AP operation on crypto controlled devices
    - mac80211: handle deauthentication/disassociation from TDLS peer
    - nl80211: fix station_info pertid memory leak
    - mac80211: Do not use stack memory with scatterlist for GMAC
    - x86/resctrl: Don't stop walking closids when a locksetup group is found
    - mmc: sdhi: disallow HS400 for M3-W ES1.2, RZ/G2M, and V3H
    - mmc: mediatek: fix SDIO IRQ interrupt handle flow
    - mmc: mediatek: fix SDIO IRQ detection issue
    - cifs: fix GlobalMid_Lock bug in cifs_reconnect
    - IB/hfi1: Close PSM sdma_progress sleep window
    - IB/hfi1: Avoid hardlockup with flushlist_lock
    - IB/hfi1: Correct tid qp rcd to match verbs context
    - iio: imu: st_lsm6dsx: fix PM support for st_lsm6dsx i2c controller
    - apparmor: reset pos on failure to unpack for various functions
    - Revert "brcmfmac: disable command decode in sdio_aos"
    - lkdtm/usercopy: Moves the KERNEL_DS test to non-canonical
    - dmaengine: jz4780: Fix transfers being ACKed too soon
    - dmaengine: mediatek-cqdma: sleeping in atomic context
    - dmaengine: sprd: Fix the possible crash when getting descriptor status
    - dmaengine: sprd: Add validation of current descriptor in irq handler
    - dmaengine: sprd: Fix the incorrect start for 2-stage destination channels
    - dmaengine: sprd: Fix the right place to configure 2-stage transfer
    - fpga: stratix10-soc: fix use-after-free on s10_init()
    - crypto: hmac - fix memory leak in hmac_init_tfm()
    - userfaultfd: selftest: fix compiler warning
    - selftests: set sysctl bc_forwarding properly in router_broadcast.sh
    - kbuild: tar-pkg: enable communication with jobserver
    - net: phylink: avoid reducing support mask
    - udmabuf: actually unmap the scatterlist
    - s390/qeth: handle limited IPv4 broadcast in L3 TX path
    - s390/qeth: check dst entry before use
    - ARM: mvebu_v7_defconfig: fix Ethernet on Clearfog
    - KVM: x86/mmu: Allocate PAE root array when using SVM's 32-bit NPT
    - binder: fix possible UAF when freeing buffer
    - x86/vdso: Prevent segfaults due to hoisted vclock reads
  * VIMC module not available (CONFIG_VIDEO_VIMC not set) (LP: #1831482)
    - [Config] Enable VIMC module
  * reboot will introduce an alarm 'beep ...' during BIOS phase (LP: #1840395)
    - ALSA: hda - Let all conexant codec enter D3 when rebooting
    - ALSA: hda - Add a generic reboot_notify
  * Include Sunix serial/parallel driver (LP: #1826716)
    - serial: 8250_pci: Add support for Sunix serial boards
    - parport: parport_serial: Add support for Sunix Multi I/O boards
  * Intel HDMI audio print "Unable to sync register" errors (LP: #1840394)
    - ALSA: hda - Don't resume forcibly i915 HDMI/DP codec
  * UBUNTU: SAUCE: shiftfs: pass correct point down (LP: #1837231)
    - SAUCE: shiftfs: pass correct point down
  * shiftfs: add O_DIRECT support (LP: #1837223)
    - SAUCE: shiftfs: add O_DIRECT support
  * p54usb module in linux-modules-extra-5.0.0-23-generic does not work
    (LP: #1839693)
    - p54: fix crash during initialization
  * Goodix touchpad may drop first input event (LP: #1840075)
    - Revert "UBUNTU: SAUCE: i2c: designware: add Inpiron/Vostro 7590 into i2c
      quirk"
    - Revert "UBUNTU: SAUCE: i2c: designware: Add disable runtime pm quirk"
    - mfd: intel-lpss: Remove D3cold delay
  * NULL pointer dereference when Inserting the VIMC module (LP: #1840028)
    - media: vimc: fix component match compare
  * Fix touchpad IRQ storm after S3 (LP: #1841396)
    - pinctrl: intel: remap the pin number to gpio offset for irq enabled pin
  * [SRU][B/OEM-B/OEM-OSP1/D] UBUNTU: SAUCE: enable middle button for one more
    ThinkPad (LP: #1841722)
    - SAUCE: Input: elantech - enable middle button for one more ThinkPad
  * Disco update: upstream stable patchset 2019-08-13 (LP: #1840076)
    - [Config] updateconfigs for CONFIG_NOUVEAU_LEGACY_CTX_SUPPORT
    - drm/nouveau: add kconfig option to turn off nouveau legacy contexts. (v3)
    - nouveau: Fix build with CONFIG_NOUVEAU_LEGACY_CTX_SUPPORT disabled
    - HID: multitouch: handle faulty Elo touch device
    - HID: wacom: Don't set tool type until we're in range
    - HID: wacom: Don't report anything prior to the tool entering range
    - HID: wacom: Send BTN_TOUCH in response to INTUOSP2_BT eraser contact
    - HID: wacom: Correct button numbering 2nd-gen Intuos Pro over Bluetooth
    - HID: wacom: Sync INTUOSP2_BT touch state after each frame if necessary
    - ALSA: oxfw: allow PCM capture for Stanton SCS.1m
    - ALSA: hda/realtek - Update headset mode for ALC256
    - ALSA: firewire-motu: fix destruction of data for isochronous resources
    - libata: Extend quirks for the ST1000LM024 drives with NOLPM quirk
    - mm/list_lru.c: fix memory leak in __memcg_init_list_lru_node
    - fs/ocfs2: fix race in ocfs2_dentry_attach_lock()
    - mm/vmscan.c: fix trying to reclaim unevictable LRU page
    - signal/ptrace: Don't leak unitialized kernel memory with PTRACE_PEEK_SIGINFO
    - ptrace: restore smp_rmb() in __ptrace_may_access()
    - iommu/arm-smmu: Avoid constant zero in TLBI writes
    - i2c: acorn: fix i2c warning
    - bcache: fix stack corruption by PRECEDING_KEY()
    - cgroup: Use css_tryget() instead of css_tryget_online() in task_get_css()
    - ASoC: cs42xx8: Add regcache mask dirty
    - ASoC: fsl_asrc: Fix the issue about unsupported rate
    - drm/i915/sdvo: Implement proper HDMI audio support for SDVO
    - x86/uaccess, kcov: Disable stack protector
    - ALSA: seq: Protect in-kernel ioctl calls with mutex
    - ALSA: seq: Fix race of get-subscription call vs port-delete ioctls
    - Revert "ALSA: seq: Protect in-kernel ioctl calls with mutex"
    - s390/kasan: fix strncpy_from_user kasan checks
    - Drivers: misc: fix out-of-bounds access in function param_set_kgdbts_var
    - f2fs: fix to avoid accessing xattr across the boundary
    - scsi: qedi: remove memset/memcpy to nfunc and use func instead
    - scsi: qedi: remove set but not used variables 'cdev' and 'udev'
    - scsi: lpfc: correct rcu unlock issue in lpfc_nvme_info_show
    - scsi: lpfc: add check for loss of ndlp when sending RRQ
    - arm64/mm: Inhibit huge-vmap with ptdump
    - nvme: fix srcu locking on error return in nvme_get_ns_from_disk
    - nvme: remove the ifdef around nvme_nvm_ioctl
    - nvme: merge nvme_ns_ioctl into nvme_ioctl
    - nvme: release namespace SRCU protection before performing controller ioctls
    - nvme: fix memory leak for power latency tolerance
    - platform/x86: pmc_atom: Add Lex 3I380D industrial PC to critclk_systems DMI
      table
    - platform/x86: pmc_atom: Add several Beckhoff Automation boards to
      critclk_systems DMI table
    - scsi: bnx2fc: fix incorrect cast to u64 on shift operation
    - libnvdimm: Fix compilation warnings with W=1
    - selftests/timers: Add missing fflush(stdout) calls
    - tracing: Prevent hist_field_var_ref() from accessing NULL tracing_map_elts
    - usbnet: ipheth: fix racing condition
    - KVM: arm/arm64: Move cc/it checks under hyp's Makefile to avoid
      instrumentation
    - KVM: x86/pmu: mask the result of rdpmc according to the width of the
      counters
    - KVM: x86/pmu: do not mask the value that is written to fixed PMUs
    - KVM: s390: fix memory slot handling for KVM_SET_USER_MEMORY_REGION
    - tools/kvm_stat: fix fields filter for child events
    - drm/vmwgfx: integer underflow in vmw_cmd_dx_set_shader() leading to an
      invalid read
    - drm/vmwgfx: NULL pointer dereference from vmw_cmd_dx_view_define()
    - usb: dwc2: Fix DMA cache alignment issues
    - usb: dwc2: host: Fix wMaxPacketSize handling (fix webcam regression)
    - USB: Fix chipmunk-like voice when using Logitech C270 for recording audio.
    - USB: serial: pl2303: add Allied Telesis VT-Kit3
    - USB: serial: option: add support for Simcom SIM7500/SIM7600 RNDIS mode
    - USB: serial: option: add Telit 0x1260 and 0x1261 compositions
    - timekeeping: Repair ktime_get_coarse*() granularity
    - RAS/CEC: Convert the timer callback to a workqueue
    - RAS/CEC: Fix binary search function
    - x86/microcode, cpuhotplug: Add a microcode loader CPU hotplug callback
    - x86/kasan: Fix boot with 5-level paging and KASAN
    - x86/mm/KASLR: Compute the size of the vmemmap section properly
    - x86/resctrl: Prevent NULL pointer dereference when local MBM is disabled
    - drm/edid: abstract override/firmware EDID retrieval
    - drm: add fallback override/firmware EDID modes workaround
    - HID: input: make sure the wheel high resolution multiplier is set
    - HID: input: fix assignment of .value
    - Revert "HID: Increase maximum report size allowed by hid_field_extract()"
    - selinux: fix a missing-check bug in selinux_add_mnt_opt( )
    - selinux: fix a missing-check bug in selinux_sb_eat_lsm_opts()
    - media: dvb: warning about dvb frequency limits produces too much noise
    - drm/amdgpu/{uvd,vcn}: fetch ring's read_ptr after alloc
    - drm/i915/dsi: Use a fuzzy check for burst mode clock check
    - drm/i915: Fix per-pixel alpha with CCS
    - drm/i915/dmc: protect against reading random memory
    - drivers/perf: arm_spe: Don't error on high-order pages for aux buf
    - bpf: sockmap, only stop/flush strp if it was enabled at some point
    - bpf: sockmap remove duplicate queue free
    - bpf: sockmap fix msg->sg.size account on ingress skb
    - scsi: qla2xxx: Add cleanup for PCI EEH recovery
    - scsi: lpfc: resolve lockdep warnings
    - arm64: Print physical address of page table base in show_pte()
    - net: macb: fix error format in dev_err()
    - bpf, tcp: correctly handle DONT_WAIT flags and timeo == 0
    - tools/bpftool: move set_max_rlimit() before __bpf_object__open_xattr()
    - nvme-pci: Fix controller freeze wait disabling
    - scsi: myrs: Fix uninitialized variable
    - nvme-pci: use blk-mq mapping for unmanaged irqs
    - KVM: nVMX: really fix the size checks on KVM_SET_NESTED_STATE
    - KVM: selftests: Fix a condition in test_hv_cpuid()
    - kvm: vmx: Fix -Wmissing-prototypes warnings
    - KVM: LAPIC: Fix lapic_timer_advance_ns parameter overflow
    - KVM: x86: do not spam dmesg with VMCS/VMCB dumps
    - kvm: selftests: aarch64: dirty_log_test: fix unaligned memslot size
    - kvm: selftests: aarch64: fix default vm mode
    - tracing/uprobe: Fix NULL pointer dereference in trace_uprobe_create()
    - powerpc: Fix kexec failure on book3s/32
    - powerpc/64s: Fix THP PMD collapse serialisation
    - ax25: fix inconsistent lock state in ax25_destroy_timer
    - be2net: Fix number of Rx queues used for flow hashing
    - hv_netvsc: Set probe mode to sync
    - ipv6: flowlabel: fl6_sock_lookup() must use atomic_inc_not_zero
    - lapb: fixed leak of control-blocks.
    - neigh: fix use-after-free read in pneigh_get_next
    - net: dsa: rtl8366: Fix up VLAN filtering
    - net: openvswitch: do not free vport if register_netdevice() is failed.
    - sctp: Free cookie before we memdup a new one
    - sunhv: Fix device naming inconsistency between sunhv_console and sunhv_reg
    - tipc: purge deferredq list for each grp member in tipc_group_delete
    - vsock/virtio: set SOCK_DONE on peer shutdown
    - net/mlx5: Avoid reloading already removed devices
    - net: mvpp2: prs: Fix parser range for VID filtering
    - net: mvpp2: prs: Use the correct helpers when removing all VID filters
    - Staging: vc04_services: Fix a couple error codes
    - perf/x86/intel/ds: Fix EVENT vs. UEVENT PEBS constraints
    - netfilter: nf_queue: fix reinject verdict handling
    - ipvs: Fix use-after-free in ip_vs_in
    - selftests: netfilter: missing error check when setting up veth interface
    - clk: ti: clkctrl: Fix clkdm_clk handling
    - powerpc/powernv: Return for invalid IMC domain
    - usb: xhci: Fix a potential null pointer dereference in
      xhci_debugfs_create_endpoint()
    - mISDN: make sure device name is NUL terminated
    - x86/CPU/AMD: Don't force the CPB cap when running under a hypervisor
    - perf/ring_buffer: Fix exposing a temporarily decreased data_head
    - perf/ring_buffer: Add ordering to rb->nest increment
    - perf/ring-buffer: Always use {READ,WRITE}_ONCE() for rb->user_page data
    - gpio: fix gpio-adp5588 build errors
    - net: stmmac: update rx tail pointer register to fix rx dma hang issue.
    - net: tulip: de4x5: Drop redundant MODULE_DEVICE_TABLE()
    - ACPI/PCI: PM: Add missing wakeup.flags.valid checks
    - drm/etnaviv: lock MMU while dumping core
    - net: aquantia: tx clean budget logic error
    - net: aquantia: fix LRO with FCS error
    - i2c: dev: fix potential memory leak in i2cdev_ioctl_rdwr
    - ALSA: hda - Force polling mode on CNL for fixing codec communication
    - configfs: Fix use-after-free when accessing sd->s_dentry
    - perf data: Fix 'strncat may truncate' build failure with recent gcc
    - perf namespace: Protect reading thread's namespace
    - perf record: Fix s390 missing module symbol and warning for non-root users
    - ia64: fix build errors by exporting paddr_to_nid()
    - xen/pvcalls: Remove set but not used variable
    - xenbus: Avoid deadlock during suspend due to open transactions
    - KVM: PPC: Book3S: Use new mutex to synchronize access to rtas token list
    - KVM: PPC: Book3S HV: Don't take kvm->lock around kvm_for_each_vcpu
    - arm64: fix syscall_fn_t type
    - arm64: use the correct function type in SYSCALL_DEFINE0
    - arm64: use the correct function type for __arm64_sys_ni_syscall
    - net: sh_eth: fix mdio access in sh_eth_close() for R-Car Gen2 and RZ/A1 SoCs
    - net: phylink: ensure consistent phy interface mode
    - net: phy: dp83867: Set up RGMII TX delay
    - scsi: libcxgbi: add a check for NULL pointer in cxgbi_check_route()
    - scsi: smartpqi: properly set both the DMA mask and the coherent DMA mask
    - scsi: scsi_dh_alua: Fix possible null-ptr-deref
    - mlxsw: spectrum: Prevent force of 56G
    - ocfs2: fix error path kobject memory leak
    - coredump: fix race condition between collapse_huge_page() and core dumping
    - Abort file_remove_privs() for non-reg. files
    - net: tls, correctly account for copied bytes with multiple sk_msgs
    - vxlan: Don't assume linear buffers in error handler
    - geneve: Don't assume linear buffers in error handler
    - net/mlx5: Update pci error handler entries and command translation
    - mlxsw: spectrum_router: Refresh nexthop neighbour when it becomes dead
    - net/mlx5e: Add ndo_set_feature for uplink representor
    - mlxsw: spectrum_flower: Fix TOS matching
    - net/mlx5e: Support tagged tunnel over bond
    - net: correct udp zerocopy refcnt also when zerocopy only on append
    - net/mlx5e: Avoid detaching non-existing netdev under switchdev mode
    - staging: erofs: set sb->s_root to NULL when failing from __getname()
    - staging: wilc1000: Fix some double unlock bugs in wilc_wlan_cleanup()
    - pinctrl: intel: Clear interrupt status in mask/unmask callback
    - netfilter: nf_tables: fix oops during rule dump
    - netfilter: nft_fib: Fix existence check support
    - net: stmmac: dwmac-mediatek: modify csr_clk value to fix mdio read/write
      fail
    - dpaa2-eth: Fix potential spectre issue
    - dpaa2-eth: Use PTR_ERR_OR_ZERO where appropriate
    - dpaa_eth: use only online CPU portals
    - dfs_cache: fix a wrong use of kfree in flush_cache_ent()
    - KVM: PPC: Book3S HV: Use new mutex to synchronize MMU setup
    - blk-mq: Fix memory leak in error handling
    - mm: mmu_gather: remove __tlb_reset_range() for force flush
    - nvme-tcp: rename function to have nvme_tcp prefix
    - nvme-tcp: fix possible null deref on a timed out io queue connect
    - nvme-tcp: fix queue mapping when queue count is limited
  * Disco update: upstream stable patchset 2019-08-12 (LP: #1839887)
    - selftests/tls: test for lowat overshoot with multiple records
    - selftests/tls: add test for sleeping even though there is data
    - sparc64: Fix regression in non-hypervisor TLB flush xcall
    - include/linux/bitops.h: sanitize rotate primitives
    - xhci: update bounce buffer with correct sg num
    - xhci: Use %zu for printing size_t type
    - xhci: Convert xhci_handshake() to use readl_poll_timeout_atomic()
    - usb: xhci: avoid null pointer deref when bos field is NULL
    - usbip: usbip_host: fix BUG: sleeping function called from invalid context
    - usbip: usbip_host: fix stub_dev lock context imbalance regression
    - USB: Fix slab-out-of-bounds write in usb_get_bos_descriptor
    - USB: sisusbvga: fix oops in error path of sisusb_probe
    - USB: Add LPM quirk for Surface Dock GigE adapter
    - USB: rio500: refuse more than one device at a time
    - USB: rio500: fix memory leak in close after disconnect
    - media: usb: siano: Fix general protection fault in smsusb
    - media: usb: siano: Fix false-positive "uninitialized variable" warning
    - media: smsusb: better handle optional alignment
    - brcmfmac: fix NULL pointer derefence during USB disconnect
    - scsi: zfcp: fix missing zfcp_port reference put on -EBUSY from port_remove
    - scsi: zfcp: fix to prevent port_remove with pure auto scan LUNs (only sdevs)
    - tracing: Avoid memory leak in predicate_parse()
    - Btrfs: fix wrong ctime and mtime of a directory after log replay
    - Btrfs: fix race updating log root item during fsync
    - Btrfs: fix fsync not persisting changed attributes of a directory
    - Btrfs: incremental send, fix file corruption when no-holes feature is
      enabled
    - iio: dac: ds4422/ds4424 fix chip verification
    - iio: adc: ti-ads8688: fix timestamp is not updated in buffer
    - s390/crypto: fix possible sleep during spinlock aquired
    - KVM: PPC: Book3S HV: XIVE: Do not clear IRQ data of passthrough interrupts
    - powerpc/perf: Fix MMCRA corruption by bhrb_filter
    - ALSA: line6: Assure canceling delayed work at disconnection
    - ALSA: hda/realtek - Set default power save node to 0
    - KVM: s390: Do not report unusabled IDs via KVM_CAP_MAX_VCPU_ID
    - drm/nouveau/i2c: Disable i2c bus access after ->fini()
    - i2c: mlxcpld: Fix wrong initialization order in probe
    - i2c: synquacer: fix synquacer_i2c_doxfer() return value
    - tty: serial: msm_serial: Fix XON/XOFF
    - tty: max310x: Fix external crystal register setup
    - memcg: make it work on sparse non-0-node systems
    - kernel/signal.c: trace_signal_deliver when signal_group_exit
    - arm64: Fix the arm64_personality() syscall wrapper redirection
    - docs: Fix conf.py for Sphinx 2.0
    - doc: Cope with the deprecation of AutoReporter
    - doc: Cope with Sphinx logging deprecations
    - ima: show rules with IMA_INMASK correctly
    - evm: check hash algorithm passed to init_desc()
    - vt/fbcon: deinitialize resources in visual_init() after failed memory
      allocation
    - serial: sh-sci: disable DMA for uart_console
    - staging: vc04_services: prevent integer overflow in create_pagelist()
    - staging: wlan-ng: fix adapter initialization failure
    - cifs: fix memory leak of pneg_inbuf on -EOPNOTSUPP ioctl case
    - CIFS: cifs_read_allocate_pages: don't iterate through whole page array on
      ENOMEM
    - Revert "lockd: Show pid of lockd for remote locks"
    - gcc-plugins: Fix build failures under Darwin host
    - drm/tegra: gem: Fix CPU-cache maintenance for BO's allocated using
      get_pages()
    - drm/vmwgfx: Don't send drm sysfs hotplug events on initial master set
    - drm/sun4i: Fix sun8i HDMI PHY clock initialization
    - drm/sun4i: Fix sun8i HDMI PHY configuration for > 148.5 MHz
    - drm/rockchip: shutdown drm subsystem on shutdown
    - drm/lease: Make sure implicit planes are leased
    - Revert "x86/build: Move _etext to actual end of .text"
    - scsi: lpfc: Fix backport of faf5a744f4f8 ("scsi: lpfc: avoid uninitialized
      variable warning")
    - KVM: PPC: Book3S HV: Fix lockdep warning when entering guest on POWER9
    - KVM: PPC: Book3S HV: Restore SPRG3 in kvmhv_p9_guest_entry()
    - powerpc/kexec: Fix loading of kernel + initramfs with kexec_file_load()
    - kasan: initialize tag to 0xff in __kasan_kmalloc
    - signal/arm64: Use force_sig not force_sig_fault for SIGKILL
    - x86/ima: Check EFI_RUNTIME_SERVICES before using
    - ima: fix wrong signed policy requirement when not appraising
    - drm/vmwgfx: Fix user space handle equal to zero
    - drm/vmwgfx: Fix compat mode shader operation
    - drm/atomic: Wire file_priv through for property changes
    - drm: Expose "FB_DAMAGE_CLIPS" property to atomic aware user-space only
    - drm/cma-helper: Fix drm_gem_cma_free_object()
    - ethtool: fix potential userspace buffer overflow
    - Fix memory leak in sctp_process_init
    - ipv4: not do cache for local delivery if bc_forwarding is enabled
    - ipv6: fix the check before getting the cookie in rt6_get_cookie
    - neighbor: Call __ipv4_neigh_lookup_noref in neigh_xmit
    - net: ethernet: ti: cpsw_ethtool: fix ethtool ring param set
    - net/mlx4_en: ethtool, Remove unsupported SFP EEPROM high pages query
    - net: mvpp2: Use strscpy to handle stat strings
    - net: rds: fix memory leak in rds_ib_flush_mr_pool
    - net: sfp: read eeprom in maximum 16 byte increments
    - net/tls: replace the sleeping lock around RX resync with a bit lock
    - packet: unconditionally free po->rollover
    - pktgen: do not sleep with the thread lock held.
    - Revert "fib_rules: return 0 directly if an exactly same rule exists when
      NLM_F_EXCL not supplied"
    - ipv6: use READ_ONCE() for inet->hdrincl as in ipv4
    - ipv6: fix EFAULT on sendto with icmpv6 and hdrincl
    - mtd: spinand: macronix: Fix ECC Status Read
    - rcu: locking and unlocking need to always be at least barriers
    - parisc: Use implicit space register selection for loading the coherence
      index of I/O pdirs
    - NFSv4.1: Again fix a race where CB_NOTIFY_LOCK fails to wake a waiter
    - NFSv4.1: Fix bug only first CB_NOTIFY_LOCK is handled
    - fuse: fallocate: fix return with locked inode
    - pstore: Set tfm to NULL on free_buf_for_compression
    - pstore/ram: Run without kernel crash dump region
    - x86/power: Fix 'nosmt' vs hibernation triple fault during resume
    - i2c: xiic: Add max_read_len quirk
    - s390/mm: fix address space detection in exception handling
    - xen-blkfront: switch kcalloc to kvcalloc for large array allocation
    - MIPS: Bounds check virt_addr_valid
    - MIPS: pistachio: Build uImage.gz by default
    - Revert "MIPS: perf: ath79: Fix perfcount IRQ assignment"
    - genwqe: Prevent an integer overflow in the ioctl
    - test_firmware: Use correct snprintf() limit
    - drm/gma500/cdv: Check vbt config bits when detecting lvds panels
    - drm/msm: fix fb references in async update
    - drm: add non-desktop quirk for Valve HMDs
    - drm: add non-desktop quirks to Sensics and OSVR headsets.
    - drm/amdgpu/psp: move psp version specific function pointers to early_init
    - drm/amdgpu: remove ATPX_DGPU_REQ_POWER_FOR_DISPLAYS check when hotplug-in
    - drm/i915: Fix I915_EXEC_RING_MASK
    - drm/i915/fbc: disable framebuffer compression on GeminiLake
    - drm/i915: Maintain consistent documentation subsection ordering
    - drm: don't block fb changes for async plane updates
    - drm/i915/gvt: Initialize intel_gvt_gtt_entry in stack
    - TTY: serial_core, add ->install
    - ipv4: Define __ipv4_neigh_lookup_noref when CONFIG_INET is disabled
    - udp: only choose unbound UDP socket for multicast when not in a VRF
    - neighbor: Reset gc_entries counter if new entry is released before insert
    - cls_matchall: avoid panic when receiving a packet before filter set
    - ipmr_base: Do not reset index in mr_table_dump
    - ARC: mm: SIGSEGV userspace trying to access kernel virtual memory
    - parisc: Fix crash due alternative coding for NP iopdir_fdc bit
    - SUNRPC fix regression in umount of a secure mount
    - fuse: fix copy_file_range() in the writeback case
    - memstick: mspro_block: Fix an error code in mspro_block_issue_req()
    - mmc: tmio: fix SCC error handling to avoid false positive CRC error
    - mmc: sdhci_am654: Fix SLOTTYPE write
    - nvme-rdma: fix queue mapping when queue count is limited
    - drm/vc4: fix fb references in async update
    - drm: Fix timestamp docs for variable refresh properties.
    - drm/amd/display: Add ASICREV_IS_PICASSO
    - drm/amdgpu: fix ring test failure issue during s3 in vce 3.0 (V2)
    - drm/amd: fix fb references in async update
    - rapidio: fix a NULL pointer dereference when create_workqueue() fails
    - fs/fat/file.c: issue flush after the writeback of FAT
    - sysctl: return -EINVAL if val violates minmax
    - ipc: prevent lockup on alloc_msg and free_msg
    - drm/pl111: Initialize clock spinlock early
    - ARM: prevent tracing IPI_CPU_BACKTRACE
    - mm/hmm: select mmu notifier when selecting HMM
    - hugetlbfs: on restore reserve error path retain subpool reservation
    - mem-hotplug: fix node spanned pages when we have a node with only
      ZONE_MOVABLE
    - mm/cma.c: fix crash on CMA allocation if bitmap allocation fails
    - initramfs: free initrd memory if opening /initrd.image fails
    - mm/cma.c: fix the bitmap status to show failed allocation reason
    - mm: page_mkclean vs MADV_DONTNEED race
    - mm/cma_debug.c: fix the break condition in cma_maxchunk_get()
    - mm/slab.c: fix an infinite loop in leaks_show()
    - kernel/sys.c: prctl: fix false positive in validate_prctl_map()
    - thermal: rcar_gen3_thermal: disable interrupt in .remove
    - drivers: thermal: tsens: Don't print error message on -EPROBE_DEFER
    - mfd: tps65912-spi: Add missing of table registration
    - mfd: intel-lpss: Set the device in reset state when init
    - drm/nouveau/disp/dp: respect sink limits when selecting failsafe link
      configuration
    - mfd: twl6040: Fix device init errors for ACCCTL register
    - perf/x86/intel: Allow PEBS multi-entry in watermark mode
    - drm/nouveau/kms/gf119-gp10x: push HeadSetControlOutputResource() mthd when
      encoders change
    - drm/bridge: adv7511: Fix low refresh rate selection
    - objtool: Don't use ignore flag for fake jumps
    - drm/nouveau/kms/gv100-: fix spurious window immediate interlocks
    - bpf: fix undefined behavior in narrow load handling
    - EDAC/mpc85xx: Prevent building as a module
    - pwm: meson: Use the spin-lock only to protect register modifications
    - mailbox: stm32-ipcc: check invalid irq
    - ntp: Allow TAI-UTC offset to be set to zero
    - f2fs: fix to avoid panic in do_recover_data()
    - f2fs: fix to avoid panic in f2fs_inplace_write_data()
    - f2fs: fix to avoid panic in f2fs_remove_inode_page()
    - f2fs: fix to do sanity check on free nid
    - f2fs: fix to clear dirty inode in error path of f2fs_iget()
    - f2fs: fix to avoid panic in dec_valid_block_count()
    - f2fs: fix to use inline space only if inline_xattr is enable
    - f2fs: fix to do sanity check on valid block count of segment
    - f2fs: fix to do checksum even if inode page is uptodate
    - percpu: remove spurious lock dependency between percpu and sched
    - configfs: fix possible use-after-free in configfs_register_group
    - uml: fix a boot splat wrt use of cpu_all_mask
    - PCI: dwc: Free MSI in dw_pcie_host_init() error path
    - PCI: dwc: Free MSI IRQ page in dw_pcie_free_msi()
    - mmc: mmci: Prevent polling for busy detection in IRQ context
    - netfilter: nf_flow_table: fix missing error check for rhashtable_insert_fast
    - netfilter: nf_conntrack_h323: restore boundary check correctness
    - mips: Make sure dt memory regions are valid
    - netfilter: nf_tables: fix base chain stat rcu_dereference usage
    - watchdog: imx2_wdt: Fix set_timeout for big timeout values
    - watchdog: fix compile time error of pretimeout governors
    - blk-mq: move cancel of requeue_work into blk_mq_release
    - iommu/vt-d: Set intel_iommu_gfx_mapped correctly
    - misc: pci_endpoint_test: Fix test_reg_bar to be updated in pci_endpoint_test
    - PCI: designware-ep: Use aligned ATU window for raising MSI interrupts
    - nvme-pci: unquiesce admin queue on shutdown
    - nvme-pci: shutdown on timeout during deletion
    - netfilter: nf_flow_table: check ttl value in flow offload data path
    - netfilter: nf_flow_table: fix netdev refcnt leak
    - ALSA: hda - Register irq handler after the chip initialization
    - nvmem: core: fix read buffer in place
    - nvmem: sunxi_sid: Support SID on A83T and H5
    - fuse: retrieve: cap requested size to negotiated max_write
    - nfsd: allow fh_want_write to be called twice
    - nfsd: avoid uninitialized variable warning
    - vfio: Fix WARNING "do not call blocking ops when !TASK_RUNNING"
    - switchtec: Fix unintended mask of MRPC event
    - net: thunderbolt: Unregister ThunderboltIP protocol handler when suspending
    - x86/PCI: Fix PCI IRQ routing table memory leak
    - i40e: Queues are reserved despite "Invalid argument" error
    - platform/chrome: cros_ec_proto: check for NULL transfer function
    - PCI: keystone: Prevent ARM32 specific code to be compiled for ARM64
    - soc: mediatek: pwrap: Zero initialize rdata in pwrap_init_cipher
    - clk: rockchip: Turn on "aclk_dmac1" for suspend on rk3288
    - soc: rockchip: Set the proper PWM for rk3288
    - ARM: dts: imx51: Specify IMX5_CLK_IPG as "ahb" clock to SDMA
    - ARM: dts: imx50: Specify IMX5_CLK_IPG as "ahb" clock to SDMA
    - ARM: dts: imx53: Specify IMX5_CLK_IPG as "ahb" clock to SDMA
    - ARM: dts: imx6sx: Specify IMX6SX_CLK_IPG as "ahb" clock to SDMA
    - ARM: dts: imx6sll: Specify IMX6SLL_CLK_IPG as "ipg" clock to SDMA
    - ARM: dts: imx7d: Specify IMX7D_CLK_IPG as "ipg" clock to SDMA
    - ARM: dts: imx6ul: Specify IMX6UL_CLK_IPG as "ipg" clock to SDMA
    - ARM: dts: imx6sx: Specify IMX6SX_CLK_IPG as "ipg" clock to SDMA
    - ARM: dts: imx6qdl: Specify IMX6QDL_CLK_IPG as "ipg" clock to SDMA
    - PCI: rpadlpar: Fix leaked device_node references in add/remove paths
    - drm/amd/display: Use plane->color_space for dpp if specified
    - ARM: OMAP2+: pm33xx-core: Do not Turn OFF CEFUSE as PPA may be using it
    - platform/x86: intel_pmc_ipc: adding error handling
    - power: supply: max14656: fix potential use-before-alloc
    - PCI: rcar: Fix a potential NULL pointer dereference
    - PCI: rcar: Fix 64bit MSI message address handling
    - scsi: qla2xxx: Reset the FCF_ASYNC_{SENT|ACTIVE} flags
    - video: hgafb: fix potential NULL pointer dereference
    - video: imsttfb: fix potential NULL pointer dereferences
    - block, bfq: increase idling for weight-raised queues
    - PCI: xilinx: Check for __get_free_pages() failure
    - gpio: gpio-omap: add check for off wake capable gpios
    - ice: Add missing case in print_link_msg for printing flow control
    - dmaengine: idma64: Use actual device for DMA transfers
    - pwm: tiehrpwm: Update shadow register for disabling PWMs
    - ARM: dts: exynos: Always enable necessary APIO_1V8 and ABB_1V8 regulators on
      Arndale Octa
    - pwm: Fix deadlock warning when removing PWM device
    - ARM: exynos: Fix undefined instruction during Exynos5422 resume
    - usb: typec: fusb302: Check vconn is off when we start toggling
    - soc: renesas: Identify R-Car M3-W ES1.3
    - gpio: vf610: Do not share irq_chip
    - percpu: do not search past bitmap when allocating an area
    - ovl: check the capability before cred overridden
    - ovl: support stacked SEEK_HOLE/SEEK_DATA
    - ALSA: seq: Cover unsubscribe_port() in list_mutex
    - media: rockchip/vpu: Fix/re-order probe-error/remove path
    - media: rockchip/vpu: Add missing dont_use_autosuspend() calls
    - drm/msm: correct attempted NULL pointer dereference in debugfs
    - mm/memory_hotplug: release memory resource after arch_remove_memory()
    - mm/memory_hotplug.c: fix the wrong usage of N_HIGH_MEMORY
    - drm/nouveau: fix duplication of nv50_head_atom struct
    - f2fs: fix error path of recovery
    - f2fs: fix to avoid panic in dec_valid_node_count()
    - f2fs: fix to avoid deadloop in foreground GC
    - f2fs: fix to retrieve inline xattr space
    - media: atmel: atmel-isc: fix asd memory allocation
    - vfio-pci/nvlink2: Fix potential VMA leak
    - powerpc/pseries: Track LMB nid instead of using device tree
    - arm64: defconfig: Update UFSHCD for Hi3660 soc
    - iommu/vt-d: Don't request page request irq under dmar_global_lock
    - soc/tegra: pmc: Remove reset sysfs entries on error
    - power: supply: cpcap-battery: Fix signed counter sample register
    - PCI: keystone: Invoke phy_reset() API before enabling PHY
    - iommu/vt-d: Flush IOTLB for untrusted device in time
    - arm64: dts: imx8mq: Mark iomuxc_gpr as i.MX6Q compatible
    - pinctrl: pinctrl-intel: move gpio suspend/resume to noirq phase
    - f2fs: fix potential recursive call when enabling data_flush
    - arm64: dts: qcom: qcs404: Fix regulator supply names
    - gpio: gpio-omap: limit errata 1.101 handling to wkup domain gpios only
    - media: v4l2-ctrl: v4l2_ctrl_request_setup returns with error upon failure
    - batman-adv: Adjust name for batadv_dat_send_data
    - ice: Enable LAN_EN for the right recipes
    - ice: Do not set LB_EN for prune switch rules
    - media: v4l2-fwnode: Defaults may not override endpoint configuration in
      firmware
    - ARM: shmobile: porter: enable R-Car Gen2 regulator quirk

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 18 Sep 2019 19:31:50 +0300

linux-oem-osp1 (5.0.0-1022.24) bionic; urgency=medium


  [ Ubuntu: 5.0.0-29.31 ]

  * powerpc/tm: Fix restoring FP/VMX facility incorrectly on interrupts
    (CVE-2019-15031) / powerpc/tm: Fix FP/VMX unavailable exceptions inside a
    transaction (CVE-2019-15030) (LP: #1843533) // CVE-2019-15031
    - powerpc/tm: Fix FP/VMX unavailable exceptions inside a transaction
    - powerpc/tm: Fix restoring FP/VMX facility incorrectly on interrupts
  * CVE-2019-14835
    - vhost: fix dirty log buffer overflow
  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 12 Sep 2019 20:27:12 +0200

linux-oem-osp1 (5.0.0-1020.22) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1020.22 -proposed tracker (LP: #1840815)

  [ Ubuntu: 5.0.0-27.28 ]

  * disco/linux: 5.0.0-27.28 -proposed tracker (LP: #1840816)
  * [Potential Regression] System crashes when running ftrace test in
    ubuntu_kernel_selftests (LP: #1840750)
    - x86/kprobes: Set instruction page as executable

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 22 Aug 2019 13:55:10 +0300

linux-oem-osp1 (5.0.0-1019.21) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1019.21 -proposed tracker (LP: #1839971)

  * Include Sunix serial/parallel driver (LP: #1826716)
    - serial: 8250_pci: Add support for Sunix serial boards
    - parport: parport_serial: Add support for Sunix Multi I/O boards

  * Triple 4K monitor display failed (modesetting driver limited to 8192x8192)
    (LP: #1714178)
    - drm/i915: Add a new "remapped" gtt_view
    - drm/i915/selftests: Add mock selftest for remapped vmas
    - drm/i915/selftests: Add live vma selftest
    - drm/i915: Shuffle stride checking code around
    - drm/i915: Overcome display engine stride limits via GTT remapping
    - drm/i915: Align dumb buffer stride to 4k to allow for gtt remapping
    - drm/i915: Bump fb stride limit to 128KiB for gen4+ and 256KiB for gen7+
    - drm/i915: Bump gen7+ fb size limits to 16kx16k

  [ Ubuntu: 5.0.0-26.27 ]

  * disco/linux: 5.0.0-26.27 -proposed tracker (LP: #1839972)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - ALSA: hda: hdmi - add Icelake support
    - ALSA: hda/hdmi - Remove duplicated define
    - ALSA: hda/hdmi - Fix i915 reverse port/pin mapping
  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Input: alps - don't handle ALPS cs19 trackpoint-only device
    - Input: alps - fix a mismatch between a condition check and its comment
  * [18.04 FEAT] Enhanced hardware support (LP: #1836857)
    - s390: report new CPU capabilities
    - s390: add alignment hints to vector load and store
  * System does not auto detect disconnection of external monitor (LP: #1835001)
    - drm/i915: Add support for retrying hotplug
    - drm/i915: Enable hotplug retry
  * [18.04 FEAT] Enhanced CPU-MF hardware counters - kernel part (LP: #1836860)
    - s390/cpum_cf: Add support for CPU-MF SVN 6
    - s390/cpumf: Add extended counter set definitions for model 8561 and 8562
  * EeePC 1005px laptop backlight is off after system boot up (LP: #1837117)
    - platform/x86: asus-wmi: Only Tell EC the OS will handle display hotkeys from
      asus_nb_wmi
  * br_netfilter: namespace sysctl operations (LP: #1836910)
    - netfilter: bridge: port sysctls to use brnf_net
    - netfilter: bridge: namespace bridge netfilter sysctls
    - netfilter: bridge: prevent UAF in brnf_exit_net()
  * ideapad_laptop disables WiFi/BT radios on Lenovo Y540 (LP: #1837136)
    - platform/x86: ideapad-laptop: Remove no_hw_rfkill_list
  * shiftfs: allow overlayfs (LP: #1838677)
    - SAUCE: shiftfs: enable overlayfs on shiftfs
  * bcache: bch_allocator_thread(): hung task timeout (LP: #1784665)
    - bcache: never writeback a discard operation
    - bcache: improve bcache_reboot()
    - SAUCE: bcache: fix deadlock in bcache_allocator
  * Regressions in CMA allocation rework (LP: #1839395)
    - dma-contiguous: do not overwrite align in dma_alloc_contiguous()
    - dma-contiguous: page-align the size in dma_free_contiguous()
  * CVE-2019-3900
    - vhost: introduce vhost_exceeds_weight()
    - vhost_net: fix possible infinite loop
    - vhost: vsock: add weight support
    - vhost: scsi: add weight support
  * Disco update: 5.0.21 upstream stable release (LP: #1837518)
    - bonding/802.3ad: fix slave link initialization transition states
    - cxgb4: offload VLAN flows regardless of VLAN ethtype
    - inet: switch IP ID generator to siphash
    - ipv4/igmp: fix another memory leak in igmpv3_del_delrec()
    - ipv4/igmp: fix build error if !CONFIG_IP_MULTICAST
    - ipv6: Consider sk_bound_dev_if when binding a raw socket to an address
    - ipv6: Fix redirect with VRF
    - llc: fix skb leak in llc_build_and_send_ui_pkt()
    - mlxsw: spectrum_acl: Avoid warning after identical rules insertion
    - net: dsa: mv88e6xxx: fix handling of upper half of STATS_TYPE_PORT
    - net: fec: fix the clk mismatch in failed_reset path
    - net-gro: fix use-after-free read in napi_gro_frags()
    - net: mvneta: Fix err code path of probe
    - net: mvpp2: fix bad MVPP2_TXQ_SCHED_TOKEN_CNTR_REG queue value
    - net: phy: marvell10g: report if the PHY fails to boot firmware
    - net: sched: don't use tc_action->order during action dump
    - net: stmmac: fix reset gpio free missing
    - r8169: fix MAC address being lost in PCI D3
    - usbnet: fix kernel crash after disconnect
    - net/mlx5: Avoid double free in fs init error unwinding path
    - tipc: Avoid copying bytes beyond the supplied data
    - net/mlx5: Allocate root ns memory using kzalloc to match kfree
    - net/mlx5e: Disable rxhash when CQE compress is enabled
    - net: stmmac: fix ethtool flow control not able to get/set
    - net: stmmac: dma channel control register need to be init first
    - bnxt_en: Fix aggregation buffer leak under OOM condition.
    - bnxt_en: Fix possible BUG() condition when calling pci_disable_msix().
    - bnxt_en: Reduce memory usage when running in kdump kernel.
    - net/tls: fix state removal with feature flags off
    - net/tls: don't ignore netdev notifications if no TLS features
    - cxgb4: Revert "cxgb4: Remove SGE_HOST_PAGE_SIZE dependency on page size"
    - net: correct zerocopy refcnt with udp MSG_MORE
    - crypto: vmx - ghash: do nosimd fallback manually
    - xen/pciback: Don't disable PCI_COMMAND on PCI device reset.
    - Revert "tipc: fix modprobe tipc failed after switch order of device
      registration"
    - tipc: fix modprobe tipc failed after switch order of device registration
    - Linux 5.0.21
  * Disco update: 5.0.20 upstream stable release (LP: #1837517)
    - x86: Hide the int3_emulate_call/jmp functions from UML
    - ext4: do not delete unlinked inode from orphan list on failed truncate
    - ext4: wait for outstanding dio during truncate in nojournal mode
    - KVM: x86: fix return value for reserved EFER
    - bio: fix improper use of smp_mb__before_atomic()
    - sbitmap: fix improper use of smp_mb__before_atomic()
    - Revert "scsi: sd: Keep disk read-only when re-reading partition"
    - crypto: hash - fix incorrect HASH_MAX_DESCSIZE
    - crypto: vmx - CTR: always increment IV as quadword
    - mmc: sdhci-iproc: cygnus: Set NO_HISPD bit to fix HS50 data hold time
      problem
    - mmc: sdhci-iproc: Set NO_HISPD bit to fix HS50 data hold time problem
    - kvm: svm/avic: fix off-by-one in checking host APIC ID
    - libnvdimm/pmem: Bypass CONFIG_HARDENED_USERCOPY overhead
    - arm64/kernel: kaslr: reduce module randomization range to 2 GB
    - arm64/iommu: handle non-remapped addresses in ->mmap and ->get_sgtable
    - gfs2: Fix sign extension bug in gfs2_update_stats
    - btrfs: don't double unlock on error in btrfs_punch_hole
    - Btrfs: do not abort transaction at btrfs_update_root() after failure to COW
      path
    - Btrfs: avoid fallback to transaction commit during fsync of files with holes
    - Btrfs: fix race between ranged fsync and writeback of adjacent ranges
    - btrfs: sysfs: Fix error path kobject memory leak
    - btrfs: sysfs: don't leak memory when failing add fsid
    - fbdev: fix divide error in fb_var_to_videomode
    - cifs: fix credits leak for SMB1 oplock breaks
    - arm64: errata: Add workaround for Cortex-A76 erratum #1463225
    - [Config] Add CONFIG_ARM64_ERRATUM_1463225
    - btrfs: honor path->skip_locking in backref code
    - ovl: relax WARN_ON() for overlapping layers use case
    - fbdev: fix WARNING in __alloc_pages_nodemask bug
    - media: cpia2: Fix use-after-free in cpia2_exit
    - media: serial_ir: Fix use-after-free in serial_ir_init_module
    - media: vb2: add waiting_in_dqbuf flag
    - media: vivid: use vfree() instead of kfree() for dev->bitmap_cap
    - ssb: Fix possible NULL pointer dereference in ssb_host_pcmcia_exit
    - bpf: devmap: fix use-after-free Read in __dev_map_entry_free
    - batman-adv: mcast: fix multicast tt/tvlv worker locking
    - at76c50x-usb: Don't register led_trigger if usb_register_driver failed
    - acct_on(): don't mess with freeze protection
    - netfilter: ctnetlink: Resolve conntrack L3-protocol flush regression
    - Revert "btrfs: Honour FITRIM range constraints during free space trim"
    - gfs2: Fix lru_count going negative
    - cxgb4: Fix error path in cxgb4_init_module
    - afs: Fix getting the afs.fid xattr
    - NFS: make nfs_match_client killable
    - gfs2: fix race between gfs2_freeze_func and unmount
    - IB/hfi1: Fix WQ_MEM_RECLAIM warning
    - gfs2: Fix occasional glock use-after-free
    - mmc: core: Verify SD bus width
    - tools/bpf: fix perf build error with uClibc (seen on ARC)
    - selftests/bpf: set RLIMIT_MEMLOCK properly for test_libbpf_open.c
    - bpftool: exclude bash-completion/bpftool from .gitignore pattern
    - ice: Separate if conditions for ice_set_features()
    - blk-mq: split blk_mq_alloc_and_init_hctx into two parts
    - blk-mq: grab .q_usage_counter when queuing request from plug code path
    - dmaengine: tegra210-dma: free dma controller in remove()
    - net: ena: gcc 8: fix compilation warning
    - net: ena: fix: set freed objects to NULL to avoid failing future allocations
    - hv_netvsc: fix race that may miss tx queue wakeup
    - Bluetooth: Ignore CC events not matching the last HCI command
    - pinctrl: zte: fix leaked of_node references
    - ASoC: Intel: kbl_da7219_max98357a: Map BTN_0 to KEY_PLAYPAUSE
    - usb: dwc2: gadget: Increase descriptors count for ISOC's
    - usb: dwc3: move synchronize_irq() out of the spinlock protected block
    - usb: gadget: f_fs: don't free buffer prematurely
    - ASoC: hdmi-codec: unlock the device on startup errors
    - powerpc/perf: Return accordingly on invalid chip-id in
    - powerpc/boot: Fix missing check of lseek() return value
    - powerpc/perf: Fix loop exit condition in nest_imc_event_init
    - spi: atmel-quadspi: fix crash while suspending
    - ASoC: imx: fix fiq dependencies
    - spi: pxa2xx: fix SCR (divisor) calculation
    - brcm80211: potential NULL dereference in
      brcmf_cfg80211_vndr_cmds_dcmd_handler()
    - ACPI / property: fix handling of data_nodes in acpi_get_next_subnode()
    - drm/nouveau/bar/nv50: ensure BAR is mapped
    - media: stm32-dcmi: return appropriate error codes during probe
    - ARM: vdso: Remove dependency with the arch_timer driver internals
    - arm64: Fix compiler warning from pte_unmap() with -Wunused-but-set-variable
    - x86/ftrace: Set trampoline pages as executable
    - powerpc/watchdog: Use hrtimers for per-CPU heartbeat
    - sched/cpufreq: Fix kobject memleak
    - scsi: qla2xxx: Fix a qla24xx_enable_msix() error path
    - scsi: qla2xxx: Fix abort handling in tcm_qla2xxx_write_pending()
    - scsi: qla2xxx: Avoid that lockdep complains about unsafe locking in
      tcm_qla2xxx_close_session()
    - scsi: qla2xxx: Fix hardirq-unsafe locking
    - x86/modules: Avoid breaking W^X while loading modules
    - Btrfs: fix data bytes_may_use underflow with fallocate due to failed quota
      reserve
    - btrfs: fix panic during relocation after ENOSPC before writeback happens
    - btrfs: Don't panic when we can't find a root key
    - iwlwifi: pcie: don't crash on invalid RX interrupt
    - rtc: 88pm860x: prevent use-after-free on device remove
    - rtc: stm32: manage the get_irq probe defer case
    - scsi: qedi: Abort ep termination if offload not scheduled
    - s390/kexec_file: Fix detection of text segment in ELF loader
    - ALSA: hda: fix unregister device twice on ASoC driver
    - sched/nohz: Run NOHZ idle load balancer on HK_FLAG_MISC CPUs
    - net: ethernet: ti: cpsw: fix allmulti cfg in dual_mac mode
    - w1: fix the resume command API
    - net: phy: improve genphy_soft_reset
    - s390: qeth: address type mismatch warning
    - dmaengine: pl330: _stop: clear interrupt status
    - mac80211/cfg80211: update bss channel on channel switch
    - libbpf: fix samples/bpf build failure due to undefined UINT32_MAX
    - slimbus: fix a potential NULL pointer dereference in
      of_qcom_slim_ngd_register
    - ASoC: fsl_sai: Update is_slave_mode with correct value
    - Fix nfs4.2 return -EINVAL when do dedupe operation
    - mwifiex: prevent an array overflow
    - rsi: Fix NULL pointer dereference in kmalloc
    - net: cw1200: fix a NULL pointer dereference
    - nvme: set 0 capacity if namespace block size exceeds PAGE_SIZE
    - nvme-rdma: fix a NULL deref when an admin connect times out
    - nvme-tcp: fix a NULL deref when an admin connect times out
    - crypto: sun4i-ss - Fix invalid calculation of hash end
    - bcache: avoid potential memleak of list of journal_replay(s) in the
      CACHE_SYNC branch of run_cache_set
    - bcache: return error immediately in bch_journal_replay()
    - bcache: fix failure in journal relplay
    - bcache: add failure check to run_cache_set() for journal replay
    - bcache: avoid clang -Wunintialized warning
    - RDMA/cma: Consider scope_id while binding to ipv6 ll address
    - vfio-ccw: Do not call flush_workqueue while holding the spinlock
    - vfio-ccw: Release any channel program when releasing/removing vfio-ccw mdev
    - x86/build: Move _etext to actual end of .text
    - smpboot: Place the __percpu annotation correctly
    - x86/uaccess: Dont leak the AC flag into __put_user() argument evaluation
    - x86/mm: Remove in_nmi() warning from 64-bit implementation of
      vmalloc_fault()
    - mm/uaccess: Use 'unsigned long' to placate UBSAN warnings on older GCC
      versions
    - Bluetooth: hci_qca: Give enough time to ROME controller to bootup.
    - Bluetooth: btbcm: Add default address for BCM43341B
    - HID: logitech-hidpp: use RAP instead of FAP to get the protocol version
    - pinctrl: pistachio: fix leaked of_node references
    - pinctrl: st: fix leaked of_node references
    - pinctrl: samsung: fix leaked of_node references
    - clk: rockchip: undo several noc and special clocks as critical on rk3288
    - perf/arm-cci: Remove broken race mitigation
    - dmaengine: at_xdmac: remove BUG_ON macro in tasklet
    - media: coda: clear error return value before picture run
    - media: ov6650: Move v4l2_clk_get() to ov6650_video_probe() helper
    - media: au0828: stop video streaming only when last user stops
    - media: ov2659: make S_FMT succeed even if requested format doesn't match
    - audit: fix a memory leak bug
    - media: stm32-dcmi: fix crash when subdev do not expose any formats
    - media: au0828: Fix NULL pointer dereference in au0828_analog_stream_enable()
    - media: pvrusb2: Prevent a buffer overflow
    - iio: adc: stm32-dfsdm: fix unmet direct dependencies detected
    - block: fix use-after-free on gendisk
    - powerpc/numa: improve control of topology updates
    - powerpc/64: Fix booting large kernels with STRICT_KERNEL_RWX
    - random: fix CRNG initialization when random.trust_cpu=1
    - random: add a spinlock_t to struct batched_entropy
    - cgroup: protect cgroup->nr_(dying_)descendants by css_set_lock
    - sched/core: Check quota and period overflow at usec to nsec conversion
    - sched/rt: Check integer overflow at usec to nsec conversion
    - sched/core: Handle overflow in cpu_shares_write_u64
    - staging: vc04_services: handle kzalloc failure
    - drm/msm/dpu: release resources on modeset failure
    - drm/msm: a5xx: fix possible object reference leak
    - drm/msm: dpu: Don't set frame_busy_mask for async updates
    - drm/msm: Fix NULL pointer dereference
    - irq_work: Do not raise an IPI when queueing work on the local CPU
    - thunderbolt: Take domain lock in switch sysfs attribute callbacks
    - s390/qeth: handle error from qeth_update_from_chp_desc()
    - USB: core: Don't unbind interfaces following device reset failure
    - x86/irq/64: Limit IST stack overflow check to #DB stack
    - drm: etnaviv: avoid DMA API warning when importing buffers
    - dt-bindings: phy-qcom-qmp: Add UFS PHY reset
    - phy: sun4i-usb: Make sure to disable PHY0 passby for peripheral mode
    - phy: mapphone-mdm6600: add gpiolib dependency
    - dpaa2-eth: Fix Rx classification status
    - i40e: Able to add up to 16 MAC filters on an untrusted VF
    - i40e: don't allow changes to HW VLAN stripping on active port VLANs
    - ACPI/IORT: Reject platform device creation on NUMA node mapping failure
    - arm64: vdso: Fix clock_getres() for CLOCK_REALTIME
    - RDMA/cxgb4: Fix null pointer dereference on alloc_skb failure
    - perf/x86/msr: Add Icelake support
    - perf/x86/intel/rapl: Add Icelake support
    - perf/x86/intel/cstate: Add Icelake support
    - PM / devfreq: Fix static checker warning in try_then_request_governor
    - hwmon: (vt1211) Use request_muxed_region for Super-IO accesses
    - hwmon: (smsc47m1) Use request_muxed_region for Super-IO accesses
    - hwmon: (smsc47b397) Use request_muxed_region for Super-IO accesses
    - hwmon: (pc87427) Use request_muxed_region for Super-IO accesses
    - hwmon: (f71805f) Use request_muxed_region for Super-IO accesses
    - mmc: core: make pwrseq_emmc (partially) support sleepy GPIO controllers
    - mmc_spi: add a status check for spi_sync_locked
    - mmc: sdhci-of-esdhc: add erratum eSDHC5 support
    - mmc: sdhci-of-esdhc: add erratum A-009204 support
    - mmc: sdhci-of-esdhc: add erratum eSDHC-A001 and A-008358 support
    - drm/amdgpu: fix old fence check in amdgpu_fence_emit
    - PM / core: Propagate dev->power.wakeup_path when no callbacks
    - clk: rockchip: Fix video codec clocks on rk3288
    - extcon: arizona: Disable mic detect if running when driver is removed
    - clk: rockchip: Make rkpwm a critical clock on rk3288
    - clk: zynqmp: fix check for fractional clock
    - s390: zcrypt: initialize variables before_use
    - x86/microcode: Fix the ancient deprecated microcode loading method
    - s390/mm: silence compiler warning when compiling without CONFIG_PGSTE
    - s390: cio: fix cio_irb declaration
    - selftests: cgroup: fix cleanup path in test_memcg_subtree_control()
    - qmi_wwan: Add quirk for Quectel dynamic config
    - cpufreq: ppc_cbe: fix possible object reference leak
    - cpufreq/pasemi: fix possible object reference leak
    - cpufreq: pmac32: fix possible object reference leak
    - cpufreq: kirkwood: fix possible object reference leak
    - cpufreq: imx6q: fix possible object reference leak
    - block: sed-opal: fix IOC_OPAL_ENABLE_DISABLE_MBR
    - samples/bpf: fix build with new clang
    - x86/build: Keep local relocations with ld.lld
    - regulator: core: Avoid potential deadlock on regulator_unregister
    - drm/pl111: fix possible object reference leak
    - iio: ad_sigma_delta: Properly handle SPI bus locking vs CS assertion
    - iio: hmc5843: fix potential NULL pointer dereferences
    - iio: common: ssp_sensors: Initialize calculated_time in
      ssp_common_process_data
    - iio: adc: ti-ads7950: Fix improper use of mlock
    - selftests/bpf: ksym_search won't check symbols exists
    - rtlwifi: fix a potential NULL pointer dereference
    - mwifiex: Fix mem leak in mwifiex_tm_cmd
    - brcmfmac: fix missing checks for kmemdup
    - b43: shut up clang -Wuninitialized variable warning
    - brcmfmac: convert dev_init_lock mutex to completion
    - brcmfmac: fix WARNING during USB disconnect in case of unempty psq
    - brcmfmac: fix race during disconnect when USB completion is in progress
    - brcmfmac: fix Oops when bringing up interface during USB disconnect
    - rtc: xgene: fix possible race condition
    - rtlwifi: fix potential NULL pointer dereference
    - scsi: ufs: Fix regulator load and icc-level configuration
    - scsi: ufs: Avoid configuring regulator with undefined voltage range
    - drm/panel: otm8009a: Add delay at the end of initialization
    - drm/amd/display: Prevent cursor hotspot overflow for RV overlay planes
    - arm64: cpu_ops: fix a leaked reference by adding missing of_node_put
    - locking/static_key: Fix false positive warnings on concurrent dec/inc
    - wil6210: fix return code of wmi_mgmt_tx and wmi_mgmt_tx_ext
    - x86/uaccess, ftrace: Fix ftrace_likely_update() vs. SMAP
    - x86/uaccess, signal: Fix AC=1 bloat
    - x86/ia32: Fix ia32_restore_sigcontext() AC leak
    - x86/uaccess: Fix up the fixup
    - chardev: add additional check for minor range overlap
    - sh: sh7786: Add explicit I/O cast to sh7786_mm_sel()
    - HID: core: move Usage Page concatenation to Main item
    - ASoC: eukrea-tlv320: fix a leaked reference by adding missing of_node_put
    - ASoC: fsl_utils: fix a leaked reference by adding missing of_node_put
    - cxgb3/l2t: Fix undefined behaviour
    - clk: renesas: rcar-gen3: Correct parent clock of SYS-DMAC
    - block: pass page to xen_biovec_phys_mergeable
    - clk: renesas: rcar-gen3: Correct parent clock of Audio-DMAC
    - HID: logitech-hidpp: change low battery level threshold from 31 to 30
      percent
    - spi: tegra114: reset controller on probe
    - kobject: Don't trigger kobject_uevent(KOBJ_REMOVE) twice.
    - media: video-mux: fix null pointer dereferences
    - media: wl128x: prevent two potential buffer overflows
    - media: gspca: Kill URBs on USB device disconnect
    - efifb: Omit memory map check on legacy boot
    - thunderbolt: property: Fix a missing check of kzalloc
    - thunderbolt: Fix to check the return value of kmemdup
    - drm: rcar-du: lvds: Set LVEN and LVRES bits together on D3
    - timekeeping: Force upper bound for setting CLOCK_REALTIME
    - scsi: qedf: Add missing return in qedf_post_io_req() in the fcport offload
      check
    - virtio_console: initialize vtermno value for ports
    - tty: ipwireless: fix missing checks for ioremap
    - staging: mt7621-mmc: Initialize completions a single time during probe
    - overflow: Fix -Wtype-limits compilation warnings
    - x86/mce: Fix machine_check_poll() tests for error types
    - rcutorture: Fix cleanup path for invalid torture_type strings
    - x86/mce: Handle varying MCA bank counts
    - rcuperf: Fix cleanup path for invalid perf_type strings
    - rcu: Do a single rhp->func read in rcu_head_after_call_rcu()
    - spi: stm32-qspi: add spi_master_put in release function
    - usb: core: Add PM runtime calls to usb_hcd_platform_shutdown
    - scsi: qla4xxx: avoid freeing unallocated dma memory
    - scsi: lpfc: avoid uninitialized variable warning
    - ice: Prevent unintended multiple chain resets
    - selinux: avoid uninitialized variable warning
    - batman-adv: allow updating DAT entry timeouts on incoming ARP Replies
    - dmaengine: tegra210-adma: use devm_clk_*() helpers
    - x86/CPU/hygon: Fix phys_proc_id calculation logic for multi-die processors
    - staging: mt7621-mmc: Check for nonzero number of scatterlist entries
    - hwrng: omap - Set default quality
    - thunderbolt: Fix to check return value of ida_simple_get
    - thunderbolt: Fix to check for kmemdup failure
    - drm/amd/display: fix releasing planes when exiting odm
    - drm/amd/display: Link train only when link is DP and backend is enabled
    - drm/amd/display: Reset alpha state for planes to the correct values
    - thunderbolt: property: Fix a NULL pointer dereference
    - media: v4l2-fwnode: The first default data lane is 0 on C-PHY
    - media: staging/intel-ipu3: mark PM function as __maybe_unused
    - tinydrm/mipi-dbi: Use dma-safe buffers for all SPI transfers
    - igb: Exclude device from suspend direct complete optimization
    - media: si2165: fix a missing check of return value
    - media: dvbsky: Avoid leaking dvb frontend
    - media: m88ds3103: serialize reset messages in m88ds3103_set_frontend
    - drm/amd/display: add pipe lock during stream update
    - media: staging: davinci_vpfe: disallow building with COMPILE_TEST
    - drm/amd/display: Fix Divide by 0 in memory calculations
    - drm/amd/display: Set stream->mode_changed when connectors change
    - scsi: ufs: fix a missing check of devm_reset_control_get
    - media: vimc: stream: fix thread state before sleep
    - media: gspca: do not resubmit URBs when streaming has stopped
    - media: go7007: avoid clang frame overflow warning with KASAN
    - media: vimc: zero the media_device on probe
    - media: vim2m: replace devm_kzalloc by kzalloc
    - media: cedrus: Add a quirk for not setting DMA offset
    - scsi: lpfc: Fix FDMI manufacturer attribute value
    - scsi: lpfc: Fix fc4type information for FDMI
    - media: saa7146: avoid high stack usage with clang
    - scsi: lpfc: Fix SLI3 commands being issued on SLI4 devices
    - scsi: lpfc: Fix use-after-free mailbox cmd completion
    - audit: fix a memleak caused by auditing load module
    - spi : spi-topcliff-pch: Fix to handle empty DMA buffers
    - drm: writeback: Fix leak of writeback job
    - drm/omap: dsi: Fix PM for display blank with paired dss_pll calls
    - drm/omap: Notify all devices in the pipeline of output disconnection
    - spi: rspi: Fix sequencer reset during initialization
    - regulator: wm831x ldo: Fix notifier mutex lock warning
    - regulator: wm831x isink: Fix notifier mutex lock warning
    - regulator: ltc3676: Fix notifier mutex lock warning
    - regulator: ltc3589: Fix notifier mutex lock warning
    - regulator: pv88060: Fix notifier mutex lock warning
    - spi: imx: stop buffer overflow in RX FIFO flush
    - regulator: lp8755: Fix notifier mutex lock warning
    - regulator: da9211: Fix notifier mutex lock warning
    - regulator: da9063: Fix notifier mutex lock warning
    - regulator: pv88080: Fix notifier mutex lock warning
    - regulator: wm831x: Fix notifier mutex lock warning
    - regulator: pv88090: Fix notifier mutex lock warning
    - regulator: da9062: Fix notifier mutex lock warning
    - regulator: da9055: Fix notifier mutex lock warning
    - spi: Fix zero length xfer bug
    - ASoC: davinci-mcasp: Fix clang warning without CONFIG_PM
    - ASoC: ti: fix davinci_mcasp_probe dependencies
    - drm/v3d: Handle errors from IRQ setup.
    - drm/drv: Hold ref on parent device during drm_device lifetime
    - drm: Wake up next in drm_read() chain if we are forced to putback the event
    - drm/sun4i: dsi: Change the start delay calculation
    - vfio-ccw: Prevent quiesce function going into an infinite loop
    - ice: Put __ICE_PREPARED_FOR_RESET check in ice_prepare_for_reset
    - drm/sun4i: dsi: Enforce boundaries on the start delay
    - NFS: Fix a double unlock from nfs_match,get_client
    - Linux 5.0.20
  * Disco update: 5.0.19 upstream stable release (LP: #1837516)
    - ipv6: fix src addr routing with the exception table
    - ipv6: prevent possible fib6 leaks
    - net: Always descend into dsa/
    - net: avoid weird emergency message
    - net/mlx4_core: Change the error print to info print
    - net: test nouarg before dereferencing zerocopy pointers
    - net: usb: qmi_wwan: add Telit 0x1260 and 0x1261 compositions
    - nfp: flower: add rcu locks when accessing netdev for tunnels
    - ppp: deflate: Fix possible crash in deflate_init
    - rtnetlink: always put IFLA_LINK for links with a link-netnsid
    - tipc: switch order of device registration to fix a crash
    - vsock/virtio: free packets during the socket release
    - tipc: fix modprobe tipc failed after switch order of device registration
    - vsock/virtio: Initialize core virtio vsock before registering the driver
    - net/mlx5e: Add missing ethtool driver info for representors
    - net/mlx5e: Additional check for flow destination comparison
    - net/mlx5: Imply MLXFW in mlx5_core
    - net/mlx5e: Fix ethtool rxfh commands when CONFIG_MLX5_EN_RXNFC is disabled
    - blk-mq: free hw queue's resource in hctx's release handler
    - regulator: core: fix error path for regulator_set_voltage_unlocked
    - parisc: Export running_on_qemu symbol for modules
    - parisc: Add memory clobber to TLB purges
    - parisc: Skip registering LED when running in QEMU
    - parisc: Add memory barrier to asm pdc and sync instructions
    - parisc: Allow live-patching of __meminit functions
    - parisc: Use PA_ASM_LEVEL in boot code
    - parisc: Rename LEVEL to PA_ASM_LEVEL to avoid name clash with DRBD code
    - stm class: Fix channel free in stm output free path
    - stm class: Fix channel bitmap on 32-bit systems
    - brd: re-enable __GFP_HIGHMEM in brd_insert_page()
    - proc: prevent changes to overridden credentials
    - Revert "MD: fix lock contention for flush bios"
    - md: batch flush requests.
    - md: add mddev->pers to avoid potential NULL pointer dereference
    - md: add a missing endianness conversion in check_sb_changes
    - dcache: sort the freeing-without-RCU-delay mess for good.
    - intel_th: msu: Fix single mode with IOMMU
    - p54: drop device reference count if fails to enable device
    - of: fix clang -Wunsequenced for be32_to_cpu()
    - brcmfmac: Add DMI nvram filename quirk for ACEPC T8 and T11 mini PCs
    - phy: ti-pipe3: fix missing bit-wise or operator when assigning val
    - media: ov6650: Fix sensor possibly not detected on probe
    - media: imx: csi: Allow unknown nearest upstream entities
    - media: imx: Clear fwnode link struct for each endpoint iteration
    - RDMA/mlx5: Use get_zeroed_page() for clock_info
    - RDMA/ipoib: Allow user space differentiate between valid dev_port
    - NFS4: Fix v4.0 client state corruption when mount
    - PNFS fallback to MDS if no deviceid found
    - clk: hi3660: Mark clk_gate_ufs_subsys as critical
    - clk: tegra: Fix PLLM programming on Tegra124+ when PMC overrides divider
    - clk: mediatek: Disable tuner_en before change PLL rate
    - clk: rockchip: fix wrong clock definitions for rk3328
    - udlfb: delete the unused parameter for dlfb_handle_damage
    - udlfb: fix sleeping inside spinlock
    - udlfb: introduce a rendering mutex
    - fuse: fix writepages on 32bit
    - fuse: honor RLIMIT_FSIZE in fuse_file_fallocate
    - ovl: fix missing upper fs freeze protection on copy up for ioctl
    - gcc-plugins: arm_ssp_per_task_plugin: Fix for older GCC < 6
    - iommu/tegra-smmu: Fix invalid ASID bits on Tegra30/114
    - ceph: flush dirty inodes before proceeding with remount
    - x86_64: Add gap to int3 to allow for call emulation
    - x86_64: Allow breakpoints to emulate call instructions
    - ftrace/x86_64: Emulate call function while updating in breakpoint handler
    - tracing: Fix partial reading of trace event's id file
    - tracing: probeevent: Fix to make the type of $comm string
    - memory: tegra: Fix integer overflow on tick value calculation
    - perf intel-pt: Fix instructions sampling rate
    - perf intel-pt: Fix improved sample timestamp
    - perf intel-pt: Fix sample timestamp wrt non-taken branches
    - MIPS: perf: Fix build with CONFIG_CPU_BMIPS5000 enabled
    - objtool: Allow AR to be overridden with HOSTAR
    - x86/mpx, mm/core: Fix recursive munmap() corruption
    - fbdev/efifb: Ignore framebuffer memmap entries that lack any memory types
    - fbdev: sm712fb: fix brightness control on reboot, don't set SR30
    - fbdev: sm712fb: fix VRAM detection, don't set SR70/71/74/75
    - fbdev: sm712fb: fix white screen of death on reboot, don't set CR3B-CR3F
    - fbdev: sm712fb: fix boot screen glitch when sm712fb replaces VGA
    - fbdev: sm712fb: fix crashes during framebuffer writes by correctly mapping
      VRAM
    - fbdev: sm712fb: fix support for 1024x768-16 mode
    - fbdev: sm712fb: use 1024x768 by default on non-MIPS, fix garbled display
    - fbdev: sm712fb: fix crashes and garbled display during DPMS modesetting
    - PCI: Mark AMD Stoney Radeon R7 GPU ATS as broken
    - PCI: Mark Atheros AR9462 to avoid bus reset
    - PCI: Reset Lenovo ThinkPad P50 nvgpu at boot if necessary
    - PCI: Init PCIe feature bits for managed host bridge alloc
    - PCI/AER: Change pci_aer_init() stub to return void
    - PCI: rcar: Add the initialization of PCIe link in resume_noirq()
    - PCI: Factor out pcie_retrain_link() function
    - PCI: Work around Pericom PCIe-to-PCI bridge Retrain Link erratum
    - dm cache metadata: Fix loading discard bitset
    - dm zoned: Fix zone report handling
    - dm delay: fix a crash when invalid device is specified
    - dm crypt: move detailed message into debug level
    - dm integrity: correctly calculate the size of metadata area
    - dm mpath: always free attached_handler_name in parse_path()
    - fuse: Add FOPEN_STREAM to use stream_open()
    - xfrm: policy: Fix out-of-bound array accesses in __xfrm_policy_unlink
    - xfrm: Reset secpath in xfrm failure
    - xfrm6_tunnel: Fix potential panic when unloading xfrm6_tunnel module
    - vti4: ipip tunnel deregistration fixes.
    - xfrm: clean up xfrm protocol checks
    - esp4: add length check for UDP encapsulation
    - xfrm: Honor original L3 slave device in xfrmi policy lookup
    - xfrm4: Fix uninitialized memory read in _decode_session4
    - ARC: PAE40: don't panic and instead turn off hw ioc
    - clk: sunxi-ng: nkmp: Avoid GENMASK(-1, 0)
    - KVM: PPC: Book3S HV: Perserve PSSCR FAKE_SUSPEND bit on guest exit
    - KVM: PPC: Book3S: Protect memslots while validating user address
    - power: supply: cpcap-battery: Fix division by zero
    - securityfs: fix use-after-free on symlink traversal
    - apparmorfs: fix use-after-free on symlink traversal
    - PCI: Fix issue with "pci=disable_acs_redir" parameter being ignored
    - x86: kvm: hyper-v: deal with buggy TLB flush requests from WS2012
    - mac80211: Fix kernel panic due to use of txq after free
    - net: ieee802154: fix missing checks for regmap_update_bits
    - KVM: arm/arm64: Ensure vcpu target is unset on reset failure
    - power: supply: sysfs: prevent endless uevent loop with
      CONFIG_POWER_SUPPLY_DEBUG
    - tools: bpftool: fix infinite loop in map create
    - bpf: Fix preempt_enable_no_resched() abuse
    - qmi_wwan: new Wistron, ZTE and D-Link devices
    - iwlwifi: mvm: check for length correctness in iwl_mvm_create_skb()
    - sched/cpufreq: Fix kobject memleak
    - x86/mm/mem_encrypt: Disable all instrumentation for early SME setup
    - KVM: fix KVM_CLEAR_DIRTY_LOG for memory slots of unaligned size
    - KVM: selftests: make hyperv_cpuid test pass on AMD
    - ufs: fix braino in ufs_get_inode_gid() for solaris UFS flavour
    - i2c: designware: ratelimit 'transfer when suspended' errors
    - perf bench numa: Add define for RUSAGE_THREAD if not present
    - perf cs-etm: Always allocate memory for cs_etm_queue::prev_packet
    - perf/x86/intel: Fix race in intel_pmu_disable_event()
    - Revert "Don't jump to compute_result state from check_result state"
    - md/raid: raid5 preserve the writeback action after the parity check
    - driver core: Postpone DMA tear-down until after devres release for probe
      failure
    - bpf: relax inode permission check for retrieving bpf program
    - bpf: add map_lookup_elem_sys_only for lookups from syscall side
    - bpf, lru: avoid messing with eviction heuristics upon syscall lookup
    - fbdev: sm712fb: fix memory frequency by avoiding a switch/case fallthrough
    - Linux 5.0.19
  * CVE-2019-13648
    - powerpc/tm: Fix oops on sigreturn on systems without TM
  * bcache kernel warning when attaching device (LP: #1837788)
    - bcache: only set BCACHE_DEV_WB_RUNNING when cached device attached
  * CVE-2019-14283
    - floppy: fix out-of-bounds read in copy_buffer
  * CVE-2019-14284
    - floppy: fix div-by-zero in setup_format_params
  * alsa/hda: neither mute led nor mic-mute led work on several Lenovo laptops
    (LP: #1837963)
    - SAUCE: ALSA: hda - Add a conexant codec entry to let mute led work

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Fri, 16 Aug 2019 12:44:02 +0300

linux-oem-osp1 (5.0.0-1018.20) bionic; urgency=medium

  * alsa/hdmi: the sound is distorted when playing via nvidia hdmi
    (LP: #1838243)
    - ALSA: hda: program stripe control for codec

  * alsa/sof: let legacy hda driver and sof driver co-exist (LP: #1837828)
    - ASoC: Intel: Skylake: move NHLT header to common directory
    - ALSA: hda: move parts of NHLT code to new module
    - ALSA: hda: intel-nhlt: handle NHLT VENDOR_DEFINED DMIC geometry
    - ASoC: Intel: Skylake: use common NHLT module
    - ALSA: hda/intel: stop probe if DMICS are detected on Skylake+ platforms
    - [Config] enable SND_HDA_INTEL_DETECT_DMIC for dmic
    - [Config] enable SND_HDA_INTEL_DETECT_DMIC for dmic

  * alsa/sof: the headphone doesn't work when sound-setting opens (LP: #1837900)
    - Revert "ASoC: SOF: hda: set autosuspend delay for hda bus device"

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Revert "Input: alps - don't handle ALPS cs19 trackpoint-only device"
    - Input: alps - don't handle ALPS cs19 trackpoint-only device
    - Input: alps - fix a mismatch between a condition check and its comment

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - SAUCE: i915: set disable_power_well=0 for icl temporarily

  * alsa/sof: The definition of ROM state register is not correct (LP: #1837500)
    - ASoC: SOF: Intel: HDA: correct ROM state mask

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  [ Ubuntu: 5.0.0-25.26 ]

  * CVE-2019-1125
    - x86/cpufeatures: Carve out CQM features retrieval
    - x86/cpufeatures: Combine word 11 and 12 into a new scattered features word
    - x86/speculation: Prepare entry code for Spectre v1 swapgs mitigations
    - x86/speculation: Enable Spectre v1 swapgs mitigations
    - x86/entry/64: Use JMP instead of JMPQ
    - x86/speculation/swapgs: Exclude ATOMs from speculation through SWAPGS

  [ Ubuntu: 5.0.0-24.25 ]

  * disco/linux: 5.0.0-24.25 -proposed tracker (LP: #1838395)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
  * hibmc-drm Causes Unreadable Display for Huawei amd64 Servers (LP: #1762940)
    - [Config] Set CONFIG_DRM_HISI_HIBMC to arm64 only
    - SAUCE: Make CONFIG_DRM_HISI_HIBMC depend on ARM64
  * [18.04 FEAT] zKVM: Add hardware CPU Model - kernel part (LP: #1836153)
    - KVM: s390: add debug logging for cpu model subfunctions
    - KVM: s390: implement subfunction processor calls
    - KVM: s390: add vector enhancements facility 2 to cpumodel
    - KVM: s390: add vector BCD enhancements facility to cpumodel
    - KVM: s390: add MSA9 to cpumodel
    - KVM: s390: provide query function for instructions returning 32 byte
    - KVM: s390: add enhanced sort facilty to cpu model
    - KVM: s390: add deflate conversion facilty to cpu model
    - KVM: s390: enable MSA9 keywrapping functions depending on cpu model
  * bcache: risk of data loss on I/O errors in backing or caching devices
    (LP: #1829563)
    - Revert "bcache: set CACHE_SET_IO_DISABLE in bch_cached_dev_error()"
  * Intel ethernet I219 has slow RX speed (LP: #1836152)
    - SAUCE: e1000e: add workaround for possible stalled packet
    - SAUCE: e1000e: disable force K1-off feature
  * Intel ethernet I219 may wrongly detect connection speed as 10Mbps
    (LP: #1836177)
    - SAUCE: e1000e: Make watchdog use delayed work
  * Unhide Nvidia HDA audio controller (LP: #1836308)
    - PCI: Enable NVIDIA HDA controllers
  * Enable Armada SOCs and MVPP2 NIC driver for disco/generic arm64
    (LP: #1835054)
    - [Config] Enable Armada SOCs and MVPP2 NIC driver for disco/generic arm64
  * ixgbe{vf} - Physical Function gets IRQ when VF checks link state
    (LP: #1836760)
    - ixgbevf: Use cached link state instead of re-reading the value for ethtool
  * Two crashes on raid0 error path (during a member device removal)
    (LP: #1836806)
    - block: Fix a NULL pointer dereference in generic_make_request()
    - md/raid0: Do not bypass blocking queue entered for raid0 bios
  * CVE-2019-13233
    - x86/insn-eval: Fix use-after-free access to LDT entry
  * cifs set_oplock buffer overflow in strcat (LP: #1824981)
    - cifs: fix strcat buffer overflow and reduce raciness in
      smb21_set_oplock_level()
  * CVE-2019-13272
    - ptrace: Fix ->ptracer_cred handling for PTRACE_TRACEME
  * hda/realtek: can't detect external mic on a Dell machine (LP: #1836755)
    - ALSA: hda/realtek: apply ALC891 headset fixup to one Dell machine
  * CVE-2019-12614
    - powerpc/pseries/dlpar: Fix a missing check in dlpar_parse_cc_property()
  * bnx2x driver causes 100% CPU load (LP: #1832082)
    - bnx2x: Prevent ptp_task to be rescheduled indefinitely
  * Sometimes touchpad detected as mouse(i2c designware fails to get adapter
    number) (LP: #1835150)
    - i2c: i2c-designware-platdrv: Cleanup setting of the adapter number
    - i2c: i2c-designware-platdrv: Always use a dynamic adapter number
  * Disco update: 5.0.18 upstream stable release (LP: #1836614)
    - locking/rwsem: Prevent decrement of reader count before increment
    - x86/speculation/mds: Revert CPU buffer clear on double fault exit
    - x86/speculation/mds: Improve CPU buffer clear documentation
    - objtool: Fix function fallthrough detection
    - arm64: dts: rockchip: fix IO domain voltage setting of APIO5 on rockpro64
    - arm64: dts: rockchip: Disable DCMDs on RK3399's eMMC controller.
    - ARM: dts: qcom: ipq4019: enlarge PCIe BAR range
    - ARM: dts: exynos: Fix interrupt for shared EINTs on Exynos5260
    - ARM: dts: exynos: Fix audio (microphone) routing on Odroid XU3
    - mmc: sdhci-of-arasan: Add DTS property to disable DCMDs.
    - ARM: exynos: Fix a leaked reference by adding missing of_node_put
    - power: supply: axp288_charger: Fix unchecked return value
    - power: supply: axp288_fuel_gauge: Add ACEPC T8 and T11 mini PCs to the
      blacklist
    - arm64: mmap: Ensure file offset is treated as unsigned
    - arm64: arch_timer: Ensure counter register reads occur with seqlock held
    - arm64: compat: Reduce address limit
    - arm64: Clear OSDLR_EL1 on CPU boot
    - arm64: Save and restore OSDLR_EL1 across suspend/resume
    - sched/x86: Save [ER]FLAGS on context switch
    - x86/MCE: Add an MCE-record filtering function
    - x86/MCE/AMD: Turn off MC4_MISC thresholding on all family 0x15 models
    - x86/MCE/AMD: Carve out the MC4_MISC thresholding quirk
    - x86/MCE: Group AMD function prototypes in <asm/mce.h>
    - x86/MCE/AMD: Don't report L1 BTB MCA errors on some family 17h models
    - crypto: crypto4xx - fix ctr-aes missing output IV
    - crypto: crypto4xx - fix cfb and ofb "overran dst buffer" issues
    - crypto: salsa20 - don't access already-freed walk.iv
    - crypto: lrw - don't access already-freed walk.iv
    - crypto: chacha-generic - fix use as arm64 no-NEON fallback
    - crypto: chacha20poly1305 - set cra_name correctly
    - crypto: ccp - Do not free psp_master when PLATFORM_INIT fails
    - crypto: vmx - fix copy-paste error in CTR mode
    - crypto: skcipher - don't WARN on unprocessed data after slow walk step
    - crypto: crct10dif-generic - fix use via crypto_shash_digest()
    - crypto: x86/crct10dif-pcl - fix use via crypto_shash_digest()
    - crypto: arm64/gcm-aes-ce - fix no-NEON fallback code
    - crypto: gcm - fix incompatibility between "gcm" and "gcm_base"
    - crypto: rockchip - update IV buffer to contain the next IV
    - crypto: caam/qi2 - fix zero-length buffer DMA mapping
    - crypto: caam/qi2 - fix DMA mapping of stack memory
    - crypto: caam/qi2 - generate hash keys in-place
    - crypto: arm/aes-neonbs - don't access already-freed walk.iv
    - crypto: arm64/aes-neonbs - don't access already-freed walk.iv
    - mmc: tegra: fix ddr signaling for non-ddr modes
    - mmc: core: Fix tag set memory leak
    - mmc: sdhci-pci: Fix BYT OCP setting
    - ALSA: line6: toneport: Fix broken usage of timer for delayed execution
    - ALSA: usb-audio: Fix a memory leak bug
    - ALSA: hda/realtek - EAPD turn on later
    - ASoC: max98090: Fix restore of DAPM Muxes
    - ASoC: RT5677-SPI: Disable 16Bit SPI Transfers
    - ASoC: fsl_esai: Fix missing break in switch statement
    - ASoC: codec: hdac_hdmi add device_link to card device
    - bpf, arm64: remove prefetch insn in xadd mapping
    - crypto: ccree - remove special handling of chained sg
    - crypto: ccree - fix mem leak on error path
    - crypto: ccree - don't map MAC key on stack
    - crypto: ccree - use correct internal state sizes for export
    - crypto: ccree - don't map AEAD key and IV on stack
    - crypto: ccree - pm resume first enable the source clk
    - crypto: ccree - HOST_POWER_DOWN_EN should be the last CC access during
      suspend
    - crypto: ccree - add function to handle cryptocell tee fips error
    - crypto: ccree - handle tee fips error during power management resume
    - mm/mincore.c: make mincore() more conservative
    - mm/huge_memory: fix vmf_insert_pfn_{pmd, pud}() crash, handle unaligned
      addresses
    - mm/hugetlb.c: don't put_page in lock of hugetlb_lock
    - hugetlb: use same fault hash key for shared and private mappings
    - ocfs2: fix ocfs2 read inode data panic in ocfs2_iget
    - userfaultfd: use RCU to free the task struct when fork fails
    - ACPI: PM: Set enable_for_wake for wakeup GPEs during suspend-to-idle
    - mfd: da9063: Fix OTP control register names to match datasheets for
      DA9063/63L
    - mfd: max77620: Fix swapped FPS_PERIOD_MAX_US values
    - mtd: spi-nor: intel-spi: Avoid crossing 4K address boundary on read/write
    - mtd: maps: physmap: Store gpio_values correctly
    - mtd: maps: Allow MTD_PHYSMAP with MTD_RAM
    - tty: vt.c: Fix TIOCL_BLANKSCREEN console blanking if blankinterval == 0
    - tty/vt: fix write/write race in ioctl(KDSKBSENT) handler
    - jbd2: check superblock mapped prior to committing
    - ext4: make sanity check in mballoc more strict
    - ext4: ignore e_value_offs for xattrs with value-in-ea-inode
    - ext4: avoid drop reference to iloc.bh twice
    - ext4: fix use-after-free race with debug_want_extra_isize
    - ext4: actually request zeroing of inode table after grow
    - ext4: fix ext4_show_options for file systems w/o journal
    - btrfs: Check the first key and level for cached extent buffer
    - btrfs: Correctly free extent buffer in case btree_read_extent_buffer_pages
      fails
    - btrfs: Honour FITRIM range constraints during free space trim
    - Btrfs: send, flush dellaloc in order to avoid data loss
    - Btrfs: do not start a transaction during fiemap
    - Btrfs: do not start a transaction at iterate_extent_inodes()
    - Btrfs: fix race between send and deduplication that lead to failures and
      crashes
    - bcache: fix a race between cache register and cacheset unregister
    - bcache: never set KEY_PTRS of journal key to 0 in journal_reclaim()
    - ipmi:ssif: compare block number correctly for multi-part return messages
    - crypto: ccm - fix incompatibility between "ccm" and "ccm_base"
    - fs/writeback.c: use rcu_barrier() to wait for inflight wb switches going
      into workqueue when umount
    - tty: Don't force RISCV SBI console as preferred console
    - ext4: fix data corruption caused by overlapping unaligned and aligned IO
    - ext4: fix use-after-free in dx_release()
    - ext4: avoid panic during forced reboot due to aborted journal
    - ALSA: hda/realtek - Fix for Lenovo B50-70 inverted internal microphone bug
    - jbd2: fix potential double free
    - KVM: Fix the bitmap range to copy during clear dirty
    - KVM: x86: Skip EFER vs. guest CPUID checks for host-initiated writes
    - KVM: lapic: Busy wait for timer to expire when using hv_timer
    - kbuild: turn auto.conf.cmd into a mandatory include file
    - xen/pvh: set xen_domain_type to HVM in xen_pvh_init
    - xen/pvh: correctly setup the PV EFI interface for dom0
    - libnvdimm/namespace: Fix label tracking error
    - iov_iter: optimize page_copy_sane()
    - mm/gup: Remove the 'write' parameter from gup_fast_permitted()
    - s390/mm: make the pxd_offset functions more robust
    - s390/mm: convert to the generic get_user_pages_fast code
    - ext4: fix compile error when using BUFFER_TRACE
    - ext4: don't update s_rev_level if not required
    - Linux 5.0.18
  * Disco update: 5.0.17 upstream stable release (LP: #1836577)
    - bfq: update internal depth state when queue depth changes
    - platform/x86: sony-laptop: Fix unintentional fall-through
    - platform/x86: thinkpad_acpi: Disable Bluetooth for some machines
    - platform/x86: dell-laptop: fix rfkill functionality
    - hwmon: (pwm-fan) Disable PWM if fetching cooling data fails
    - hwmon: (occ) Fix extended status bits
    - selftests/seccomp: Handle namespace failures gracefully
    - kernfs: fix barrier usage in __kernfs_new_node()
    - virt: vbox: Sanity-check parameter types for hgcm-calls coming from
      userspace
    - USB: serial: fix unthrottle races
    - iio: adc: xilinx: fix potential use-after-free on remove
    - iio: adc: xilinx: fix potential use-after-free on probe
    - iio: adc: xilinx: prevent touching unclocked h/w on remove
    - acpi/nfit: Always dump _DSM output payload
    - libnvdimm/namespace: Fix a potential NULL pointer dereference
    - HID: input: add mapping for Expose/Overview key
    - HID: input: add mapping for keyboard Brightness Up/Down/Toggle keys
    - HID: input: add mapping for "Toggle Display" key
    - libnvdimm/btt: Fix a kmemdup failure check
    - s390/dasd: Fix capacity calculation for large volumes
    - mac80211: fix unaligned access in mesh table hash function
    - mac80211: Increase MAX_MSG_LEN
    - cfg80211: Handle WMM rules in regulatory domain intersection
    - mac80211: fix memory accounting with A-MSDU aggregation
    - nl80211: Add NL80211_FLAG_CLEAR_SKB flag for other NL commands
    - libnvdimm/security: provide fix for secure-erase to use zero-key
    - libnvdimm/pmem: fix a possible OOB access when read and write pmem
    - tools/testing/nvdimm: Retain security state after overwrite
    - s390/3270: fix lockdep false positive on view->lock
    - drm/ttm: fix dma_fence refcount imbalance on error path
    - drm/amd/display: extending AUX SW Timeout
    - clocksource/drivers/npcm: select TIMER_OF
    - clocksource/drivers/oxnas: Fix OX820 compatible
    - selftests: fib_tests: Fix 'Command line is not complete' errors
    - drm/amdgpu: shadow in shadow_list without tbo.mem.start cause page fault in
      sriov TDR
    - mISDN: Check address length before reading address family
    - vxge: fix return of a free'd memblock on a failed dma mapping
    - qede: fix write to free'd pointer error and double free of ptp
    - afs: Unlock pages for __pagevec_release()
    - afs: Fix in-progess ops to ignore server-level callback invalidation
    - qed: Delete redundant doorbell recovery types
    - qed: Fix the doorbell address sanity check
    - qed: Fix missing DORQ attentions
    - qed: Fix the DORQ's attentions handling
    - drm/amd/display: If one stream full updates, full update all planes
    - s390/pkey: add one more argument space for debug feature entry
    - x86/build/lto: Fix truncated .bss with -fdata-sections
    - x86/mm: Prevent bogus warnings with "noexec=off"
    - x86/reboot, efi: Use EFI reboot for Acer TravelMate X514-51T
    - KVM: nVMX: always use early vmcs check when EPT is disabled
    - KVM: fix spectrev1 gadgets
    - KVM: x86: avoid misreporting level-triggered irqs as edge-triggered in
      tracing
    - tools lib traceevent: Fix missing equality check for strcmp
    - perf top: Always sample time to satisfy needs of use of ordered queuing
    - ipmi: ipmi_si_hardcode.c: init si_type array to fix a crash
    - ocelot: Don't sleep in atomic context (irqs_disabled())
    - perf tools: Fix map reference counting
    - scsi: aic7xxx: fix EISA support
    - slab: store tagged freelist for off-slab slabmgmt
    - mm/hotplug: treat CMA pages as unmovable
    - mm: fix inactive list balancing between NUMA nodes and cgroups
    - init: initialize jump labels before command line option parsing
    - drm: bridge: dw-hdmi: Fix overflow workaround for Rockchip SoCs
    - selftests: netfilter: check icmp pkttoobig errors are set as related
    - ipvs: do not schedule icmp errors from tunnels
    - netfilter: ctnetlink: don't use conntrack/expect object addresses as id
    - netfilter: nf_tables: prevent shift wrap in nft_chain_parse_hook()
    - netfilter: nat: fix icmp id randomization
    - MIPS: perf: ath79: Fix perfcount IRQ assignment
    - IB/mlx5: Fix scatter to CQE in DCT QP creation
    - s390: ctcm: fix ctcm_new_device error return code
    - drm/sun4i: Set device driver data at bind time for use in unbind
    - drm/sun4i: Fix component unbinding and component master deletion
    - of_net: Fix residues after of_get_nvmem_mac_address removal
    - selftests/net: correct the return value for run_afpackettests
    - netfilter: never get/set skb->tstamp
    - netfilter: fix nf_l4proto_log_invalid to log invalid packets
    - dmaengine: bcm2835: Avoid GFP_KERNEL in device_prep_slave_sg
    - gpu: ipu-v3: dp: fix CSC handling
    - drm/imx: don't skip DP channel disable for background plane
    - ARM: fix function graph tracer and unwinder dependencies
    - ARM: 8856/1: NOMMU: Fix CCR register faulty initialization when MPU is
      disabled
    - spi: Micrel eth switch: declare missing of table
    - spi: ST ST95HF NFC: declare missing of table
    - ceph: handle the case where a dentry has been renamed on outstanding req
    - Revert "drm/virtio: drop prime import/export callbacks"
    - drm/sun4i: Unbind components before releasing DRM and memory
    - Input: snvs_pwrkey - make it depend on ARCH_MXC
    - Input: synaptics-rmi4 - fix possible double free
    - net: vrf: Fix operation not supported when set vrf mac
    - gpio: Fix gpiochip_add_data_with_key() error path
    - mm/memory_hotplug.c: drop memory device reference after find_memory_block()
    - mm/page_alloc.c: avoid potential NULL pointer dereference
    - bpf: only test gso type on gso packets
    - net: sched: fix cleanup NULL pointer exception in act_mirr
    - net: mvpp2: fix validate for PPv2.1
    - drm/rockchip: fix for mailbox read validation.
    - cw1200: fix missing unlock on error in cw1200_hw_scan()
    - mwl8k: Fix rate_idx underflow
    - rtlwifi: rtl8723ae: Fix missing break in switch statement
    - Don't jump to compute_result state from check_result state
    - bonding: fix arp_validate toggling in active-backup mode
    - bridge: Fix error path for kobject_init_and_add()
    - dpaa_eth: fix SG frame cleanup
    - fib_rules: return 0 directly if an exactly same rule exists when NLM_F_EXCL
      not supplied
    - ipv4: Fix raw socket lookup for local traffic
    - net: dsa: Fix error cleanup path in dsa_init_module
    - net: ethernet: stmmac: dwmac-sun8i: enable support of unicast filtering
    - net: macb: Change interrupt and napi enable order in open
    - net: seeq: fix crash caused by not set dev.parent
    - net: ucc_geth - fix Oops when changing number of buffers in the ring
    - packet: Fix error path in packet_init
    - selinux: do not report error on connect(AF_UNSPEC)
    - tipc: fix hanging clients using poll with EPOLLOUT flag
    - vlan: disable SIOCSHWTSTAMP in container
    - vrf: sit mtu should not be updated when vrf netdev is the link
    - tuntap: fix dividing by zero in ebpf queue selection
    - tuntap: synchronize through tfiles array instead of tun->numqueues
    - net: phy: fix phy_validate_pause
    - flow_dissector: disable preemption around BPF calls
    - isdn: bas_gigaset: use usb_fill_int_urb() properly
    - drivers/virt/fsl_hypervisor.c: dereferencing error pointers in ioctl
    - drivers/virt/fsl_hypervisor.c: prevent integer overflow in ioctl
    - powerpc/book3s/64: check for NULL pointer in pgd_alloc()
    - powerpc/powernv/idle: Restore IAMR after idle
    - powerpc/booke64: set RI in default MSR
    - virtio_ring: Fix potential mem leak in virtqueue_add_indirect_packed
    - PCI: hv: Fix a memory leak in hv_eject_device_work()
    - PCI: hv: Add hv_pci_remove_slots() when we unload the driver
    - PCI: hv: Add pci_destroy_slot() in pci_devices_present_work(), if necessary
    - f2fs: Fix use of number of devices
    - Linux 5.0.17
    - [Config] update configs after update to 5.0.17
  * Disco update: 5.0.16 upstream stable release (LP: #1835580)
    - Linux 5.0.16
  * CVE-2019-10126
    - mwifiex: Fix heap overflow in mwifiex_uap_parse_tail_ies()
  * CVE-2019-3846
    - mwifiex: Fix possible buffer overflows at parsing bss descriptor
  * CVE-2019-12984
    - nfc: Ensure presence of required attributes in the deactivate_target handler
  * Sometimes touchpad(goodix) can't use tap function (LP: #1836020)
    - SAUCE: i2c: designware: add Inpiron/Vostro 7590 into i2c quirk
  * proc_thermal flooding dmesg (LP: #1824690)
    - drivers: thermal: processor_thermal: Downgrade error message

  [ Ubuntu: 5.0.0-23.24 ]

  * disco/linux: 5.0.0-23.24 -proposed tracker (LP: #1838271)
  * linux hwe i386 kernel 5.0.0-21.22~18.04.1 crashes on Lenovo x220
    (LP: #1838115)
    - x86/mm: Check for pfn instead of page in vmalloc_sync_one()
    - x86/mm: Sync also unmappings in vmalloc_sync_all()
    - mm/vmalloc.c: add priority threshold to __purge_vmap_area_lazy()
    - mm/vmalloc: Sync unmappings in __purge_vmap_area_lazy()

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Mon, 05 Aug 2019 11:42:52 +0200

linux-oem-osp1 (5.0.0-1015.16) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1015.16 -proposed tracker (LP: #1836856)

  * System does not auto detect disconnection of external monitor (LP: #1835001)
    - drm/i915: Add support for retrying hotplug
    - drm/i915: Enable hotplug retry

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - ALSA: hda: hdmi - add Icelake support
    - ALSA: hda/hdmi - Remove duplicated define
    - ALSA: hda/hdmi - Fix i915 reverse port/pin mapping

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Input: alps - don't handle ALPS cs19 trackpoint-only device

  * First click on Goodix touchpad doesn't be recognized after runtime suspended
    (LP: #1836836)
    - SAUCE: i2c: designware: add G3 3590 into i2c quirk

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 18 Jul 2019 11:29:53 +0300

linux-oem-osp1 (5.0.0-1014.15) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1014.15 -proposed tracker (LP: #1836161)

  * Intel ethernet I219 may wrongly detect connection speed as 10Mbps
    (LP: #1836177)
    - e1000e: Make watchdog use delayed work

  * Intel ethernet I219 has slow RX speed (LP: #1836152)
    - e1000e: add workaround for possible stalled packet
    - e1000e: disable force K1-off feature

  * headphone-mic doesn't work on a couple of dell machines (alsa/realtek)
    (LP: #1836132)
    - SAUCE: ALSA: hda/realtek - headphone mic doesn't work on two Dell machines

  * Unhide Nvidia HDA audio controller (LP: #1836308)
    - PCI: Enable NVIDIA HDA controllers

  * Sometimes touchpad(goodix) can't use tap function (LP: #1836020)
    - SAUCE: i2c: designware: add Inpiron/Vostro 7590 into i2c quirk
    - SAUCE: i2c: designware: add Inpiron 7591 into i2c quirk

  * enable realtek ethernet device ASPM function (LP: #1836030)
    - SAUCE: PCI/ASPM: add L1 sub-state support to pci_disable_link_state
    - SAUCE: PCI/ASPM: allow to re-enable Clock PM
    - SAUCE: PCI/ASPM: add sysfs attribute for controlling ASPM
    - SAUCE: Revert "r8169: disable ASPM again"

  * backport pmc_core (LP: #1836012)
    - platform/x86: intel_pmc_core: Fix file permissions for ltr_show
    - platform/x86: intel_pmc_core: Include Reserved IP for LTR
    - platform/x86: intel_pmc_core: Avoid a u32 overflow
    - platform/x86: intel_pmc_core: Convert to INTEL_CPU_FAM6 macro
    - platform/x86: intel_pmc_core: Add ICL platform support
    - platform/x86: intel_pmc_core: Add Package cstates residency info
    - platform/x86: intel_pmc_core: Mark local function static
    - platform/x86: intel_pmc_core: Convert to a platform_driver
    - platform/x86: intel_pmc_core: Allow to dump debug registers on S0ix failure

  * Intel Wireless-AC 9462/9560 not supported on ICL (LP: #1835879)
    - iwlwifi: add new cards for 9000 and 20000 series
    - iwlwifi: pcie: add support for qu c-step devices

  * Add DMIC support to oem-kernel (LP: #1826181)
    - ASoC: SOF: hda: fix link DMA config
    - ASoC: SOF: hda: fix stream id setting
    - ALSA: hda: realtek - Headphone Mic can't record after S3

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Fri, 12 Jul 2019 11:20:12 +0300

linux-oem-osp1 (5.0.0-1013.14) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1013.14 -proposed tracker (LP: #1834900)

  * AX88772A USB to Ethernet dongle doesn't work (LP: #1834114)
    - [Config] update configs and annotations for ASIX renamed

  * Disco update: 5.0.12 upstream stable release (LP: #1830934)
    - [Config] Document drop of axis-fifo for amd64

  * Sometimes touchpad detected as mouse(i2c designware fails to get adapter
    number) (LP: #1835150)
    - i2c: i2c-designware-platdrv: Cleanup setting of the adapter number
    - i2c: i2c-designware-platdrv: Always use a dynamic adapter number

  * Intel WiFi (CNVi) 9462/9560 on Comet Lake FW error in SYNC CMD
    GEO_TX_POWER_LIMIT (LP: #1834415)
    - iwlwifi: Add support for SAR South Korea limitation
    - iwlwifi: mvm: don't use iwl_geo_tx_power_profiles_cmd_v1

  [ Ubuntu: 5.0.0-21.22 ]

  * linux: 5.0.0-21.22 -proposed tracker (LP: #1834902)
  * Disco update: 5.0.15 upstream stable release (LP: #1834529)
    - net: stmmac: Use bfsize1 in ndesc_init_rx_desc
    - Drivers: hv: vmbus: Remove the undesired put_cpu_ptr() in hv_synic_cleanup()
    - ubsan: Fix nasty -Wbuiltin-declaration-mismatch GCC-9 warnings
    - staging: greybus: power_supply: fix prop-descriptor request size
    - staging: wilc1000: Avoid GFP_KERNEL allocation from atomic context.
    - staging: most: cdev: fix chrdev_region leak in mod_exit
    - staging: most: sound: pass correct device when creating a sound card
    - ASoC: tlv320aic3x: fix reset gpio reference counting
    - ASoC: hdmi-codec: fix S/PDIF DAI
    - ASoC: stm32: sai: fix iec958 controls indexation
    - ASoC: stm32: sai: fix exposed capabilities in spdif mode
    - ASoC: stm32: sai: fix race condition in irq handler
    - ASoC:soc-pcm:fix a codec fixup issue in TDM case
    - ASoC:hdac_hda:use correct format to setup hda codec
    - ASoC:intel:skl:fix a simultaneous playback & capture issue on hda platform
    - ASoC: dpcm: prevent snd_soc_dpcm use after free
    - ASoC: nau8824: fix the issue of the widget with prefix name
    - ASoC: nau8810: fix the issue of widget with prefixed name
    - ASoC: samsung: odroid: Fix clock configuration for 44100 sample rate
    - ASoC: rt5682: Check JD status when system resume
    - ASoC: rt5682: fix jack type detection issue
    - ASoC: rt5682: recording has no sound after booting
    - ASoC: wm_adsp: Add locking to wm_adsp2_bus_error
    - clk: meson-gxbb: round the vdec dividers to closest
    - ASoC: stm32: dfsdm: manage multiple prepare
    - ASoC: stm32: dfsdm: fix debugfs warnings on entry creation
    - ASoC: cs4270: Set auto-increment bit for register writes
    - ASoC: dapm: Fix NULL pointer dereference in snd_soc_dapm_free_kcontrol
    - drm/omap: hdmi4_cec: Fix CEC clock handling for PM
    - IB/hfi1: Clear the IOWAIT pending bits when QP is put into error state
    - IB/hfi1: Eliminate opcode tests on mr deref
    - IB/hfi1: Fix the allocation of RSM table
    - MIPS: KGDB: fix kgdb support for SMP platforms.
    - ASoC: tlv320aic32x4: Fix Common Pins
    - drm/mediatek: Fix an error code in mtk_hdmi_dt_parse_pdata()
    - perf/x86/intel: Fix handling of wakeup_events for multi-entry PEBS
    - perf/x86/intel: Initialize TFA MSR
    - linux/kernel.h: Use parentheses around argument in u64_to_user_ptr()
    - iov_iter: Fix build error without CONFIG_CRYPTO
    - xtensa: fix initialization of pt_regs::syscall in start_thread
    - ASoC: rockchip: pdm: fix regmap_ops hang issue
    - drm/amdkfd: Add picasso pci id
    - drm/amdgpu: Adjust IB test timeout for XGMI configuration
    - drm/amdgpu: amdgpu_device_recover_vram always failed if only one node in
      shadow_list
    - drm/amd/display: fix cursor black issue
    - ASoC: cs35l35: Disable regulators on driver removal
    - objtool: Add rewind_stack_do_exit() to the noreturn list
    - slab: fix a crash by reading /proc/slab_allocators
    - drm/sun4i: tcon top: Fix NULL/invalid pointer dereference in
      sun8i_tcon_top_un/bind
    - virtio_pci: fix a NULL pointer reference in vp_del_vqs
    - RDMA/vmw_pvrdma: Fix memory leak on pvrdma_pci_remove
    - RDMA/hns: Fix bug that caused srq creation to fail
    - KEYS: trusted: fix -Wvarags warning
    - scsi: csiostor: fix missing data copy in csio_scsi_err_handler()
    - drm/mediatek: fix possible object reference leak
    - drm/mediatek: fix the rate and divder of hdmi phy for MT2701
    - drm/mediatek: make implementation of recalc_rate() for MT2701 hdmi phy
    - drm/mediatek: remove flag CLK_SET_RATE_PARENT for MT2701 hdmi phy
    - drm/mediatek: using new factor for tvdpll for MT2701 hdmi phy
    - drm/mediatek: no change parent rate in round_rate() for MT2701 hdmi phy
    - ASoC: Intel: kbl: fix wrong number of channels
    - ASoC: stm32: sai: fix master clock management
    - ALSA: hda: Fix racy display power access
    - virtio-blk: limit number of hw queues by nr_cpu_ids
    - blk-mq: introduce blk_mq_complete_request_sync()
    - nvme: cancel request synchronously
    - nvme-fc: correct csn initialization and increments on error
    - nvmet: fix discover log page when offsets are used
    - platform/x86: pmc_atom: Drop __initconst on dmi table
    - NFSv4.1 fix incorrect return value in copy_file_range
    - perf/core: Fix perf_event_disable_inatomic() race
    - genirq: Prevent use-after-free and work list corruption
    - usb: dwc3: Allow building USB_DWC3_QCOM without EXTCON
    - usb: dwc3: Fix default lpm_nyet_threshold value
    - USB: serial: f81232: fix interrupt worker not stop
    - USB: cdc-acm: fix unthrottle races
    - usb-storage: Set virt_boundary_mask to avoid SG overflows
    - intel_th: pci: Add Comet Lake support
    - iio: adc: qcom-spmi-adc5: Fix of-based module autoloading
    - cpufreq: armada-37xx: fix frequency calculation for opp
    - ACPI / LPSS: Use acpi_lpss_* instead of acpi_subsys_* functions for
      hibernate
    - soc: sunxi: Fix missing dependency on REGMAP_MMIO
    - scsi: lpfc: change snprintf to scnprintf for possible overflow
    - scsi: qla2xxx: Fix incorrect region-size setting in optrom SYSFS routines
    - scsi: qla2xxx: Fix device staying in blocked state
    - Bluetooth: Align minimum encryption key size for LE and BR/EDR connections
    - Bluetooth: Fix not initializing L2CAP tx_credits
    - Bluetooth: hci_bcm: Fix empty regulator supplies for Intel Macs
    - UAS: fix alignment of scatter/gather segments
    - ASoC: Intel: avoid Oops if DMA setup fails
    - i3c: Fix a shift wrap bug in i3c_bus_set_addr_slot_status()
    - locking/futex: Allow low-level atomic operations to return -EAGAIN
    - arm64: futex: Bound number of LDXR/STXR loops in FUTEX_WAKE_OP
    - Linux 5.0.15
    - Revert "Bluetooth: Align minimum encryption key size for LE and BR/EDR
      connections"
  * QCA9377 isn't being recognized sometimes (LP: #1757218)
    - SAUCE: USB: Disable USB2 LPM at shutdown
  * Cache line contention prevents scaling of 100Gbps performance (LP: #1832909)
    - iommu/iova: Separate atomic variables to improve performance
  * net: hns: Fix loopback test failed at copper ports (LP: #1833132)
    - net: hns: Fix loopback test failed at copper ports
  * hns: fix ICMP6 neighbor solicitation messages discard problem (LP: #1833140)
    - net: hns: fix unsigned comparison to less than zero
  * [UBUNTU] pkey: Indicate old mkvp only if old and curr. mkvp are different
    (LP: #1832625)
    - pkey: Indicate old mkvp only if old and current mkvp are different
  * [UBUNTU] kernel: Fix gcm-aes-s390 wrong scatter-gather list processing
    (LP: #1832623)
    - s390/crypto: fix gcm-aes-s390 selftest failures
  * AX88772A USB to Ethernet dongle doesn't work (LP: #1834114)
    - net: phy: rename Asix Electronics PHY driver
    - [Config] update configs and annotations for ASIX renamed
  * Add nvidia-418 dkms build support to disco (LP: #1834476)
    - add nvidia-418 dkms build
  * depmod may prefer unsigned l-r-m nvidia modules to signed modules
    (LP: #1834479)
    - [Packaging] dkms-build--nvidia-N -- clean up unsigned ko files
  * Hi1620 driver updates from upstream 5.2 merge window (LP: #1830815)
    - ethtool: Added support for 50Gbps per lane link modes
    - net: hns3: Make hclgevf_update_link_mode static
    - net: hns3: Make hclge_destroy_cmd_queue static
    - RDMA/hns: Only assign the relatived fields of psn if IB_QP_SQ_PSN is set
    - RDMA/hns: Only assign the fields of the rq psn if IB_QP_RQ_PSN is set
    - RDMA/hns: Update the range of raq_psn field of qp context
    - RDMA/hns: Only assgin some fields if the relatived attr_mask is set
    - RDMA/hns: Hide error print information with roce vf device
    - RDMA/hns: Bugfix for sending with invalidate
    - RDMA/hns: Delete unused variable in hns_roce_v2_modify_qp function
    - RDMA/hns: Limit scope of hns_roce_cmq_send()
    - RDMA/hns: Convert cq_table to XArray
    - RDMA/hns: Convert qp_table_tree to XArray
    - RDMA/hns: Fix bad endianess of port_pd variable
    - net: hns3: check 1000M half for hns3_ethtool_ops.set_link_ksettings
    - net: hns3: reduce resources use in kdump kernel
    - net: hns3: modify the VF network port media type acquisition method
    - net: hns3: return 0 and print warning when hit duplicate MAC
    - net: hns3: minor optimization for ring_space
    - net: hns3: minor optimization for datapath
    - net: hns3: simplify hclgevf_cmd_csq_clean
    - net: hns3: add protect when handling mac addr list
    - net: hns3: check resetting status in hns3_get_stats()
    - net: hns3: prevent change MTU when resetting
    - net: hns3: modify HNS3_NIC_STATE_INITED flag in
      hns3_reset_notify_uninit_enet
    - net: hns3: split function hnae3_match_n_instantiate()
    - RDMA/hns: Dump detailed driver-specific CQ
    - RDMA/hns: Support to create 1M srq queue
    - RDMA/hns: Bugfix for SCC hem free
    - net: hns3: set vport alive state to default while resetting
    - net: hns3: set up the vport alive state while reinitializing
    - net: hns3: not reset vport who not alive when PF reset
    - net: hns3: adjust the timing of hns3_client_stop when unloading
    - net: hns3: deactive the reset timer when reset successfully
    - net: hns3: ignore lower-level new coming reset
    - net: hns3: do not request reset when hardware resetting
    - net: hns3: handle pending reset while reset fail
    - net: hns3: stop mailbox handling when command queue need re-init
    - net: hns3: add error handler for initializing command queue
    - net: hns3: remove resetting check in hclgevf_reset_task_schedule
    - net: hns3: fix keep_alive_timer not stop problem
    - scsi: hisi_sas: add host reset interface for test
    - scsi: hisi_sas: Remedy inconsistent PHY down state in software
    - scsi: hisi_sas: Fix for setting the PHY linkrate when disconnected
    - scsi: hisi_sas: Adjust the printk format of functions hisi_sas_init_device()
    - scsi: hisi_sas: allocate different SAS address for directly attached
      situation
    - scsi: hisi_sas: Support all RAS events with MSI interrupts
    - scsi: hisi_sas: Don't hard reset disk during controller reset
    - scsi: hisi_sas: Don't fail IT nexus reset for Open Reject timeout
    - scsi: hisi_sas: Some misc tidy-up
    - net: hns3: modify VLAN initialization to be compatible with port based VLAN
    - net: hns3: fix VLAN offload handle for VLAN inserted by port
    - net: hns3: fix set port based VLAN for PF
    - net: hns3: fix set port based VLAN issue for VF
    - net: hns3: minor refactor for hns3_rx_checksum
    - net: hns3: add hns3_gro_complete for HW GRO process
    - net: hns3: always assume no drop TC for performance reason
    - net: hns3: divide shared buffer between TC
    - net: hns3: set dividual reset level for all RAS and MSI-X errors
    - net: hns3: do not initialize MDIO bus when PHY is inexistent
    - net: hns3: free the pending skb when clean RX ring
    - net: hns3: code optimization for command queue' spin lock
    - net: hns3: fix sparse: warning when calling hclge_set_vlan_filter_hw()
    - net: hns3: fix for vport->bw_limit overflow problem
    - net: hns3: add reset statistics info for PF
    - net: hns3: add reset statistics for VF
    - net: hns3: add some debug information for hclge_check_event_cause
    - net: hns3: add some debug info for hclgevf_get_mbx_resp()
    - net: hns3: refine tx timeout count handle
    - net: hns3: fix loop condition of hns3_get_tx_timeo_queue_info()
    - net: hns3: dump more information when tx timeout happens
    - net: hns3: Add support for netif message level settings
    - net: hns3: add support for dump ncl config by debugfs
    - net: hns3: Add handling of MAC tunnel interruption
    - net: hns3: add queue's statistics update to service task
    - net: hns3: add function type check for debugfs help information
    - RDMA/hns: Bugfix for mapping user db
    - net: hns3: fix data race between ring->next_to_clean
    - net: hns3: fix for TX clean num when cleaning TX BD
    - net: hns3: handle the BD info on the last BD of the packet
    - net: hns3: stop sending keep alive msg when VF command queue needs reinit
    - net: hns3: use atomic_t replace u32 for arq's count
    - net: hns3: use a reserved byte to identify need_resp flag
    - net: hns3: not reset TQP in the DOWN while VF resetting
    - net: hns3: fix pause configure fail problem
    - net: hns3: extend the loopback state acquisition time
    - net: hns3: prevent double free in hns3_put_ring_config()
    - net: hns3: remove reset after command send failed
    - net: hns3: add support for multiple media type
    - net: hns3: add autoneg and change speed support for fibre port
    - net: hns3: add support for FEC encoding control
    - net: hns3: unify maybe_stop_tx for TSO and non-TSO case
    - net: hns3: use napi_schedule_irqoff in hard interrupts handlers
    - net: hns3: add counter for times RX pages gets allocated
    - net: hns3: add linearizing checking for TSO case
    - net: hns3: fix for tunnel type handling in hns3_rx_checksum
    - net: hns3: refactor BD filling for l2l3l4 info
    - net: hns3: combine len and checksum handling for inner and outer header.
    - net: hns3: fix error handling for desc filling
    - net: hns3: optimize the barrier using when cleaning TX BD
    - net: hns3: unify the page reusing for page size 4K and 64K
    - net: hns3: some cleanup for struct hns3_enet_ring
    - net: hns3: use devm_kcalloc when allocating desc_cb
    - net: hns3: remove redundant assignment of l2_hdr to itself
    - net: hns3: initialize CPU reverse mapping
    - net: hns3: refine the flow director handle
    - net: hns3: add aRFS support for PF
    - net: hns3: fix for FEC configuration
    - RDMA/hns: Remove unnecessary print message in aeq
    - RDMA/hns: Update CQE specifications
    - RDMA/hns: Move spin_lock_irqsave to the correct place
    - RDMA/hns: Remove jiffies operation in disable interrupt context
    - RDMA/hns: Replace magic numbers with #defines
    - net: hns3: fix compile warning without CONFIG_RFS_ACCEL
    - net: hns3: fix for HNS3_RXD_GRO_SIZE_M macro
    - net: hns3: add support for dump firmware statistics by debugfs
    - net: hns3: use HCLGE_STATE_NIC_REGISTERED to indicate PF NIC client has
      registered
    - net: hns3: use HCLGE_STATE_ROCE_REGISTERED to indicate PF ROCE client has
      registered
    - net: hns3: use HCLGEVF_STATE_NIC_REGISTERED to indicate VF NIC client has
      registered
    - net: hns3: modify hclge_init_client_instance()
    - net: hns3: modify hclgevf_init_client_instance()
    - net: hns3: add handshake with hardware while doing reset
    - net: hns3: stop schedule reset service while unloading driver
    - net: hns3: adjust hns3_uninit_phy()'s location in the hns3_client_uninit()
    - net: hns3: fix a memory leak issue for hclge_map_unmap_ring_to_vf_vector
    - RDMA/hns: Bugfix for posting multiple srq work request
    - net: hns3: remove redundant core reset
    - net: hns3: don't configure new VLAN ID into VF VLAN table when it's full
    - net: hns3: fix VLAN filter restore issue after reset
    - net: hns3: set the port shaper according to MAC speed
    - net: hns3: add a check to pointer in error_detected and slot_reset
    - net: hns3: set ops to null when unregister ad_dev
    - net: hns3: add handling of two bits in MAC tunnel interrupts
    - net: hns3: remove setting bit of reset_requests when handling mac tunnel
      interrupts
    - net: hns3: add opcode about query and clear RAS & MSI-X to special opcode
    - net: hns3: delay and separate enabling of NIC and ROCE HW errors
    - RDMA/hns: fix inverted logic of readl read and shift
    - RDMA/hns: Bugfix for filling the sge of srq
    - net: hns3: log detail error info of ROCEE ECC and AXI errors
    - net: hns3: fix wrong size of mailbox responding data
    - net: hns3: make HW GRO handling compliant with SW GRO
    - net: hns3: replace numa_node_id with numa_mem_id for buffer reusing
    - net: hns3: refactor hns3_get_new_int_gl function
    - net: hns3: trigger VF reset if a VF has an over_8bd_nfe_err
    - net: hns3: delete the redundant user NIC codes
    - net: hns3: small changes for magic numbers
    - net: hns3: use macros instead of magic numbers
    - net: hns3: refactor PF/VF RSS hash key configuration
    - net: hns3: some modifications to simplify and optimize code
    - net: hns3: fix some coding style issues
    - net: hns3: delay setting of reset level for hw errors until slot_reset is
      called
    - net: hns3: fix avoid unnecessary resetting for the H/W errors which do not
      require reset
    - net: hns3: process H/W errors occurred before HNS dev initialization
    - net: hns3: add recovery for the H/W errors occurred before the HNS dev
      initialization
    - net: hns3: some changes of MSI-X bits in PPU(RCB)
    - net: hns3: extract handling of mpf/pf msi-x errors into functions
    - net: hns3: clear restting state when initializing HW device
    - net: hns3: free irq when exit from abnormal branch
    - net: hns3: fix for dereferencing before null checking
    - net: hns3: fix for skb leak when doing selftest
    - net: hns3: delay ring buffer clearing during reset
    - net: hns3: some variable modification
    - net: hns3: fix dereference of ae_dev before it is null checked
    - scsi: hisi_sas: Delete PHY timers when rmmod or probe failed
    - scsi: hisi_sas: Fix the issue of argument mismatch of printing ecc errors
    - scsi: hisi_sas: Reduce HISI_SAS_SGE_PAGE_CNT in size
    - scsi: hisi_sas: Change the type of some numbers to unsigned
    - scsi: hisi_sas: Ignore the error code between phy down to phy up
    - scsi: hisi_sas: Disable stash for v3 hw
    - net: hns3: Add missing newline at end of file
    - net: hns3: Fix inconsistent indenting
    - RDMa/hns: Don't stuck in endless timeout loop
  * Kernel modules generated incorrectly when system is localized to a non-
    English language (LP: #1828084)
    - scripts: override locale from environment when running recordmcount.pl
  * [UBUNTU] kernel: Fix wrong dispatching for control domain CPRBs
    (LP: #1832624)
    - s390/zcrypt: Fix wrong dispatching for control domain CPRBs
  * shiftfs: allow changing ro/rw for subvolumes (LP: #1832316)
    - SAUCE: shiftfs: allow changing ro/rw for subvolumes
  * Sound device not detected after resume from hibernate (LP: #1826868)
    - drm/i915: Force 2*96 MHz cdclk on glk/cnl when audio power is enabled
    - drm/i915: Save the old CDCLK atomic state
    - drm/i915: Remove redundant store of logical CDCLK state
    - drm/i915: Skip modeset for cdclk changes if possible
  * [raven] fix screen corruption on modprobe (LP: #1831846)
    - drm/amdgpu: keep stolen memory on picasso
    - drm/amdgpu: reserve stollen vram for raven series
  * Handle overflow in proc_get_long of sysctl (LP: #1833935)
    - sysctl: handle overflow in proc_get_long
  * Oops during sas expander hotplugging (LP: #1831799)
    - scsi: libsas: delete sas port if expander discover failed
  * [SRU][B/B-OEM/C/D/OEM-OSP1] Add RTL8822 wifi driver rtw88 (LP: #1831828)
    - rtw88: new Realtek 802.11ac driver
    - rtw88: fix shift of more than 32 bits of a integer
    - rtw88: phy: mark expected switch fall-throughs
    - rtw88: Make RA_MASK macros ULL
    - [Config] Add realtek wifi RTW88 support
  * Dell XPS 13 (9370) defaults to s2idle sleep/suspend instead of deep, NVMe
    drains lots of power under s2idle (LP: #1808957)
    - Revert "UBUNTU: SAUCE: pci/nvme: prevent WDC PC SN720 NVMe from entering D3
      and being disabled"
    - Revert "UBUNTU: SAUCE: nvme: add quirk to not call disable function when
      suspending"
    - Revert "UBUTU: SAUCE: pci: prevent Intel NVMe SSDPEKKF from entering D3"
    - Revert "UBUNTU: SAUCE: nvme: add quirk to not call disable function when
      suspending"
    - Revert "UBUNTU: SAUCE: pci: prevent sk hynix nvme from entering D3"
    - PCI: PM: Avoid possible suspend-to-idle issue
    - PCI: PM: Skip devices in D0 for suspend-to-idle
    - nvme-pci: Sync queues on reset
    - nvme: Export get and set features
    - nvme-pci: Use host managed power state for suspend
  * arm64: cma_alloc errors at boot (LP: #1823753)
    - [Config] Bump CMA_SIZE_MBYTES to 32 on arm64
    - dma-contiguous: add dma_{alloc, free}_contiguous() helpers
    - dma-contiguous: use fallback alloc_pages for single pages
    - dma-contiguous: fix !CONFIG_DMA_CMA version of dma_{alloc,
      free}_contiguous()
  * libsas: old linkrate advertised after phy disabled (LP: #1830435)
    - scsi: libsas: Inject revalidate event for root port event
    - scsi: libsas: Do discovery on empty PHY to update PHY info
  * fanotify06 from ubuntu_ltp_syscalls failed (LP: #1833028)
    - ovl: do not generate duplicate fsnotify events for "fake" path
  * hinic: fix oops due to race in set_rx_mode (LP: #1832048)
    - hinic: fix a bug in set rx mode
  * ubuntu 18.04 flickering screen with Radeon X1600 (LP: #1791312)
    - drm/radeon: prefer lower reference dividers
  * [ALSA] [PATCH] Headset fixup for System76 Gazelle (gaze14) (LP: #1827555)
    - ALSA: hda/realtek - Headset fixup for System76 Gazelle (gaze14)
    - ALSA: hda/realtek - Corrected fixup for System76 Gazelle (gaze14)
  * ftrace in ubuntu_kernel_selftests complains "Illegal number" because of the
    absence of tput (LP: #1828989)
    - selftests/ftrace: Handle the absence of tput
  * CVE-2019-11833
    - ext4: zero out the unused memory region in the extent tree block
  * Disco update: 5.0.14 upstream stable release (LP: #1832775)
    - selftests/seccomp: Prepare for exclusive seccomp flags
    - seccomp: Make NEW_LISTENER and TSYNC flags exclusive
    - ARC: memset: fix build with L1_CACHE_SHIFT != 6
    - iwlwifi: fix driver operation for 5350
    - mwifiex: Make resume actually do something useful again on SDIO cards
    - mtd: rawnand: marvell: Clean the controller state before each operation
    - mac80211: don't attempt to rename ERR_PTR() debugfs dirs
    - i2c: synquacer: fix enumeration of slave devices
    - i2c: imx: correct the method of getting private data in notifier_call
    - i2c: Prevent runtime suspend of adapter when Host Notify is required
    - ALSA: hda/realtek - Add new Dell platform for headset mode
    - USB: yurex: Fix protection fault after device removal
    - USB: w1 ds2490: Fix bug caused by improper use of altsetting array
    - USB: dummy-hcd: Fix failure to give back unlinked URBs
    - usb: usbip: fix isoc packet num validation in get_pipe
    - USB: core: Fix unterminated string returned by usb_string()
    - USB: core: Fix bug caused by duplicate interface PM usage counter
    - KVM: lapic: Disable timer advancement if adaptive tuning goes haywire
    - KVM: x86: Consider LAPIC TSC-Deadline timer expired if deadline too short
    - KVM: lapic: Track lapic timer advance per vCPU
    - KVM: lapic: Allow user to disable adaptive tuning of timer advancement
    - KVM: lapic: Convert guest TSC to host time domain if necessary
    - arm64: dts: rockchip: fix rk3328-roc-cc gmac2io tx/rx_delay
    - HID: logitech: check the return value of create_singlethread_workqueue
    - HID: debug: fix race condition with between rdesc_show() and device removal
    - rtc: cros-ec: Fail suspend/resume if wake IRQ can't be configured
    - rtc: sh: Fix invalid alarm warning for non-enabled alarm
    - ARM: OMAP2+: add missing of_node_put after of_device_is_available
    - batman-adv: Reduce claim hash refcnt only for removed entry
    - batman-adv: Reduce tt_local hash refcnt only for removed entry
    - batman-adv: Reduce tt_global hash refcnt only for removed entry
    - batman-adv: fix warning in function batadv_v_elp_get_throughput
    - ARM: dts: rockchip: Fix gpu opp node names for rk3288
    - reset: meson-audio-arb: Fix missing .owner setting of reset_controller_dev
    - ARM: dts: Fix dcan clkctrl clock for am3
    - i40e: fix i40e_ptp_adjtime when given a negative delta
    - ixgbe: fix mdio bus registration
    - i40e: fix WoL support check
    - riscv: fix accessing 8-byte variable from RV32
    - HID: quirks: Fix keyboard + touchpad on Lenovo Miix 630
    - net: hns3: fix compile error
    - xdp: fix cpumap redirect SKB creation bug
    - net/mlx5: E-Switch, Protect from invalid memory access in offload fdb table
    - net/mlx5: E-Switch, Fix esw manager vport indication for more vport commands
    - bonding: show full hw address in sysfs for slave entries
    - net: stmmac: use correct DMA buffer size in the RX descriptor
    - net: stmmac: ratelimit RX error logs
    - net: stmmac: don't stop NAPI processing when dropping a packet
    - net: stmmac: don't overwrite discard_frame status
    - net: stmmac: fix dropping of multi-descriptor RX frames
    - net: stmmac: don't log oversized frames
    - jffs2: fix use-after-free on symlink traversal
    - debugfs: fix use-after-free on symlink traversal
    - mfd: twl-core: Disable IRQ while suspended
    - block: use blk_free_flush_queue() to free hctx->fq in blk_mq_init_hctx
    - rtc: da9063: set uie_unsupported when relevant
    - HID: input: add mapping for Assistant key
    - vfio/pci: use correct format characters
    - scsi: core: add new RDAC LENOVO/DE_Series device
    - scsi: storvsc: Fix calculation of sub-channel count
    - arm/mach-at91/pm : fix possible object reference leak
    - blk-mq: do not reset plug->rq_count before the list is sorted
    - arm64: fix wrong check of on_sdei_stack in nmi context
    - net: hns: fix KASAN: use-after-free in hns_nic_net_xmit_hw()
    - net: hns: Fix probabilistic memory overwrite when HNS driver initialized
    - net: hns: fix ICMP6 neighbor solicitation messages discard problem
    - net: hns: Fix WARNING when remove HNS driver with SMMU enabled
    - libcxgb: fix incorrect ppmax calculation
    - KVM: SVM: prevent DBG_DECRYPT and DBG_ENCRYPT overflow
    - kmemleak: powerpc: skip scanning holes in the .bss section
    - hugetlbfs: fix memory leak for resv_map
    - sh: fix multiple function definition build errors
    - null_blk: prevent crash from bad home_node value
    - xsysace: Fix error handling in ace_setup
    - fs: stream_open - opener for stream-like files so that read and write can
      run simultaneously without deadlock
    - ARM: orion: don't use using 64-bit DMA masks
    - ARM: iop: don't use using 64-bit DMA masks
    - perf/x86/amd: Update generic hardware cache events for Family 17h
    - Bluetooth: btusb: request wake pin with NOAUTOEN
    - Bluetooth: mediatek: fix up an error path to restore bdev->tx_state
    - clk: qcom: Add missing freq for usb30_master_clk on 8998
    - usb: dwc3: Reset num_trbs after skipping
    - staging: iio: adt7316: allow adt751x to use internal vref for all dacs
    - staging: iio: adt7316: fix the dac read calculation
    - staging: iio: adt7316: fix handling of dac high resolution option
    - staging: iio: adt7316: fix the dac write calculation
    - scsi: RDMA/srpt: Fix a credit leak for aborted commands
    - ASoC: Intel: bytcr_rt5651: Revert "Fix DMIC map headsetmic mapping"
    - ASoC: rsnd: gen: fix SSI9 4/5/6/7 busif related register address
    - ASoC: sunxi: sun50i-codec-analog: Rename hpvcc regulator supply to cpvdd
    - ASoC: wm_adsp: Correct handling of compressed streams that restart
    - ASoC: dpcm: skip missing substream while applying symmetry
    - ASoC: stm32: fix sai driver name initialisation
    - KVM: VMX: Save RSI to an unused output in the vCPU-run asm blob
    - KVM: nVMX: Remove a rogue "rax" clobber from nested_vmx_check_vmentry_hw()
    - kvm: vmx: Fix typos in vmentry/vmexit control setting
    - KVM: lapic: Check for in-kernel LAPIC before deferencing apic pointer
    - platform/x86: intel_pmc_core: Fix PCH IP name
    - platform/x86: intel_pmc_core: Handle CFL regmap properly
    - IB/core: Unregister notifier before freeing MAD security
    - IB/core: Fix potential memory leak while creating MAD agents
    - IB/core: Destroy QP if XRC QP fails
    - Input: snvs_pwrkey - initialize necessary driver data before enabling IRQ
    - Input: stmfts - acknowledge that setting brightness is a blocking call
    - gpio: mxc: add check to return defer probe if clock tree NOT ready
    - selinux: avoid silent denials in permissive mode under RCU walk
    - selinux: never allow relabeling on context mounts
    - mac80211: Honor SW_CRYPTO_CONTROL for unicast keys in AP VLAN mode
    - powerpc/mm/hash: Handle mmap_min_addr correctly in get_unmapped_area topdown
      search
    - x86/mce: Improve error message when kernel cannot recover, p2
    - clk: x86: Add system specific quirk to mark clocks as critical
    - x86/mm/KASLR: Fix the size of the direct mapping section
    - x86/mm: Fix a crash with kmemleak_scan()
    - x86/mm/tlb: Revert "x86/mm: Align TLB invalidation info"
    - i2c: i2c-stm32f7: Fix SDADEL minimum formula
    - media: v4l2: i2c: ov7670: Fix PLL bypass register values
    - ASoC: wm_adsp: Check for buffer in trigger stop
    - mm/kmemleak.c: fix unused-function warning
    - Linux 5.0.14
  * [ZenBook S UX391UA, Realtek ALC294, Mic, Internal] No sound at all
    (LP: #1784485) // Disco update: 5.0.14 upstream stable release
    (LP: #1832775)
    - ALSA: hda/realtek - Apply the fixup for ASUS Q325UAR
  * Support new ums-realtek device (LP: #1831840)
    - USB: usb-storage: Add new ID to ums-realtek
  * amd_iommu possible data corruption (LP: #1823037)
    - iommu/amd: Set exclusion range correctly
  * Add new sound card PCIID into the alsa driver (LP: #1832299)
    - ALSA: hda/intel: add CometLake PCI IDs
  * idle-page oopses when accessing page frames that are out of range
    (LP: #1833410)
    - mm/page_idle.c: fix oops because end_pfn is larger than max_pfn
  * Sometimes touchpad automatically trigger double click (LP: #1833484)
    - SAUCE: i2c: designware: Add disable runtime pm quirk
  * Disco update: 5.0.13 upstream stable release (LP: #1832749)
    - ipv4: ip_do_fragment: Preserve skb_iif during fragmentation
    - ipv6: A few fixes on dereferencing rt->from
    - ipv6: fix races in ip6_dst_destroy()
    - ipv6/flowlabel: wait rcu grace period before put_pid()
    - ipv6: invert flowlabel sharing check in process and user mode
    - l2ip: fix possible use-after-free
    - l2tp: use rcu_dereference_sk_user_data() in l2tp_udp_encap_recv()
    - net: dsa: bcm_sf2: fix buffer overflow doing set_rxnfc
    - net: phy: marvell: Fix buffer overrun with stats counters
    - net/tls: avoid NULL pointer deref on nskb->sk in fallback
    - rxrpc: Fix net namespace cleanup
    - sctp: avoid running the sctp state machine recursively
    - selftests: fib_rule_tests: print the result and return 1 if any tests failed
    - packet: validate msg_namelen in send directly
    - packet: in recvmsg msg_name return at least sizeof sockaddr_ll
    - selftests: fib_rule_tests: Fix icmp proto with ipv6
    - tcp: add sanity tests in tcp_add_backlog()
    - udp: fix GRO reception in case of length mismatch
    - udp: fix GRO packet of death
    - bnxt_en: Improve multicast address setup logic.
    - bnxt_en: Free short FW command HWRM memory in error path in bnxt_init_one()
    - bnxt_en: Fix possible crash in bnxt_hwrm_ring_free() under error conditions.
    - bnxt_en: Pass correct extended TX port statistics size to firmware.
    - bnxt_en: Fix statistics context reservation logic.
    - bnxt_en: Fix uninitialized variable usage in bnxt_rx_pkt().
    - net/tls: don't copy negative amounts of data in reencrypt
    - net/tls: fix copy to fragments in reencrypt
    - KVM: x86: Whitelist port 0x7e for pre-incrementing %rip
    - KVM: nVMX: Fix size checks in vmx_set_nested_state
    - ALSA: line6: use dynamic buffers
    - iwlwifi: mvm: properly check debugfs dentry before using it
    - ath10k: Drop WARN_ON()s that always trigger during system resume
    - Linux 5.0.13
  * Add pointstick support on HP ZBook 17 G5 (LP: #1833387)
    - Revert "HID: multitouch: Support ALPS PTP stick with pid 0x120A"
    - SAUCE: HID: multitouch: Add pointstick support for ALPS Touchpad
  * [SRU][B/B-OEM/B-OEM-OSP-1/C/D/E] Add trackpoint middle button support of 2
    new thinpads (LP: #1833637)
    - Input: elantech - enable middle button support on 2 ThinkPads
  * Kernel panic upon resetting ixgbe SR-IOV VFIO virtual function using 5.0
    kernel (LP: #1829652)
    - SAUCE: ixgbe: Avoid NULL pointer dereference with VF on non-IPsec hw
  * CVE-2019-11884
    - Bluetooth: hidp: fix buffer overflow
  * TPM module can not initial (LP: #1826142)
    - spi: Optionally use GPIO descriptors for CS GPIOs
    - spi: dw: Convert to use CS GPIO descriptors
    - spi: dw: fix warning unused variable 'ret'
    - spi: Support high CS when using descriptors
    - spi: dw: Fix default polarity of native chipselect
    - gpio: of: Fix logic inversion
    - spi: Add missing error handling for CS GPIOs
  * CVE-2018-12126 // CVE-2018-12127 // CVE-2018-12130 // CVE-2019-11091
    - SAUCE: Synchronize MDS mitigations with upstream
    - Documentation: Correct the possible MDS sysfs values
    - x86/speculation/mds: Fix documentation typo
  * CVE-2019-11091
    - x86/mds: Add MDSUM variant to the MDS documentation
  * Regression for ubuntu_kernel_selftests [net] ubuntu_bpf test case fails to
    build on disco (LP: #1829812)
    - tools: bpftool: add basic probe capability, probe syscall availability
    - tools: bpftool: add probes for eBPF program types
  * POSIX fix for ftrace test in ubuntu_kernel_selftests (LP: #1828995)
    - selftests/ftrace: Replace e with 033
    - selftests/ftrace: Replace echo -e with printf
  * Disco update: 5.0.12 upstream stable release (LP: #1830934)
    - selinux: use kernel linux/socket.h for genheaders and mdp
    - Revert "ACPICA: Clear status of GPEs before enabling them"
    - drm/i915: Do not enable FEC without DSC
    - mm: make page ref count overflow check tighter and more explicit
    - mm: add 'try_get_page()' helper function
    - mm: prevent get_user_pages() from overflowing page refcount
    - fs: prevent page refcount overflow in pipe_buf_get
    - arm64: dts: renesas: r8a77990: Fix SCIF5 DMA channels
    - ARM: dts: bcm283x: Fix hdmi hpd gpio pull
    - s390: limit brk randomization to 32MB
    - mt76x02: fix hdr pointer in write txwi for USB
    - mt76: mt76x2: fix external LNA gain settings
    - mt76: mt76x2: fix 2.4 GHz channel gain settings
    - net: ieee802154: fix a potential NULL pointer dereference
    - ieee802154: hwsim: propagate genlmsg_reply return code
    - Btrfs: fix file corruption after snapshotting due to mix of buffered/DIO
      writes
    - net: stmmac: don't set own bit too early for jumbo frames
    - net: stmmac: fix jumbo frame sending with non-linear skbs
    - qlcnic: Avoid potential NULL pointer dereference
    - xsk: fix umem memory leak on cleanup
    - staging: axis-fifo: add CONFIG_OF dependency
    - staging, mt7621-pci: fix build without pci support
    - netfilter: nft_set_rbtree: check for inactive element after flag mismatch
    - netfilter: bridge: set skb transport_header before entering
      NF_INET_PRE_ROUTING
    - netfilter: fix NETFILTER_XT_TARGET_TEE dependencies
    - netfilter: ip6t_srh: fix NULL pointer dereferences
    - s390/qeth: fix race when initializing the IP address table
    - ARM: imx51: fix a leaked reference by adding missing of_node_put
    - sc16is7xx: missing unregister/delete driver on error in sc16is7xx_init()
    - serial: ar933x_uart: Fix build failure with disabled console
    - KVM: arm64: Reset the PMU in preemptible context
    - arm64: KVM: Always set ICH_HCR_EL2.EN if GICv4 is enabled
    - KVM: arm/arm64: vgic-its: Take the srcu lock when writing to guest memory
    - KVM: arm/arm64: vgic-its: Take the srcu lock when parsing the memslots
    - usb: dwc3: pci: add support for Comet Lake PCH ID
    - usb: gadget: net2280: Fix overrun of OUT messages
    - usb: gadget: net2280: Fix net2280_dequeue()
    - usb: gadget: net2272: Fix net2272_dequeue()
    - ARM: dts: pfla02: increase phy reset duration
    - i2c: i801: Add support for Intel Comet Lake
    - KVM: arm/arm64: Fix handling of stage2 huge mappings
    - net: ks8851: Dequeue RX packets explicitly
    - net: ks8851: Reassert reset pin if chip ID check fails
    - net: ks8851: Delay requesting IRQ until opened
    - net: ks8851: Set initial carrier state to down
    - staging: rtl8188eu: Fix potential NULL pointer dereference of kcalloc
    - staging: rtlwifi: rtl8822b: fix to avoid potential NULL pointer dereference
    - staging: rtl8712: uninitialized memory in read_bbreg_hdl()
    - staging: rtlwifi: Fix potential NULL pointer dereference of kzalloc
    - net: phy: Add DP83825I to the DP83822 driver
    - net: macb: Add null check for PCLK and HCLK
    - net/sched: don't dereference a->goto_chain to read the chain index
    - ARM: dts: imx6qdl: Fix typo in imx6qdl-icore-rqs.dtsi
    - drm/tegra: hub: Fix dereference before check
    - NFS: Fix a typo in nfs_init_timeout_values()
    - net: xilinx: fix possible object reference leak
    - net: ibm: fix possible object reference leak
    - net: ethernet: ti: fix possible object reference leak
    - drm: Fix drm_release() and device unplug
    - gpio: aspeed: fix a potential NULL pointer dereference
    - drm/meson: Fix invalid pointer in meson_drv_unbind()
    - drm/meson: Uninstall IRQ handler
    - ARM: davinci: fix build failure with allnoconfig
    - sbitmap: order READ/WRITE freed instance and setting clear bit
    - staging: vc04_services: Fix an error code in vchiq_probe()
    - scsi: mpt3sas: Fix kernel panic during expander reset
    - scsi: aacraid: Insure we don't access PCIe space during AER/EEH
    - scsi: qla4xxx: fix a potential NULL pointer dereference
    - usb: usb251xb: fix to avoid potential NULL pointer dereference
    - leds: trigger: netdev: fix refcnt leak on interface rename
    - SUNRPC: fix uninitialized variable warning
    - x86/realmode: Don't leak the trampoline kernel address
    - usb: u132-hcd: fix resource leak
    - ceph: fix use-after-free on symlink traversal
    - scsi: zfcp: reduce flood of fcrscn1 trace records on multi-element RSCN
    - x86/mm: Don't exceed the valid physical address space
    - libata: fix using DMA buffers on stack
    - kbuild: skip parsing pre sub-make code for recursion
    - afs: Fix StoreData op marshalling
    - gpio: of: Check propname before applying "cs-gpios" quirks
    - gpio: of: Check for "spi-cs-high" in child instead of parent node
    - KVM: nVMX: Do not inherit quadrant and invalid for the root shadow EPT
    - KVM: SVM: Workaround errata#1096 (insn_len maybe zero on SMAP violation)
    - kvm/x86: Move MSR_IA32_ARCH_CAPABILITIES to array emulated_msrs
    - x86/kvm/hyper-v: avoid spurious pending stimer on vCPU init
    - KVM: selftests: assert on exit reason in CR4/cpuid sync test
    - KVM: selftests: explicitly disable PIE for tests
    - KVM: selftests: disable stack protector for all KVM tests
    - KVM: selftests: complete IO before migrating guest state
    - gpio: of: Fix of_gpiochip_add() error path
    - nvme-multipath: relax ANA state check
    - nvmet: fix building bvec from sg list
    - nvmet: fix error flow during ns enable
    - perf cs-etm: Add missing case value
    - perf machine: Update kernel map address and re-order properly
    - kconfig/[mn]conf: handle backspace (^H) key
    - iommu/amd: Reserve exclusion range in iova-domain
    - kasan: fix variable 'tag' set but not used warning
    - ptrace: take into account saved_sigmask in PTRACE{GET,SET}SIGMASK
    - leds: pca9532: fix a potential NULL pointer dereference
    - leds: trigger: netdev: use memcpy in device_name_store
    - Linux 5.0.12
    - [Config] Document drop of axis-fifo for amd64/i386
  * Disco update: 5.0.11 upstream stable release (LP: #1830929)
    - netfilter: nf_tables: bogus EBUSY when deleting set after flush
    - netfilter: nf_tables: bogus EBUSY in helper removal from transaction
    - intel_th: gth: Fix an off-by-one in output unassigning
    - powerpc/vdso32: fix CLOCK_MONOTONIC on PPC64
    - ALSA: hda/realtek - Move to ACT_INIT state
    - fs/proc/proc_sysctl.c: Fix a NULL pointer dereference
    - block, bfq: fix use after free in bfq_bfqq_expire
    - cifs: fix memory leak in SMB2_read
    - cifs: fix page reference leak with readv/writev
    - cifs: do not attempt cifs operation on smb2+ rename error
    - tracing: Fix a memory leak by early error exit in trace_pid_write()
    - tracing: Fix buffer_ref pipe ops
    - crypto: xts - Fix atomic sleep when walking skcipher
    - crypto: lrw - Fix atomic sleep when walking skcipher
    - gpio: eic: sprd: Fix incorrect irq type setting for the sync EIC
    - zram: pass down the bvec we need to read into in the work struct
    - lib/Kconfig.debug: fix build error without CONFIG_BLOCK
    - MIPS: scall64-o32: Fix indirect syscall number load
    - trace: Fix preempt_enable_no_resched() abuse
    - mm: do not boost watermarks to avoid fragmentation for the DISCONTIG memory
      model
    - arm64: mm: Ensure tail of unaligned initrd is reserved
    - IB/rdmavt: Fix frwr memory registration
    - RDMA/mlx5: Do not allow the user to write to the clock page
    - RDMA/mlx5: Use rdma_user_map_io for mapping BAR pages
    - RDMA/ucontext: Fix regression with disassociate
    - sched/numa: Fix a possible divide-by-zero
    - ceph: only use d_name directly when parent is locked
    - ceph: ensure d_name stability in ceph_dentry_hash()
    - ceph: fix ci->i_head_snapc leak
    - nfsd: Don't release the callback slot unless it was actually held
    - nfsd: wake waiters blocked on file_lock before deleting it
    - nfsd: wake blocked file lock waiters before sending callback
    - sunrpc: don't mark uninitialised items as VALID.
    - perf/x86/intel: Update KBL Package C-state events to also include
      PC8/PC9/PC10 counters
    - Input: synaptics-rmi4 - write config register values to the right offset
    - dmaengine: sh: rcar-dmac: With cyclic DMA residue 0 is valid
    - dmaengine: sh: rcar-dmac: Fix glitch in dmaengine_tx_status
    - dmaengine: mediatek-cqdma: fix wrong register usage in mtk_cqdma_start
    - ARM: 8857/1: efi: enable CP15 DMB instructions before cleaning the cache
    - powerpc/mm/radix: Make Radix require HUGETLB_PAGE
    - drm/vc4: Fix memory leak during gpu reset.
    - drm/ttm: fix re-init of global structures
    - drm/vc4: Fix compilation error reported by kbuild test bot
    - ext4: fix some error pointer dereferences
    - loop: do not print warn message if partition scan is successful
    - tipc: handle the err returned from cmd header function
    - slip: make slhc_free() silently accept an error pointer
    - workqueue: Try to catch flush_work() without INIT_WORK().
    - sched/deadline: Correctly handle active 0-lag timers
    - mac80211_hwsim: calculate if_combination.max_interfaces
    - NFS: Forbid setting AF_INET6 to "struct sockaddr_in"->sin_family.
    - netfilter: ebtables: CONFIG_COMPAT: drop a bogus WARN_ON
    - fm10k: Fix a potential NULL pointer dereference
    - tipc: check bearer name with right length in tipc_nl_compat_bearer_enable
    - tipc: check link name with right length in tipc_nl_compat_link_set
    - net: netrom: Fix error cleanup path of nr_proto_init
    - net/rds: Check address length before reading address family
    - rxrpc: fix race condition in rxrpc_input_packet()
    - pin iocb through aio.
    - aio: fold lookup_kiocb() into its sole caller
    - aio: keep io_event in aio_kiocb
    - aio: store event at final iocb_put()
    - Fix aio_poll() races
    - x86, retpolines: Raise limit for generating indirect calls from switch-case
    - x86/retpolines: Disable switch jump tables when retpolines are enabled
    - rdma: fix build errors on s390 and MIPS due to bad ZERO_PAGE use
    - ipv4: add sanity checks in ipv4_link_failure()
    - ipv4: set the tcp_min_rtt_wlen range from 0 to one day
    - mlxsw: spectrum: Fix autoneg status in ethtool
    - net/mlx5e: ethtool, Remove unsupported SFP EEPROM high pages query
    - net: rds: exchange of 8K and 1M pool
    - net/rose: fix unbound loop in rose_loopback_timer()
    - net: stmmac: move stmmac_check_ether_addr() to driver probe
    - net/tls: fix refcount adjustment in fallback
    - stmmac: pci: Adjust IOT2000 matching
    - team: fix possible recursive locking when add slaves
    - net: socionext: replace napi_alloc_frag with the netdev variant on init
    - net/ncsi: handle overflow when incrementing mac address
    - mlxsw: pci: Reincrease PCI reset timeout
    - mlxsw: spectrum: Put MC TCs into DWRR mode
    - net/mlx5e: Fix the max MTU check in case of XDP
    - net/mlx5e: Fix use-after-free after xdp_return_frame
    - net/tls: avoid potential deadlock in tls_set_device_offload_rx()
    - net/tls: don't leak IV and record seq when offload fails
    - Linux 5.0.11
  * Disco update: 5.0.10 upstream stable release (LP: #1830922)
    - bonding: fix event handling for stacked bonds
    - failover: allow name change on IFF_UP slave interfaces
    - net: atm: Fix potential Spectre v1 vulnerabilities
    - net: bridge: fix per-port af_packet sockets
    - net: bridge: multicast: use rcu to access port list from
      br_multicast_start_querier
    - net: fec: manage ahb clock in runtime pm
    - net: Fix missing meta data in skb with vlan packet
    - net: fou: do not use guehdr after iptunnel_pull_offloads in gue_udp_recv
    - tcp: tcp_grow_window() needs to respect tcp_space()
    - team: set slave to promisc if team is already in promisc mode
    - tipc: missing entries in name table of publications
    - vhost: reject zero size iova range
    - ipv4: recompile ip options in ipv4_link_failure
    - ipv4: ensure rcu_read_lock() in ipv4_link_failure()
    - mlxsw: spectrum_switchdev: Add MDB entries in prepare phase
    - mlxsw: core: Do not use WQ_MEM_RECLAIM for EMAD workqueue
    - mlxsw: core: Do not use WQ_MEM_RECLAIM for mlxsw ordered workqueue
    - mlxsw: core: Do not use WQ_MEM_RECLAIM for mlxsw workqueue
    - mlxsw: spectrum_router: Do not check VRF MAC address
    - net: thunderx: raise XDP MTU to 1508
    - net: thunderx: don't allow jumbo frames with XDP
    - net/tls: fix the IV leaks
    - net/tls: don't leak partially sent record in device mode
    - net: strparser: partially revert "strparser: Call skb_unclone conditionally"
    - net/tls: fix build without CONFIG_TLS_DEVICE
    - net: bridge: fix netlink export of vlan_stats_per_port option
    - net/mlx5e: XDP, Avoid checksum complete when XDP prog is loaded
    - net/mlx5e: Protect against non-uplink representor for encap
    - net/mlx5e: Switch to Toeplitz RSS hash by default
    - net/mlx5e: Rx, Fixup skb checksum for packets with tail padding
    - net/mlx5e: Rx, Check ip headers sanity
    - Revert "net/mlx5e: Enable reporting checksum unnecessary also for L3
      packets"
    - net/mlx5: FPGA, tls, hold rcu read lock a bit longer
    - net/tls: prevent bad memory access in tls_is_sk_tx_device_offloaded()
    - net/mlx5: FPGA, tls, idr remove on flow delete
    - route: Avoid crash from dereferencing NULL rt->from
    - nfp: flower: replace CFI with vlan present
    - nfp: flower: remove vlan CFI bit from push vlan action
    - sch_cake: Use tc_skb_protocol() helper for getting packet protocol
    - sch_cake: Make sure we can write the IP header before changing DSCP bits
    - NFC: nci: Add some bounds checking in nci_hci_cmd_received()
    - nfc: nci: Potential off by one in ->pipes[] array
    - sch_cake: Simplify logic in cake_select_tin()
    - CIFS: keep FileInfo handle live during oplock break
    - cifs: Fix lease buffer length error
    - cifs: Fix use-after-free in SMB2_write
    - cifs: Fix use-after-free in SMB2_read
    - cifs: fix handle leak in smb2_query_symlink()
    - fs/dax: Deposit pagetable even when installing zero page
    - KVM: x86: Don't clear EFER during SMM transitions for 32-bit vCPU
    - KVM: x86: svm: make sure NMI is injected after nmi_singlestep
    - Staging: iio: meter: fixed typo
    - staging: iio: ad7192: Fix ad7193 channel address
    - iio: gyro: mpu3050: fix chip ID reading
    - iio/gyro/bmg160: Use millidegrees for temperature scale
    - iio:chemical:bme680: Fix, report temperature in millidegrees
    - iio:chemical:bme680: Fix SPI read interface
    - iio: cros_ec: Fix the maths for gyro scale calculation
    - iio: ad_sigma_delta: select channel when reading register
    - iio: dac: mcp4725: add missing powerdown bits in store eeprom
    - iio: Fix scan mask selection
    - iio: adc: at91: disable adc channel interrupt in timeout case
    - iio: core: fix a possible circular locking dependency
    - io: accel: kxcjk1013: restore the range after resume.
    - staging: most: core: use device description as name
    - staging: comedi: vmk80xx: Fix use of uninitialized semaphore
    - staging: comedi: vmk80xx: Fix possible double-free of ->usb_rx_buf
    - staging: comedi: ni_usb6501: Fix use of uninitialized mutex
    - staging: comedi: ni_usb6501: Fix possible double-free of ->usb_rx_buf
    - ALSA: core: Fix card races between register and disconnect
    - Input: elan_i2c - add hardware ID for multiple Lenovo laptops
    - serial: sh-sci: Fix HSCIF RX sampling point adjustment
    - serial: sh-sci: Fix HSCIF RX sampling point calculation
    - vt: fix cursor when clearing the screen
    - scsi: core: set result when the command cannot be dispatched
    - Revert "scsi: fcoe: clear FC_RP_STARTED flags when receiving a LOGO"
    - i3c: dw: Fix dw_i3c_master_disable controller by using correct mask
    - i3c: Fix the verification of random PID
    - Revert "svm: Fix AVIC incomplete IPI emulation"
    - coredump: fix race condition between mmget_not_zero()/get_task_mm() and core
      dumping
    - x86/kvm: move kvm_load/put_guest_xcr0 into atomic context
    - ipmi: fix sleep-in-atomic in free_user at cleanup SRCU user->release_barrier
    - crypto: x86/poly1305 - fix overflow during partial reduction
    - drm/ttm: fix out-of-bounds read in ttm_put_pages() v2
    - arm64: futex: Restore oldval initialization to work around buggy compilers
    - x86/kprobes: Verify stack frame on kretprobe
    - kprobes: Mark ftrace mcount handler functions nokprobe
    - x86/kprobes: Avoid kretprobe recursion bug
    - kprobes: Fix error check when reusing optimized probes
    - rt2x00: do not increment sequence number while re-transmitting
    - mac80211: do not call driver wake_tx_queue op during reconfig
    - s390/mem_detect: Use IS_ENABLED(CONFIG_BLK_DEV_INITRD)
    - drm/amdgpu/gmc9: fix VM_L2_CNTL3 programming
    - perf/x86/amd: Add event map for AMD Family 17h
    - x86/cpu/bugs: Use __initconst for 'const' init data
    - perf/x86: Fix incorrect PEBS_REGS
    - x86/speculation: Prevent deadlock on ssb_state::lock
    - timers/sched_clock: Prevent generic sched_clock wrap caused by tick_freeze()
    - nfit/ars: Remove ars_start_flags
    - nfit/ars: Introduce scrub_flags
    - nfit/ars: Allow root to busy-poll the ARS state machine
    - nfit/ars: Avoid stale ARS results
    - tpm/tpm_i2c_atmel: Return -E2BIG when the transfer is incomplete
    - tpm: Fix the type of the return value in calc_tpm2_event_size()
    - Revert "kbuild: use -Oz instead of -Os when using clang"
    - sched/fair: Limit sched_cfs_period_timer() loop to avoid hard lockup
    - tpm: fix an invalid condition in tpm_common_poll
    - mt76x02: avoid status_list.lock and sta->rate_ctrl_lock dependency
    - device_cgroup: fix RCU imbalance in error case
    - perf/ring_buffer: Fix AUX record suppression
    - mm/memory_hotplug: do not unlock after failing to take the
      device_hotplug_lock
    - mm/vmstat.c: fix /proc/vmstat format for CONFIG_DEBUG_TLBFLUSH=y
      CONFIG_SMP=n
    - ALSA: info: Fix racy addition/deletion of nodes
    - percpu: stop printing kernel addresses
    - kernel/sysctl.c: fix out-of-bounds access when setting file-max
    - Linux 5.0.10
  * Disco update: 5.0.9 upstream stable release (LP: #1830906)
    - ARC: u-boot args: check that magic number is correct
    - arc: hsdk_defconfig: Enable CONFIG_BLK_DEV_RAM
    - perf/core: Restore mmap record type correctly
    - mips: bcm47xx: Enable USB power on Netgear WNDR3400v2
    - ext4: avoid panic during forced reboot
    - ext4: add missing brelse() in add_new_gdb_meta_bg()
    - ext4: report real fs size after failed resize
    - ALSA: echoaudio: add a check for ioremap_nocache
    - ALSA: sb8: add a check for request_region
    - auxdisplay: hd44780: Fix memory leak on ->remove()
    - drm/udl: use drm_gem_object_put_unlocked.
    - IB/mlx4: Fix race condition between catas error reset and aliasguid flows
    - i40iw: Avoid panic when handling the inetdev event
    - mmc: davinci: remove extraneous __init annotation
    - ALSA: opl3: fix mismatch between snd_opl3_drum_switch definition and
      declaration
    - paride/pf: cleanup queues when detection fails
    - paride/pcd: cleanup queues when detection fails
    - thermal/intel_powerclamp: fix __percpu declaration of worker_data
    - thermal: samsung: Fix incorrect check after code merge
    - thermal: bcm2835: Fix crash in bcm2835_thermal_debugfs
    - thermal/int340x_thermal: Add additional UUIDs
    - thermal/int340x_thermal: fix mode setting
    - thermal/intel_powerclamp: fix truncated kthread name
    - scsi: iscsi: flush running unbind operations when removing a session
    - sched/cpufreq: Fix 32-bit math overflow
    - sched/core: Fix buffer overflow in cgroup2 property cpu.max
    - x86/mm: Don't leak kernel addresses
    - tools/power turbostat: return the exit status of a command
    - scsi: core: Also call destroy_rcu_head() for passthrough requests
    - scsi: qla2xxx: Fix NULL pointer crash due to stale CPUID
    - perf stat: Fix --no-scale
    - perf list: Don't forget to drop the reference to the allocated thread_map
    - perf tools: Fix errors under optimization level '-Og'
    - perf config: Fix an error in the config template documentation
    - perf config: Fix a memory leak in collect_config()
    - perf build-id: Fix memory leak in print_sdt_events()
    - perf top: Fix error handling in cmd_top()
    - perf hist: Add missing map__put() in error case
    - perf map: Remove map from 'names' tree in __maps__remove()
    - perf maps: Purge all maps from the 'names' tree
    - perf top: Fix global-buffer-overflow issue
    - perf evsel: Free evsel->counts in perf_evsel__exit()
    - perf tests: Fix a memory leak of cpu_map object in the
      openat_syscall_event_on_all_cpus test
    - perf tests: Fix memory leak by expr__find_other() in test__expr()
    - perf tests: Fix a memory leak in test__perf_evsel__tp_sched_test()
    - ACPI / utils: Drop reference in test for device presence
    - PM / Domains: Avoid a potential deadlock
    - blk-iolatency: #include "blk.h"
    - drm/exynos/mixer: fix MIXER shadow registry synchronisation code
    - irqchip/stm32: Don't clear rising/falling config registers at init
    - irqchip/stm32: Don't set rising configuration registers at init
    - irqchip/mbigen: Don't clear eventid when freeing an MSI
    - x86/hpet: Prevent potential NULL pointer dereference
    - x86/hyperv: Prevent potential NULL pointer dereference
    - x86/cpu/cyrix: Use correct macros for Cyrix calls on Geode processors
    - drm/nouveau/debugfs: Fix check of pm_runtime_get_sync failure
    - iommu/vt-d: Check capability before disabling protected memory
    - iommu/vt-d: Save the right domain ID used by hardware
    - x86/hw_breakpoints: Make default case in hw_breakpoint_arch_parse() return
      an error
    - cifs: fix that return -EINVAL when do dedupe operation
    - fix incorrect error code mapping for OBJECTID_NOT_FOUND
    - cifs: Fix slab-out-of-bounds when tracing SMB tcon
    - x86/gart: Exclude GART aperture from kcore
    - ext4: prohibit fstrim in norecovery mode
    - lkdtm: Print real addresses
    - lkdtm: Add tests for NULL pointer dereference
    - drm/amdgpu: psp_ring_destroy cause psp->km_ring.ring_mem NULL
    - drm/panel: panel-innolux: set display off in innolux_panel_unprepare
    - crypto: axis - fix for recursive locking from bottom half
    - Revert "ACPI / EC: Remove old CLEAR_ON_RESUME quirk"
    - coresight: cpu-debug: Support for CA73 CPUs
    - PCI: Blacklist power management of Gigabyte X299 DESIGNARE EX PCIe ports
    - PCI/ASPM: Save LTR Capability for suspend/resume
    - f2fs: sync filesystem after roll-forward recovery
    - drm/nouveau/volt/gf117: fix speedo readout register
    - platform/x86: intel_pmc_core: Quirk to ignore XTAL shutdown
    - ARM: 8839/1: kprobe: make patch_lock a raw_spinlock_t
    - drm/amdkfd: use init_mqd function to allocate object for hid_mqd (CI)
    - appletalk: Fix use-after-free in atalk_proc_exit
    - cifs: return -ENODATA when deleting an xattr that does not exist
    - lib/div64.c: off by one in shift
    - rxrpc: Fix client call connect/disconnect race
    - f2fs: fix to dirty inode for i_mode recovery
    - f2fs: fix to use kvfree instead of kzfree
    - f2fs: fix to add refcount once page is tagged PG_private
    - include/linux/swap.h: use offsetof() instead of custom __swapoffset macro
    - bpf: fix use after free in bpf_evict_inode
    - IB/hfi1: Failed to drain send queue when QP is put into error state
    - paride/pf: Fix potential NULL pointer dereference
    - paride/pcd: Fix potential NULL pointer dereference and mem leak
    - Linux 5.0.9
  * crashdump fails on HiSilicon D06 (LP: #1828868)
    - iommu/arm-smmu-v3: Don't disable SMMU in kdump kernel
  * Eletrical noise occurred when external headset enter powersaving mode on a
    DEll machine (LP: #1828798)
    - ALSA: hda/realtek - Fixup headphone noise via runtime suspend
  * [18.04/18.10] File libperf-jvmti.so is missing in linux-tools-common deb on
    Ubuntu (LP: #1761379)
    - [Packaging] Support building libperf-jvmti.so
  * ethtool identify command doesn't blink LED on Hi1620 NICs (LP: #1829306)
    - net: phy: marvell: add new default led configure for m88e151x
  * Add support to Comet Lake LPSS (LP: #1830175)
    - mfd: intel-lpss: Add Intel Comet Lake PCI IDs
  * Reduce NAPI weight in hns driver from 256 to 64 (LP: #1830587)
    - net: hns: Use NAPI_POLL_WEIGHT for hns driver

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 03 Jul 2019 10:21:45 +0300

# For older changelog entries, run 'apt-get changelog linux-headers-5.0.0-1025-oem-osp1'
